Overview

TreeSize - Overview

Navigation: »No topics above this level«

TreeSize - Overview

TreeSize is a powerful and flexible hard disk space manager for Windows 10/8/7/Vista/XP or Windows Server 2016/2012/2008/2003 (32 or 64 Bit).

Why TreeSize:

·Manage and clean up disk space efficiently

·Visualize disk usage

·Analyze in detail, down to all directory levels

·Find and remove redundant files

·Numerous export and reporting possibilities

Manage disk space and scan your hard disks

Find out which folders are the largest on your drives and recover precious disk space. Use TreeSize as a hard disk cleanup tool: find space hogs and remove them. Graphical analyses provide a quick visualization of disk space usage. TreeSize shows you folder size and allocated disk space as well as owner and permissions, the last access date, the NTFS compression rate, and much more information for selected folders or drives.

Search for Redundant Files

The integrated versatile file search helps you find old, big, temporary, and duplicate files on drives, entire servers or the entire network. Search results can be moved, deleted or exported to a ZIP file.

Print or Export Results

You can print detailed reports or export the collected data to different formats (XML, XLS, TXT, CSV and many more). TreeSize also enables you to track disk space usage development over time via XML report comparison or snapshots.

The application has an intuitive Explorer-like user interface and supports drag-and-drop. It is fast, multi-threaded and supports Unicode- and NTFS-specific features. TreeSize can be started from the context menu of every folder or drive.

Take a visual tour or read our product data sheet to learn how to manage disk space with TreeSize.


Installation

Navigation: »No topics above this level«

Installation

To install TreeSize, execute the setup file and follow the instructions. TreeSize requires Windows XP or upwards as well as the .Net framework 4.0, which will be installed automatically when missing (Information regarding disk space management on other operating systems can be found on: http://www.folder-sizes.com). The setup program will copy the necessary files to your hard disk and will create a new program group in the Start menu/screen. TreeSize can be uninstalled using the Software applet in the Windows Control Panel. You will find the installation key for the registered version on the license document (PDF) sent to you after the purchase. During your maintenance period the key will be provided in your customer area.

A portable installation on USB removable device can be created using the ribbon "Tools".

Unattended Installation

Starting the EXE-based installer with the command line parameters

/SILENT /SUPPRESSMSGBOXES /PASSWORD=YourInstallKey

will perform a silent and automatic installation with the default settings. Please replace YourInstallKey with the installation key that you received after your registration. Using /VERYSILENT instead of /SILENT will prevent any visual feedback. The option /DIR="x:\dirname" can be used to override the default install path.

To perform a silent and unattended installation using the MSI-Installer, you need to use a command line like this for MsiExec:

msiexec /qn /i "TreeSizeProfessional-x64-Full-EN.msi" INSTALLATION_KEY="XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX"

Please prefix the MSI file with the path of the network share, in which the MSI file is stored, and adjust the installation key. You may also set the property INSTALLATION_KEY by modifying the MSI file using a tool like Orca.


Quickstart

Navigation: »No topics above this level«

Quickstart

After the installation, TreeSize can be started using the Windows Start menu/screen or the context menu of a folder or drive. These are the important elements of the TreeSize main window:

1.

The Ribbon Bar provides access to all commands of TreeSize. It is divided into logical sections such as the "Home" tab containing commonly used functions and elements, or the "View" tab enabling you to customize the appearance of TreeSize. The colored tab to the right is a context-sensitive depending on the currently active view. Use the "Select directory for scan" to start the scanning process for a drive or folder.

2.

This section contains a drop-down list enabling you to select a drive or folder to be scanned. You can enter paths directly in the control field. Press enter or click the scan button on the right to start a scan for the entered path. TreeSize will remember recently used paths and add them to the list.

3.

The Directory Tree of the scanned folder or drive provides an immediate overview of the size of each folder.

4.

The Drive List provides an overview of all local and mapped network drives. Additional network drives can be added using the context menu. Double-click on a drive to start a scan in TreeSize.

5.

This section will provide additional information regarding the scanned path (e.g. its total size and the number of folders contained).

6.

The view section contains several different tabs, each of them providing a highly specialized data view of the currently selected drive or folder. As soon as a view is activated, the corresponding context tab will become active on which you will find useful commands for this view. These are the available views of TreeSize:

·The "Chart" view visualizes folder information either as a "Pie Chart, "Bar Chart" or as a "Tree Map".

·The "Details" view will provide you detailed information on all files and folders contained in the current selected item in the Directory Tree

·The "Extensions" view presents information on size grouped by file types. Thus, you'll gain an overview of the types of files that use up most of the disk space.

·The "Users" view shows information on size grouped by users. You will see at a glance which user uses how much space in which folder.

·The "Age of Files" view shows the distribution of the age of scanned files, based on a certain date attribute.

·The "Top 100 Files" view lists the 100 largest files in the scanned path along with several other details.

·The "History" view shows changes in for the scanned path in a line chart.

7.

The Quick Access Toolbar is a customizable shortcut to many useful functions of TreeSize.


What's new?

Navigation: »No topics above this level«

What's new?

Changes in V6.3.7 (12 Apr 2017)

·Bugfix - File Search: Search type "Oldest Files" potentially delivered incorrect results when option "Return complete branches only" was selected.

·Bugfix - File Search: File sizes and date values of folders in user-defined file search were incorrect in a few cases.

·Bugfix - File Search: The format selected under "Options > View > Date/Time Format" is now correctly applied for the columns "Last Accessed" and "Creation Date".

·Bugfix - File Search: The detection of errors occurring in PowerShell scripts used with the option "Pass items to executable as parameter" in the dialog "Move Items" has been improved.

·File Search: The height of the dropdown-list containing the drives is now saved by TreeSize. Users with many drives no longer need to manually resize it after restart.

·Bugfix: When the command line option /READONLY is used, no explorer context menu is shown in "Details" and "Top 100" view anymore.

·Bugfix: A problem, which produced unexpected results when moving columns using drag and drop, was corrected.

·Bugfix: Infrequently occurring compatibility problems with the .NET framework that showed up especially for older Windows version were fixed.

·A chapter in the TreeSize help now explains how to search for file names containing invalid characters using the "Custom Search" and how to replace them using the example of SharePoint.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3.6 (19 Jan 2017)

·Bugfix: The column "File version" now displays the file version from EXE and DLL files, and no longer the product version. The advantage of the file version is that it typically has more digits and a fixed format, while the product version can be any text.

·Bugfix: "File Open" and "File Save" dialogs work as expected again on Windows Core Server.

·Bugfix: An error that occurred when trying to scan folders on a mobile device on Windows Insider build 14986 has been fixed.

·Bugfix: The 64 Bit version could not be started on Windows Insider build 14971. This problem has been fixed.

·Bugfix - File Search: Copying a file including its permissions to a location with limited access rights could lead to an unhandled error when TreeSize tried to apply the permissions. This issue has been fixed.

·A new option in the installer allows to decide whether the desktop icon is created for the current user or for all users. In previous versions it was created for the current user only.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3.5 (21 Nov 2016)

·Bugfix: TreeSize can now scan WebDAV folders that require authentication, even if the credentials are not already stored in Windows.

·Bugfix: When turning off the option "Expand > Hide folders smaller than XX MB" hidden folders are now reliably made visible again.

·Bugfix: Users can again scan the entire network by entering \\* in the folder dropdown box on the top left of the window.

·Bugfix: The installer no longer resets the settings for the TreeSize context menu entries in the Windows Explorer context menu.

·Bugfix - File Search: In some cases an error occurred when deduplicating files. This issue has been fixed.

·Bugfix - File Search: If many items in the results list are selected, the right-click menu is now shown faster.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3.4 (10 Oct 2016)

·Bugfix: On some very strictly configured systems the installer ran into an error when it tried to load a DLL from the user's TEMP folder. This is no longer the case.

·Bugfix: On server systems, text entered in the folder dropdown box (top left of the main window) was cleared sometimes. This issue has been corrected.

·Bugfix: On Windows Server 2008 the feature "Compare with Snapshot" works properly again.

·Bugfix: The "Find" dialog in the directory tree now respects the current sort order when searching.

·Bugfix - File Search: When using the "Check If" feature and specifying a pattern that is already in the list, the check-marking of the matching items now works as expected.

·Bugfix - File Search: In rare cases an error occurred when deleting a pattern from the Custom File Search. This issue had been fixed.

·Bugfix - File Search: The Custom File Search user interface now scales better on high-dpi monitors.

·Bugfix - File Search: The progress dialog for the deduplication now show more realistic values.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3.3 (05 Aug 2016)

·Bugfix: When scanning an FTP server, usernames containing an "@" character are now supported.

·Bugfix: The history no longer stays empty if more than one filter was applied.

·Bugfix: Chart titles containing "\n" are now displayed correctly.

·Bugfix: On some systems, text entered in the folder dropdown box (top left of the main window) was sometimes cleared. This issue has been corrected.

·Bugfix - File Search: The allocated space of folders is now shown correctly in the custom file search.

·Bugfix - Duplicate File Search: Sometimes a group of duplicates was split into several groups when searching for files by name, size and date. This problem has been fixed.

·File Search: Selecting many files using the SHIFT key in the File Search works much faster now.

·File Search: The "Move Checked Files" operation now starts faster, this is especially noticeable if many files are involved.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3.2 (06 Jul 2016)

·Our MSI-installer now requires an installation key. Unattended installation using the MSI-installer is still supported. Please refer to the chapter "Installation" in our help to learn how to pass the installation key as a command line parameter.

·The performance of scans of mobile devices has been increased significantly.

·If an interval of a scheduled TreeSize task was changed in Windows Scheduled Tasks to a setting not supported by TreeSize, the interval now remains unaltered when editing the task in TreeSize.

·The free and total space of mobile devices is now shown in the status bar and the drive list.

·TreeSize now takes the new NTFS compression features of Windows 10 into account as long as the option "Tools > Options > Scan > Track NTFS-specific features" is switched on. Please note: Files that are compressed using these new algorithms are not flagged as compressed by Windows in the file attributes.

·A new option to deactivate the drag and drop features of TreeSize has been added to "Tools > Options > View > General" (requires activating the "expert mode" checkbox). Turning off drag and drop should prevent unwanted changes on critical systems.

·The TreeSize task scheduler now supports specifying a text file containing the scan paths using the command line parameter /SCAN.

·Bugfix: On some systems the folder dropdown box on the top left of the main window behaved strangely when typing a path or selecting a path. These issues have been corrected.

·Bugfix: When using scheduled scans to export multiple reports to a PDF file, all reports (not only the latest) will be exported.

·Bugfix: Scheduled scans sending reports by email will no longer use the setting up to which level the hierarchy shall be exported from the HTML export options, but from the email export options. These options can be configured in the TreeSize "Options" dialog.

·Bugfix: Compressing and decompressing folders in the "Details" list now works recursively again.

·Bugfix: A crash which occurred when TreeSize was using more than 4GB of memory has been fixed.

·Bugfix: Activating and deactivating columns in the "Details" list via the "Options" dialog no longer shrinks them to a width of 0 pixels.

·Bugfix: An error occurring after saving a scan that had been compared with a saved XML file has been fixed.

·Bugfix: The "Extensions" statistics is now filled correctly even if the small chart on the bottom is disabled.

·Bugfix: Creating a portable installation of TreeSize v6.3 over an existing older version now results in a properly licensed portable installation.

·Bugfix: When creating a portable installation certain USB hard drives are no longer detected as fixed internal drives.

·Bugfix: The feature "Home > Open TreeSize File Search > Files with long paths" did not scan for long paths but restarted the last search. This is no longer the case.

·Bugfix - File Search: An error preventing the search of IP address ranges like "\\192.168.123.*" has been fixed.

·Numerous minor improvements and fixes have been included.

Changes in V6.3.1 (25 May 2016)

·Bugfix: TreeSize no longer shows an error message on startup if no valid "My Documents" folder exists for the current user.

·Bugfix: A very rare bug has been fixed: Installation keys are no longer detected as invalid if the letter "O" was entered instead of the digit zero.

·Bugfix - File Search: TreeSize does not show an error message any more on systems that have no support for mobile devices installed.

·Bugfix - File Search: On mobile devices sometimes the file extensions were missing in file names. This is no longer the case

·Bugfix - File Search: TreeSize no longer shows an error message in certain time zones (e.g. UTC+8) when starting the search.

·A few minor fixes and improvements have been incorporated.

Changes in V6.3 (20 May 2016)

·It is now possible to scan mobile phones, WebDAV servers (including SharePoint) or FTP servers etc. which are listed in the Windows Explorer under "This PC".

·A report can now be exported as PDF file. Like the HTML report, the PDF reports can include the various charts that TreeSize offers.

·Excel reports and printed reports can be configured to include the various charts that TreeSize offers (like the HTML reports).

·Multiple exports can be started and will run simultaneously, each export in its own thread. The exports will even continue to run if a scan is removed from the TreeSize user interface or TreeSize is closed.

·All lists in TreeSize can now be exported to PDF format.

·The portable installation is no longer an option in the installer. Users can now create a portable installation directly in the main window at any time. (Professional edition only)

·The Personal Edition is now available as 64Bit edition as well.

·On the "History" tab, a line showing the average trend and a line for the total disk space can be enabled.

·When zooming into the history line chart, only the x-axis is zoomed. This way data points located very close to each other can easily be distinguished.

·A print preview has been added; users can select which pages shall be printed.

·The size data from a snapshot comparison is now added as data point to the History chart.

·A scan of, or a search in the entire network, e.g. using \\*, is now possible without activated NetBios.

·The summarized size of all selected file types on the tab "Extensions" and of all selected users on the tab "Users" is now displayed in the status bar.

·The overview toolbar now has an option in its context menu enabling users to define if it should wrap around or truncate the shown information in case it does not fit.

·The new command line option /EMPTYRECYCLEBIN allows to clear the recycle bin.

·File search: Searches in file content can now be performed case-insensitive.

·File Search: In the content of many non-text files (e.g. PDF- or Office-files) the search string will be found more reliable and faster.

·File Search: The performance of the Custom Search when searching by file content has been remarkably increased when additional filters are used that exclude files e.g. by their date or file extension.

·File Search: In the search for temporary files the user interface has been improved, its functionality has been extended.

·File Search: During exports a progress dialog is shown enabling users to cancel the export.

·File Search: A new sub-menu "Permanently exclude from search results" has been added to the context menu. It prevents the selected file, its parent folder, or all files of the same type from being listed in the results of future searches.

·File Search: It is now possible to remove all no longer existing files from the search results.

·File Search: The duplicate search based on MD5 or SHA256 checksums now starts listing found duplicates while the search is still running.

·File Search: The column "Allocated Space" now shows values for folders as well.

·File Search: You can now use a user's SID instead of the name when defining a filter based on the file owner in the Custom Search.

·File Search: Using the "Auto-fit columns" feature no longer causes TreeSize to freeze for a long time if there are many search results.

·File Search: A new option in the "Options" dialog will show time pickers on the tab "Date" of the Custom Search.

·Scheduler: The Top 100 list can now be exported. (Professional edition only)

·Scheduler: The Windows event log, to which scheduled scans write errors, can now be opened from within the "Schedule" dialog. (Professional edition only)

·Numerous minor improvements and fixes have been included.

Changes in V6.2.3 (23 Nov 2015)

·Bugfix: Imported XML reports are no longer missing "Expand" symbols.

·Bugfix: When reading an XML report with multiple scans, the scans are now shown again grouped. The progress shown while reading reports has been improved.

·Bugfix: MSI Installer: The property "ALLUSERS" has a valid value again.

·Bugfix: We now avoid a potential delay when TreeSize is started "as administrator" and cannot connect to a mapped network drive.

·Bugfix: The default Excel export file path, that can be adjusted in the Options dialog, is now memorized again.

·Bugfix: If a printed report contained some compressed items printed in blue, all following items were also printed in blue. This is no longer the case.

·Bugfix: File Search: Sorting by the column "Dir level" is significantly faster now.

·Bugfix: File Search Personal Edition: The "Add" Button in the dialog "Checkmark if..." is no longer disabled.

Changes in V6.2.2 (08 Jul 2015)

·Bugfix: An issue that could cause incomplete Excel exports has been resolved.

·Bugfix: Editing a previously saved task in the scheduler dialog will now update all fields under "Options" correctly.

·Bugfix: Sometimes text was copied to the clipboard incompletely. This problem no longer occurs.

·Bugfix: The responsiveness of the user interface during large exports including MD5 checksums has been improved.

·Bugfix: Minor improvements regarding the presentation of the charts have been incorporated.

·Bugfix - File Search: The performance of the File Search has been improved.

·Bugfix - File Search: Excluding a file or folder from the search results will now create a permanent exclude filter.

·Bugfix - File Search: The automatic deletion of search results via the command line argument /MOVETO "Recycle Bin" now works as expected again.

·Several minor improvements and fixes have been included.

Changes in V6.2.1 (08 Jun 2015)

·Bugfix: The autosizing of columns in Excel exports has been improved.

·Bugfix: Several improvements and smaller fixes related to the new charts have been incorporated.

·Bugfix: TreeSize now starts correctly if no valid "My Documents" folder exists for the current user profile.

·Bugfix: The export dialog for the lists on the right pane now offers the "RTF" format again.

·Bugfix - File Search: A rare case in which deleting or moving files was not possible has been corrected.

·Bugfix - File Search: Custom filter settings that are passed via the command line options /FILTER or /EXCLUDE will now be applied correctly in the TreeSize File Search.

·File Search: The read-only mode is now supported in the File Search. It can be activated via the command line parameter /READONLY.

·Several minor improvements and fixes have been incorporated.

Changes in V6.2 (07 May 2015)

·The retrieval of snapshots from remote systems has been improved: TreeSize Professional now supports Windows DFS shares and snapshots non-Windows storage system e.g. from NetApp and EMC.

·A 32Bit version of TreeSize can now retrieve and use snapshots for comparison on most 64Bit systems.

·The pie and bar chart have been completely redesigned. They have been replaced with MS Chart from the .Net framework. Because of this, TreeSize now requires the .Net framework 4.0 or higher to be installed on the system on which it is executed. Our installer will download and install the .Net framework 4.0 in the unlikely case it is not yet installed.

·An export no longer blocks the user interface of TreeSize main module.

·Options: Users can now configure the settings for exported HTML files and HTML emails independently.

·Options: The separator for CSV files can be configured now.

·Options: All export formats can be configured to export the same columns as the "Details" list. This is the default value for new installations.

·Options exported via "Tools > Options > Export" now also include the options of the File Search as well as (optionally) the data for the "History" tab.

·The mouse wheel now scrolls the control under the mouse cursor, not the focused control.

·If the number of exported elements exceeds the number of rows that an Excel sheet supports, the export is now continued on a new sheet.

·The author is now set for exported Excel files.

·The command line option /COMPARE can be used not only with exported XML files but also with another path.

·File Search: The number of files and folders found is now displayed in brackets next to the search type.

·File Search: TreeSize now displays a warning if system files are affected by move or delete operations.

·Duplicate Search: Added "Open containing folder" to the context menu of a duplicate files group.

·Improvements on scheduled email exports:

oScheduled TreeSize tasks will now attach all exported files to a single email instead of sending multiple mails.

oThe new command line option /ATTACH grants more control over which files are going to be attached to the email.

oThe new command line options /SUBJECT enables users to set the subject of the sent email.

·Bugfix: Scheduled TreeSize Professional tasks can now be run under a user account without a set password.

·Bugfix: If TreeSize is started as administrator on Windows 8, it now shows all mapped network drives that do not require a special login. (Details)

·Bugfix: The column "File Version" in the "Details" list shows data again.

·A few minor fixes and improvements have been incorporated.

Changes in V6.1.1 (27 Oct 2014)

·Start-up lags occurring when shares from unreachable hosts were listed in the "Drive List" have been eliminated. This could also trigger a Windows login prompt appearing, without any active scan.

·Bugfix: Exporting multiple scans via command line using the command line switch /GROUPSCANS works again as expected.

·Bugfix: XML exports including the new column "Description" (introduced in V6.1) now work without any issues.

·Bugfix: The columns "Last save date" and "Author" now show the correct information for Excel 2007 files (*.xlsx) on Windows Server 2003 and Windows XP.

·Bugfix: The printed report of the TreeSize directory tree now factors in the "Hide folders smaller than X MB" option correctly.

·A few minor fixes and improvements have been incorporated.

Changes in V6.1 (13 Oct 2014)

·The "Snapshot" feature now supports network paths. For usage and system requirements, please refer to the corresponding help topic. The Snapshot feature has been completely overhauled to improve stability and performance on client operating systems such as Windows Vista/7/8/8.1.

·If no scan was performed recently, TreeSize now displays the date and time of the last scan in the directory tree. This includes scans imported from an XML file.

·A new option enables users to configure whether or not the domain name shall be shown with the user names.

·Drive List: Two new columns can be displayed now in the drive list: File System and Network Location.

·The tab "Age of files" can now display the allocated space in addition to the plain size.

·A new column "Description" has been added to the Details list and the exports: It shows the comments for folders or shares or the title/description embedded in office files and pictures.

·It is now possible to force the comparison of two scans, even if their paths do not match.

·The progress of TreeSize shown in the Windows task bar is now the overall progress of all running scans, and no longer the progress of the selected scan.

·HTML-export: It is now possible to configure which charts are included in an exported HTML file. This setting also applies to HTML emails.

·Email export: It is now possible to configure whether the full tree or just the expanded folders shall be exported.

·Email export: All environment variables and the placeholders %DATE%, %TIME%, %TITLE%, and %SCANPATH% can now be used in the subject.

·Email export: TLS is now supported when sending via SMTP.

·CSV-export: Non-numerical values are now enclosed in double quotes.

·Several issues with exported Excel files have been resolved.

·The display on systems with high DPI resolutions has been improved

·Customers with a site license or a company license now can now download a 64Bit MSI-installer in addition to the 32Bit MSI-installer.
A problem when deploying the MSI-installer via Windows group policies has been fixed.

·File Search: An options dialog enabling users to control several global settings has been added.

·File Search: The custom search now also detects Unicode (UTF16) strings when matching against the file contents.

·File Search: The result lists can be sent by email with a single click.

·Several further minor improvements and fixes have been incorporated.

Changes in V6.0.3 (06 Mar 2014)

·Bugfix: The column containing the MS Office "Last save date" now contains correct values in exported MS Excel files

·Bugfix: The activated option "Always start TreeSize as Administrator" no longer prevents TreeSize from starting on systems on which the user does not have sufficient privileges to run programs as administrator.

·Bugfix: Expand symbols in exported HTML files now work in Internet Explorer 9.

·Bugfix: When sending an email via SMTP, using SSL works correctly now.

·Bugfix: The columns "Quota Usage" and "Quota Limit" on the "Users" tab work again.

·Bugfix: The command line option /AGEOFFILES now exports CSV-files correctly if used in combination with /OPEN.

·Bugfix: The use of the command line option /EXTENSIONSLIST in combination with /NOGUI no longer exports incomplete files.

·Bugfix: When calculating the allocated space, the correct cluster size is now used on drives with the ReFS file system.

·Bugfix: The XML export now correctly respects the setting "Options > XML > Export expanded elements only".

·Bugfix: The command line option /EXPAND 1 now also works if files shall be exported along with the folders and the root folder contains no subfolders.

·Bugfix: For other domains than the current domain, SIDs are now resolved again correctly to usernames in the "Owner" and "Permissions" columns.

·Bugfix: The feature "Expand > Set Size" now works for values greater than 2,048 MB.

·Bugfix: The chart on the "History" tab was empty if an exclude filter was defined in the "Options" which effectively excluded files.

·Bugfix: The date columns did not contain any values in exported Excel files under certain regional settings (e.g. Czech on Windows 8). This is no longer the case.

·Bugfix: The "Find" dialog of the Directory Tree (Ctrl+Shift+F) could raise an error after continuing the search from the beginning. This problem has been fixed.

·Bugfix: After changing the view type (e.g. from "Size" to "Allocated Space") the charts on the "Age of Files" and "History" now update instantly.

·Bugfix - File Search: When moving files for which you do not have sufficient access rights for deleting them to a ZIP-file, the move operation is no longer interrupted with an error dialog.

·Bugfix - File Search: If both a filter for a file name/path and for the owner or file content is applied, this set of filters now only matches in case all filters match. This reestablishes again the behavior of TreeSize V5.5 in cases when both a filter for the file path and file owner were defined in the Custom Search.

·Bugfix - Duplicate File Search: For files that have been deduplicated using hardlinks, the remaining physical file now receives the correct union set of permissions.

·Several minor fixes and improvements have been incorporated.

Changes in V6.0.2 (10 Dec 2013)

·Bugfix: Under certain conditions a certificate error occurred during application startup which prevented TreeSize from further execution (Certificate Error: -2146762487). This is no longer the case.

·Bugfix: The Personal edition can once again scan network shares of computers that aren't part of a domain.

·Bugfix: In the "Own Permissions" column, the permissions of the parent folder were shown for certain files. This error has been fixed.

·Bugfix: When deleting multiple files in the "Details" view, some elements were not removed under certain conditions. This error has been solved.

·File Search: Support for sending email via command line and attachment of files has been improved. It now matches the function of the main module.

·The "Find in Directory Tree" feature (Scan > Directory Tree > Find) now supports full paths.

·A few minor fixes and improvements have been incorporated.

Changes in V6.0.1 (11 Nov 2013)

·The dialog that allows selecting a snapshot for comparison now shows not only the date but also the time of the snapshot.

·File Search: When importing previously saved search options users can now decide using a checkbox whether the view options (like the used unit or the number of decimals) should be loaded from the file as well.

·Deleting entire folder branches in the Directory Tree using the keyboard shortcut "Shift + Del" is faster now and no longer complains about non-empty directories in rare cases.

·Bugfix: In some cases the reading of the Master File Table (MFT) was very slow. This problem occurred only if local drives were scanned with administrative privileges and a certain structure was present in the MFT. This problem has now been fixed.

·Bugfix: On Windows 2008 systems which did not have the VeriSign 2010 root certificate installed and did not have the automatic root certificate update of Windows turned on, TreeSize was closed without an error message a few seconds after the start of a scan due to a failed certificate check.

·Bugfix: Deleting items from the Details list using the keyboard shortcut "Shift + Del" now deletes all selected files.

·Bugfix: The selected sort order (by name or by size) is now used also for all exported files.

·Bugfix: When TreeSize is using more than 4GB of RAM error messages no longer appear on the "Chart" tab.

·Bugfix: Loading a previously saved XML file for a drive which is not present on the current system no longer leads to an error message on the Top 100 page.

·Bugfix: Excel export is now also possible in the Personal Edition as announced for V6.0.0.

·Bugfix: If the feature "Generate expandable/collapsible Excel export" is selected in an exported Excel file, single files are now shown in the correct group.

·Bugfix: In the Duplicate File Search the ribbon button "Check all but newest" is now enabled.

·Bugfix: The feature "Expand > Hide small folders" is now working correctly, even if the number of files are shown in the Directory Tree.

·Bugfix: Exported HTML files were missing single files if the option "Include single files in export" was activated, but single files were not shows in the Directory Tree. This is no longer the case.

·Bugfix: In rare cases, the column "Inherited Permissions" contained wrong values.

·Bugfix: Support for Unicode characters in emails has been improved.

·Bugfix: The full version is no longer creating a folder "DbgLogs" in the user's documents folder.

·Bugfix: The combination /NOGUI /GROUPSCANS /TREEMAP of command line parameters is no longer producing an empty treemap chart in the exported file.

·A few minor fixes and improvements have been incorporated.

Changes in V6.0 (24 Sep 2013)

·Faster scans: The well-proven and extremely fast search technology of UltraSearch working directly on the NTFS file system structures has been incorporated to increase the performance of TreeSize scans and searches on local drives.

·64 Bit: TreeSize is now available as native 64 bit application (Professional Edition only). When scanning very large file servers memory will no longer pose a restriction.

·A new option allows making folders and [Files] items expandable and show single files in the directory tree.

·New license keys will be issued for V6. Please note: The old license keys for V5 provided on the license documents will not be valid for V6. The new license keys can be obtained in our customer area.

Comparing / Trend Analysis

·Compare using historic snapshots: TreeSize now facilitates comparing the current state of your local disk space with previous points in time using snapshots. No files need to be exported, even pre-existing snapshots that have been created by the system before TreeSize was installed can be used for comparison. Additionally, TreeSize offers an option to create a snapshot ("Tools > Create Snapshot").

·Toggle between size growth and current size: After performing a compare using an exported XML file or a snapshot you can now toggle between a comparison mode showing the size changes in all controls, and the mode showing the current values. In addition you can enable new columns ("Growth" and "% Growth") presenting the size increases and decreases in any of these modes on the "Details" tab. Those columns are not activated by default, but can be enabled using the context menu of the "Details" list header.

User Interface

·On Windows Vista / Server 2008 and higher, a ribbon-style user interface is now used. We decided to use the Windows Ribbon Framework to create the new user interface for TreeSize. The Windows Ribbon Framework is part of the operating system in Windows Vista and later and so ensures optimal support and integration also in future Windows versions. It is also used by MS Paint, MS WordPad, MS Movie Maker and the Windows 8 Explorer. On Windows XP/2003 you will still see the classic user interface with a main menu bar.

·The "Options" dialog has been redesigned. Several new options especially for exporting have been added (see next section). A new checkbox "Expert mode" allows activating a mode that shows additional options that can be useful for experienced users.

·The include/exclude filter in the "Options" dialog has been revised. It offers matching by regular expression, exact match, filtering by owner and offers a preview of the impact of a filter in an Explorer-like view.

·Support for Windows Vista/7 style drag icons and drag hints has been added.

·You can now search the directory tree for a specific file or folder ("Scan > Directory Tree > Find" / Shift+Ctrl+F).

·The number of errors that occurred during a scan (e.g. access denied errors) is now shown in the status bar. Clicking it opens a dialog with detailed information regarding the errors.

Export Features

·The HTML export has been revised: When JavaScript is enabled, you will now see a dynamic view which allows expanding and collapsing each level of the folder structure. Subfolders are now properly indented. Folders are formatted as hyperlinks; clicking on them will open the folder.

·Email: Besides sending emails using your MAPI client it is now possible to send them through SMTP as well. This is useful when sending emails from within scheduled tasks. The SMTP setting can be configured at: "Tools > Options > Export > Email > Transport"

·You can now choose whether file information for single files should be included in Excel, HTML, Text and Printed export ("Tools > Options > Export > Exported elements").

·You can now choose whether an Excel export of the directory tree should support expandable / collapsible levels ("Tools > Options > Export > Excel > Expert Mode > Formatting").

·The type of information exported to an XML file can now be configured.

·The Personal Edition now supports the same export features (Excel, HTML, and Text files) as the Professional Edition.

File Search

·Custom Search: The pattern editor of the custom file search has been revised. It now supports regular expressions and also allows users to search in the file content.

·Custom Search: You can now search for both files and folders at the same time (tab "Size / Attributes").

·Custom Search: You can now decide whether your search filters shall filter by the number of NTFS hardlinks of a file. The new options "Ignore NTFS Hardlinks" and "Minimum Number of Hardlinks" are located on the "Other filters" tab.

·Duplicate Files: You can now define filters for the duplicate file search to include/exclude files whose file name, path or owner match certain patterns ("File Search > Duplicate Files > Filters"). Please note: Using a highly selective filter for the duplicate search will remarkably increase the performance of the search, since fewer files have to be compared.

·Temporary Files: If all files contained in a directory are matching the temporary file search criteria, the result list will show only this directory on the first level. The directories identified as temporary can be expanded to show subfolders and files.

·Move Checked Files: Added new option to create an undo-script for move and copy operations (section "Logging").

·Move Checked Files: There is now an option to replace existing files instead of resolving the name conflict using an automatic renaming.

·Move Checked Files: For move and copy operations you can now define the directory level that should be preserved from the source directory structure.

·With the new function "Change File Owner" included in the right click menu of the search result list you can now easily set a new file owner for all selected files. This is very useful e.g. if you found a group of files with an invalid file owner.

·You can now use wildcards when scanning servers using server names (e.g. \\serverA*\) or for scanning IPv4 class C nets (e.g. \\192.168.123.*).

·The new columns "Allocated Space" and "Dir level" have been added to all search result lists. The new columns are deactivated by default but can be activated via the context menu of the result list header or through "View > Visible columns".

·A new "master" checkbox for (un-)checking all objects in a result list has been added to the top left of the header line.

·Internet Files: Added support for Google Chrome and enhanced support for latest versions of other browsers (IE, Firefox and Opera).

Drive List

·The Drive List now shows the S.M.A.R.T. status of the listed drives (if accessible). Drives at risk can be identified quickly this way.

·The Drive List can now also be exported to an Excel file, either using the right click menu or the command line option /EXPORTDRIVELIST.

·The Drive List now has its own menu bar which contains commonly used actions such as mapping a network drive. The menu is shown as a Ribbon context tab, as soon as the Drive List has been clicked. (Windows Vista and higher only)

·The Drive List now supports importing a list of paths from the clipboard using the right click menu. The menu item will only be shown if the clipboard contains a valid path.

Scheduled scans / Command Line Options (Professional Edition only)

·The dialog to create and edit scheduled TreeSize tasks has been revised and new options have been added. For example, scans can now be scheduled not only daily and weekly but also monthly and you can force not to show the user interface. In addition you can now choose if exports should be appended to existing files, choose a column by which the exports should be sorted, and supply an XML file including the configuration for the scan. Find a detailed description of the new "Schedule Tasks" dialog, including all options here.

·The new command line option /USERFILTER has been added: It allows predefining the user by which the directory tree is filtered.

·The command line parameter /NOUNITS now also prevents thousands separators in exported values.

·With the new command line switch /AGEOFFILES you can export a textual representation of the "Age of Files" statistics.

·Added command line parameters /SHORTDATEFORMAT, /HIDESMALLFOLDERS and /SORTTYPE. See Command Line Options for details.

Minor changes and improvements

·The path in which the history information is stored can now be adjusted. This allows sharing this file among several users / administrators.

·The information on the history tab can now be exported or imported.

·The new column "Link Target" has been added to the "Details" tab and all export options. Columns "User Comment" and "Title of Scan" have been removed. New columns are not activated by default, but can be enabled using the context menu of the list header or at "Tools > Options > Export".

·The column "Permissions" now shows "full" instead of "+w+r+x" if a use has full access rights on a file or folder. This allows distinguishing if a user has just read/write privileges or full access to a folder (which includes changing security attributes and taking ownership).

·After copying a file system object to the clipboard in the Windows Explorer using Ctrl+C, its full path will be pasted to the Folder dropdown box of TreeSize when pressing Ctrl+V.

·When scanning an entire server using \\ServerName you no longer need to enable the virtual root folder to group the shares under a common folder.

·Numerous further improvements have been incorporated.

Bug fixes

·Bug fix: "File > Export > Send by Email" now works under Windows Vista/7 even if TreeSize was started as administrator and MS Outlook is the default email client.

·Bug fix: On some Windows Vista based systems TreeSize got into a not responding state when getting back from screensaver.

·Bug fix: An occasional problem with corrupt Excel exports in XLSX-format has been solved.

·Several minor bug fixes have been incorporated.

Changes in V5.5.5 (30 Mar 2012)

·Custom File Search: The values for min and max size now also work for directories. This allows you e.g. to easily find folders that do not contain any files by setting the max size to 0 and checking only "Directory" in the Attributes list.

·Bug fix - File Search: Some MD5 checksums could be missing in exported files.

·Bug fix: Editing the execution time of an existing scheduled TreeSize task did not work.

·A few minor fixes have been incorporated.

Changes in V5.5.4 (27 Jan 2012)

·The new command line option /EXPORTDRIVELIST now exports the contents of the drive list to a text file.

·Bug fix: When selecting "Remove from TreeSize temporarily" in the right click menu of the "Details" list sometimes too many items disappeared from the list.

·Bug fix: Pressing the "Del" key in the "Details" list deleted only the selected files if both files and folders were selected.

·Bug fix: TreeSize Professional now follows Windows DFS shares correctly again and shows their target path in the tooltip window.

·Bug fix: The command line option /FILEAGESCHART no longer produces empty charts.

·Bug fix - File Search: Using a wildcard pattern like "C:\Temp\*.txt" in the Custom File Search now produces the expected result and lists all text files in the directory branch "C:\Temp".

·A few minor fixes have been incorporated.

Changes in V5.5.3 (24 Oct 2011)

·Bug fix: An occasional repaint problem of the folder dropdown box on the top left of the main application has been fixed.

·Bug fix - File Search: "Edit > Check all matching a pattern" now also works correctly for the duplicate search and now considers not only the full path but also the file name. This allows using more simple patterns like "New*.txt".

·Bug fix - File Search: The behavior of the command line option /MOVETO has been improved.

·A few minor fixes have been incorporated.

Changes in V5.5.2 (10 Aug 2011)

·Bug fix: Saving an XML report for a virtual root folder caused an error, this also applied to the command line options /GROUPSCANS /XML.

·Bug fix - File Search: An error was fixed that occurred when merging the permissions for deduplicated files.

·Bug fix - File Search: A possible error was fixed that could occur after using "Check all but newest" from the right click menu of the Duplicate Files search.

Changes in V5.5.1 (28 Jul 2011)

·Bug fix: The chart on the "History" tab is now working again for mapped network drives.

·Bug fix: If a [Files] item is deleted using the right click menu, it is now removed from the Directory Tree.

·Bug fix: When performing multiple scans from the command line with multiple /PIECHART command line options, then the exported charts sometimes contained the wrong content.

·Bug fix: Entering paths like \\Server\A* in the edit field on the top left of the TreeSize window is now working again.

·File Search: The custom file search now allows again a minimum value of "0" for the date fields "Since XX days". This allows to search for files that have been created, changed or accessed today.

·Personal Edition: The menu item for comparing XML reports is now available again.

Changes in V5.5 (18 Jul 2011)

·The new columns "Inherited Permissions" and "Own Permissions" have been added to the "Details" tab and all export options. The column "Own permissions" simplifies finding folders that do not inherit all their permissions from their parent folder. Both columns are not activated by default, but can be enabled using the context menu of the list header or at "Tools > Options > Columns/Export".

·The new column "Alternate Data Streams" in the Details list shows the size of NTFS alternate data streams in a file.

·The columns "Quota Limit" and "Quota Usage" have been added to the "Users" list. This allows a quick overview about the usage and limit of the Windows built-in quota features from within TreeSize.

·The "File" menu now includes a list of recently scanned paths and recently saved XML reports.

·You can now scan paths like "S:\Users\R*" or "R:\*\MyVideos". Only one root folder will be created in this case.

·File Search - Move Checked Files: It is now possible to burn the checked files to an optical media.

·File Search - Move Checked Files: Because of many customer requests, it is now also possible to copy all checked files to a different location instead of moving them.

·File Search: It is now possible to check or uncheck all search results which are matching a certain pattern using the "Edit" menu.

·File Search - Duplicates Files: It is now also possible to search duplicates solely by their file name.

·File Search - Duplicates Files: The deduplication feature now has an enhanced dialog. It shows the number of all checked duplicate files and the disk space that will be recovered. You may specify a log file that logs all performed operations in detail. Furthermore you may configure in detail how to handle duplicates that are not located on the same volume.

·File Search - Duplicates Files: When deduplicating files using hardlinks now a union set of the original access privileges is applied to the remaining file, so that all users can still access the resulting file.

·File Search - Oldest Search: You may now alternatively specify the minimum age of a file in number of days instead of a certain date.

·The saved XML reports now include the owner of each folder in case the file owner statistics was turned on in the Options of TreeSize.

·TreeSize is no longer shown in the context menu of virtual folders like the recycle bin. It is now also available in the background context menu of folders.

·Bug fix: The command line option /SCAN did not work in combination with /EXCEL and /TEXT.

·Bug fix: The command line option /TREEMAP did not work in combination with /NOGUI.

·Bug fix: Right clicking on a very large file could cause the application to freeze for several seconds as this triggered calculation of checksums shown in the "TreeSize" submenu of the right click menu.

·Numerous further improvements and a few minor bug fixes have been incorporated.

Changes in V5.4.4 (13 Dec 2010)

·Now the language which is chosen in the first step of the installer decides about the language of the user interface, the regional settings of the system are no longer taken into account.

·Exporting Excel files is faster now, especially for a large amount of data (>60.000 rows).

·Bugfix: After clearing the exclude filter at "Tools > Options > Include/Exclude", the necessary rescan is now performed correctly.

·Bugfix - File Search: The checkbox "Save only checked items" in the dialog of "Save Results" now has the desired effect of exporting only those items which have been check-marked.

·A few minor fixes and improvements have been incorporated.

Changes in V5.4.3 (23 Nov 2010)

·The function "Update this branch (Shift+F5)" from the context menu of a folder is now also working for a directory tree loaded from an XML file.

·Bugfix: When a saved XML report of a server is loaded that is currently not reachable, the delays that occur are minimized now.

·Bugfix: A rare error when loading a saved XML report has been fixed.

·Bugfix: If the TreeSize File Search is added to the Explorer context menu using the option at "Tools > Options > Miscellaneous", the correct caption for this menu item is used now.

·Bugfix - File Search: The results of the search type "Internet Files" were possibly incomplete.

·A few minor fixes and improvements have been incorporated.

Changes in V5.4.2 (22 Oct 2010)

·Bugfix: An error when exporting the settings at "Tools > Options > Miscellaneous" has been fixed.

·Bugfix - File Search: When moving files, the "Yes to All" button is confirms all further confirmation dialogs of the same type.

·A few minor fixes and improvements have been incorporated.

Changes in V5.4.1 (06 Oct 2010)

·The default sort order of the "Top 100 Files" list is now again descending by size.

·Improved saving and restoring of the toolbar positions

·File Search: Scrolling in the duplicate list could be slower than in V5.3 if the columns "Creation Date" or "Last Access" were visible.

·Bugfix: On a few systems with Outlook 2003 an error in MSMAPI32.DLL occurred on startup of TreeSize.

·Bugfix: The toolbar button for copying the history chart to the clipboard was always disabled.

·Bugfix: Fixed rare OLE exception ("Not implemented") caused by the code for showing the progress in the Windows task bar. Affected were some Citrix systems and Windows 2008 Server on which TreeSize was started as RemoteApp.

·Bugfix: Removing single points from the "History" tab via the context menu ("Remove this point") could lead to an error.

·A few minor fixes and improvements have been incorporated.

Changes in V5.4: (21 Sep 2010)

·Paths that are exported to Excel files are now exported as clickable hyperlinks. This allows you to quickly jump to the appropriate path in Windows Explorer.

·The automatic mode for size units ("View" > "Automatic Units") is now also supported for the export to Excel files. Please note that it will be difficult to do calculations based on these values.

·Personal Edition: TreeSize Personal now scans network drives if the computer running TreeSize Personal is not part of a Windows domain and the remote system is not a Windows server. This enables customers of the Personal Edition to scan network drives in their home network, including NAS systems based on Linux and Samba 3.

·All lists, including the results lists of the file search, can now be saved in HTML and RTF format by choosing the appropriate format in the "Save" dialog.

·All printed lists now include the icons, text formatting and indents.

·Printed reports now show compared scans in red and green, just like on the directory tree, if the option "Use bold Text and Colors for Printed Reports too" is activated in the Options dialog.

·The tree map on the "Charts" tab now not only supports drag operations but also drop operations. Additionally, drag operations with the right mouse button are possible as well. The right click menu of the tree map now offers the possibility for elements like *.doc to list all files that belong to this element.

·The progress of the currently selected scan is now indicated in the Windows 7 task bar.

·The indicated progress of a scan is now calculated more exactly by using the results of previous scans (if available).

·Options: On the new tab "File Groups" the file groups shown on the "Extensions" tab can now be customized.

·The incremental search, which is started when you type characters in the directory tree on the left, now searches all sub folders, even the ones that are not visible or expanded. This allows you to quickly locate folders by starting to type their first characters.

·A new option (Tools > Options > View) allows you to display folders containing long paths (> 255 characters) in red.

·Drives are now displayed in the directory tree including the volume name, e.g.: C:\ (System)

·The new command line option /SHEETNAME allows you to specify the name of the Excel sheet that will be added when using the /EXCEL command line option. See help for details.

·History: The new option "Purge Old History Values" in the context menu of the "History" tab can be used to permanently remove older values from the chart.

·The small chart on the bottom of the "Extensions" and "Users" tab can now be exported in scheduled tasks as well.

·The Windows defragmenter can now be started from the TreeSize "Tools" menu.

·A new option (Tools > Options > Startup) allows you to always start TreeSize as administrator for Windows 7 and Vista, not just if the appropriate entry from the Windows Start menu has been used.

·If TreeSize is started non-elevated and it encounters a folder which it does not have access to, it now asks the user if TreeSize should be started again with administrative privileges.

·The Include Filter at "Tools > Options > Include/Exclude > Include" now supports paths and path fragments, too, not only file extensions. A dialog for editing the pattern more comfortably can be opened using the button on the right.

·The shortcut for copying the selected entries of the Details list to the clipboard as text is now Shift+Ctrl+C. Ctrl+C in the "Details" list now copies the selected files or folders to the clipboard, just like the Windows Explorer.

·The shortcuts Alt+Left, Alt+Right and Alt+Up now behave like in Windows 7 Explorer.

·In the Restricted mode, which can be started using the command line switch /RESTRICTED, the Explorer context menu is now available in the directory tree, the Details list and the Top 100 list.

·A new option under "Tools" > "Options" > "Miscellaneous" allows you to add the TreeSize File Search to the Explorer context menu of folders and drives.

·File Search: The Duplicate file search now supports SHA256 check sums. While it is very unlikely that the MD5 hash algorithm produces the same hash value for different files, the SHA256 algorithm further reduces the statistical risk of such hash collisions.

·File Search - Custom File search: The tabs of the custom file search that have filters set (= have actual influence on the search result) are now marked by a bold text in their tab.

·File Search: The File Search now decides, in a more intelligent way, if it should match a given pattern against the full path or just against the file name. In previous versions it was difficult to keep certain substring matches out of the search results. Additionally, you can now use quotes around your search pattern and so force a strict matching.

·File Search: It is now possible to search for files that do not have a certain attribute set.

·File Search: The export format of the Duplicate files list has been improved: The groups are easier to identify because files are indented now.

·File Search: A new option "Show Time with Date Values" was added to the "View" menu. It allows you to turn on or off the displaying of the time values next to the date values.

·File Search: The right click menu of the drive list on the "Search Options" tab now has a feature to import and add paths from a text file.

·Bugfix - File Search: If the "Move Checked files" function needed to create a new directory in the root of a drive, it sometimes had the hidden and system attribute set.

·The support for Windows 2000 has been dropped because Microsoft dropped it in July 2010. TreeSize V5.3.4, which is compatible with Windows 2000, remains available in our customers area for registered customers with valid maintenance.

·Several minor improvements have been incorporated.

Changes in V5.3.4: (21 Jan 2010)

·If single files are deleted from the "Details" list, the size in the directory tree will now be updated even if "Automatic Updates" are turned off.

·Bugfix: On systems that are not part of a Windows domain, delays could occur when expanding items in the directory tree or when the information for the long hint text was compiled.

·Bugfix: In the column "Permissions" sometimes usernames were not displayed correctly, instead "S-1-0" was displayed.

·A few minor improvements have been incorporated.

Changes in V5.3.3: (11 Dec 2009)

·Bugfix - File Search: A long list of duplicate files could contain invalid items in some cases. This caused an error if the list was scrolled to the bottom or if it was exported to a file.

·Bugfix: "Show Files" in the right click menu of the "Age of Files" chart as well as a double click on one of the bars produced empty result lists on some systems.

·Bugfix - File Search: When loading search options from an XML file, the date values were not restored correctly on some systems.

Changes in V5.3.2: (24 Nov 2009)

·Environment variables can now be used in paths to be scanned, e.g. if they are entered in the directory dropdown box in the top left of TreeSize or passed via command line.

·The function to list files of a user / extension / file age interval now takes the currently set exclude filters into account.

·File Search: The search progress is now visualized in the Windows 7 task bar icon.

·File Search: The Explorer context menu is now also displayed if more than one file is selected, as long as the selected files are on the same drive or share.

·Bugfix: Tools > Options > Include/Exclude > File Types: Multiple patterns separated by blanks were no longer working correctly.

·Bugfix: The exclude filter did not work for patterns with an absolute path. As a consequence, the feature "Remove from TreeSize (permanently)" in the right click menu of the directory tree did not work too.

·Bugfix: The shortcut "Ctrl" + "-" for the feature "Remove from TreeSize (permanently)" did not work.

·Bugfix - File Search: It was no longer possible to enter a server name as origin for the search (e.g. \\Server1).

·A few minor bug fixes and improvements have been incorporated.

Changes in V5.3.1: (15 Oct 2009)

·Bugfix: The regular check for update could crash TreeSize on application start.

·Bugfix: After using "File > Compare With XML Report", folders could appear multiple times in the directory tree.

Changes in V5.3 (12 Oct 2009)

·TreeSize has passed the "Compatible with Windows 7" logo test.

·Introduced new toolbar buttons "Back" and "Forward". You can use these buttons to navigate like in the Windows Explorer.

·In the directory edit field in the upper left corner of TreeSize it is now possible to enter multiple paths at the same time by separating them using semicolons. Each of these paths may contain wildcards. Example: d:\data\;e:\logfiles\;h:\user*\

·Top 100 List: Added columns Creation Date (by default visible), Attributes, Version, Permissions (by default not visible)

·Added column "Full User Name" (by default visible) and "User Comment" (by default not visible) on the "Users" page. Use the column header context menu to adjust columns.

·The "Printed Report" and the lists printed using the "Print" button above the "Details" list now also contain the icons.

·Added possibility to export a subbranch of the scanned file system to the right click menu of every folder.

·Under "Tools > Options > Columns / Export" there is a new export type for CSV files now. This way CSV files can now be configured independently from the text export.

·You can now export the user settings to a file ("Tools > Options > Miscellaneous > Settings") and import them later, or provide them to another instance or user of TreeSize. You can also reset the user settings to the factory settings here.

·The drive list is no longer blocking TreeSize on startup for a while if an unreachable network path is included in the list.

·Introduced new menu "Edit" to the main menu. It provides similar features like the Windows Explorer "Edit" menu and includes: "Cut", "Copy", "Paste", "Select All" and "Invert Selection".

·F5 now only updates the "Details" list if the Details list is focused. Otherwise it will, like before, perform a rescan of the currently selected directory branch.

·Improved progress dialogs when printing or exporting. They showed a wrong progress sometimes.

·Added new command line option /OPTIONS to pass formerly exported user settings to the application. (Professional edition only)

·The new command line switch /APPENDTOFILES will make TreeSize to always append its output to existing files when exporting a list in text format. (Professional edition only)

·In file names passed on the command line, e.g. for the Excel or XML export, now environment variables can be used. (Professional edition only)

·Charts: The colors assigned to the chart are now memorized for the next start. The context menu of the chart has an option to reset the colors to their default values.

·Charts: The bar and pie charts now also display Unicode characters.

·Charts: All charts can now be copied, saved or printed through their right click menu.

·Charts: Introduced new buttons in the toolbar of the "History" and "Age of Files" tab to (de)activate the gradient, patterns and hint marks.

·Charts: In the right click menu of the pie chart you can now define the threshold for items to be merged in the "Others" slice.

·Charts: You can now zoom the active chart by using the mouse wheel while the "Ctrl" key is pressed.

·Charts: Saving to a PNG file is now supported.

·Charts: You can now scroll the treemap by keeping the space bar pressed while dragging the treemap using the left mouse button, similar to imaging software (e.g. Photoshop).

·A new feature "Manage Scheduled Tasks" has been added to the "Tools" menu of the main application and the File Search. It allows to edit or manage previously created TreeSize tasks. (Professional edition only)

·Schedule TreeSize Tasks: Added "Execute this Task" to the right click menu of the "All Tasks" list and the box showing the current command line. (Professional edition only)

·Schedule TreeSize Tasks: Added the new functions "Activate Task" and "Deactivate Task" to the context menu of the "All Tasks" page. This state is now also shown by the icon of each task in the list. (Professional edition only)

·File Search: Use the new option "Tools > Schedule Current Search Options" to open the TreeSize Schedule Task dialog with the currently configured search settings. (Professional edition only)

·File Search - Duplicate Files Search: Introduced new "Deduplicate Checked" button on the right side of the file search window. This button replaces all checked duplicates with links to the same file. If the files are on the same partition, then all files will be hardlinks to the same content. If creation of a hardlink is not possible, a symbolic link is used under Windows Vista and later. If this is not possible too, a Windows shortcut will be created instead as fallback.

·File Search: Added column "Author" to the result lists which shows the author included in most MS Office files.

·File Search - Move Checked Files: We enhanced the option "Leave shortcut at original location", so that you can now decide to leave a (hard) link instead of a Windows shortcut.

·File Search - Move Checked Files: Introduced new option "Automatically rename existing files". If this option is activated, files will be automatically renamed if a file with the same name already exists in the destination.

·File Search - Move Checked Files: We introduced a new option "Preserve directory structure". This option is activated by default, because the directory structure was preserved in former versions of TreeSize. You can now deactivate this option to move files directly to the chosen destination. Existing files located in the destination will be renamed (e.g.: "..\file.name" -> "..\file.bak0.name") if the option "Automatically rename existing files" is activated.

·File Search - Move Checked Files: When moving files from one drive to another, the creation date is now preserved.

·File Search - Custom Search: You can now search for folders by checking the "Directory" attribute on the "Size/Attributes" tab.

·File Search - Custom Search: You can now search for files and folders having the attribute for Reparse Points / Mountpoints set.

·File Search: The command line options /SIZEUNIT and /NOUNITS are now also supported in the File Search. (Professional edition only)

·File Search: The /FILTER command line option no longer sets the patterns for the temporary file search, it now sets the patterns of the custom file search and allows an easy file search for certain file types or patterns. (Professional edition only)

·Bugfix: In the right click menu the "Open" command for folders ("Open containing folder" for files) did not work on 64Bit Windows systems.

·Bugfix: File Search: When using the "Move Checked Files" function in combination with the "Preserve permissions of the original file" option, in rare cases an error could occur.

·Bugfix: When editing the scheduled time or day or trigger type (once, daily, weekly) of an existing task in the "Schedule TreeSize Task" dialog ("Tools > Schedule TreeSize Task"), this change was not stored.

·Bugfix: The command line option /TREEMAP was not working in combination with /NOGUI.

·Bugfix: When terminating a duplicate file search with MD5 checksums before it was finished, the result list could incorrectly include some entries that were not checked for equal file content.

·Many further enhancements and a few minor bug fixes have been incorporated.

Changes in V5.2.3 (31 Mar 2009)

·The command line parameters /USERSLIST, /EXTENSIONSLIST and /TOPFILESLIST now support writing to Excel files.

·File Search: While calculating MD5 checksums, the duplicate file search now shows the number of remaining files in the status bar.

·File Search: The "Duplicate Files" result list now shows the number of files and their summarized size in the status bar, and no longer the number and size of file groups.

·File Search: If more than one file is selected, the number and size of the selected files is shown in the status bar.

·Bugfix: File Search: The duplicate file search occasionally locked when identifying duplicate files using MD5 checksums.

·Bugfix: File Search: A problem has been fixed when using the "Move Checked" function for complete folders that were moved to a ZIP-File.

·Bugfix: If a user defined cluster size was reverted to "Original" in the "Options" dialog, this was not applied to current scans even if a rescan was performed.

·Bugfix: A problem with the view of the bar chart when it was displaying many folders has been fixed.

·A few minor bug fixes and improvements have been incorporated.

Changes in V5.2.2 (17 Feb 2009)

·Now the shadow of the pie chart is deactivated as well if the gradient in the background of the chart is deactivated

·Bugfix: The total and free space was no longer shown for UNC paths in the drive list.

·Bugfix: The file extensions and users statistics was no longer working for virtual root folders

·Bugfix: If a single file was dragged from the "Details" list to the directory tree, an error could occur.

·Bugfix: When scrolling in the bar chart that had a lot of elements, the chart was corrupted.

·Bugfix: On systems that had the Windows printer spooler service not running an error message occurred at the startup of TreeSize.

·Bugfix: Deactivating the statistics for "Age of Files" in the Options dialog did not persist when TreeSize was started again.

·Bugfix: The option "Include only files created in the past XX days" did also check the creation date of folders in V5.2 and therefore returned unexpected results.

·A few minor bug fixes and improvements have been incorporated

Changes in V5.2 (04 Feb 2009)

·File Search: The "Move Checked Files" feature is now able to handle paths of more than 255 characters and optionally is able to preserve the permissions of the moved files.

·File Search: The "Move Checked Files" feature as well as the /MOVETO command line option (Professional Edition only) now allow to pass the checked files to any executable file as parameter. This offers system administrators a lot of possibilities to manually and automatically process the search results of a TreeSize File Search.

·File Search: The search results can now be saved to a native Excel file. If multiple result lists are saved, each list will be placed on a separate sheet.

·File Search: With a new option on the "Move Checked Files" dialog you can now automatically remove empty parent directories that are left over after moving / deleting the checked files.

·File Search: In the list of search patterns of the "Custom Search" type it is now possible to use patterns that include fragments of a path, e.g.: "C:\Windows\*\*.exe" or "*\Temp\*.old"

·File Search: The ZIP files created by the "Move Checked Files" feature are now able to store Unicode file and folder names in the ZIP file. ZIP files containing Unicode paths can only be unzipped properly by Unicode compatible ZIP tools like WinRar or WinZip.

·File Search: It is now also possible to start the File Search with Full administrative privileges from the Windows "Start" menu and the "Tools" menu of TreeSize.

·File Search: In the "File" menu it is now possible to print a result list or to copy its contents to the clipboard. Use the right click menu of the lists to copy only the selected items.

·File Search: It is now possible to copy the contents of the drive list to the clipboard using its right click menu.

·File Search: The /DATE command line parameter is now also supported for the file search. This way you can automatically add the current date and time to file names specified for the /TEXT parameter or the /MOVETO parameter with a ZIP file. /DATE will change all file names that appear after its occurrence on the command line.

·The new command line options /NOHEADERS and /NOUNITS allow to omit the headers and units from exported files, which simplifies getting plain data for later postprocessing.

·A new option allows to exclude files that are marked as Offline. Offline files are often not physically present on the disk or are only cached temporarily on the local disk.

·The new command line option /LISTSEPARATOR allows to define the separator that is used when exporting text files.

·The new command line parameter /EXPORTDRIVELIST has been added, which saves the contents of the drive list to a file.

·Now the Excel 2007 format (file extension XLSX) is supported by TreeSize Professional. This enables you to export Excel files with more than 65,000 rows.

·All Excel files saved by TreeSize now have numbers and units separated, which simplifies performing calculations with size values. When saving the "Details" list to an Excel file now only the selected items will be saved if more than one item is selected.

·All pattern editors (e.g. View > Options > Include/Exclude, the custom file search, etc.) now have checkboxes in front of their patterns. This allows to deactivate certain patterns temporarily without the need to delete them.

·You can now choose to install the Professional Edition as portable version, e.g. on an USB stick. The settings are stored in the application path in this case.

·TreeSize now stores the user settings in an XML file in the user's profile.

·Treemap: Added OLE drag support to the treemap chart. Drop support will follow in the next version. This allows dragging folders from the treemap to other locations.

·Treemap: Ctrl + und Ctrl - can now be used to zoom the treemap. The cursor keys, Home, End, PgUp and PgDown can be used to scroll the zoomed chart.

·Added a context menu item that allows to copy the underlying data from the "Age of Files" chart to the clipboard as text.

·Ctrl+X now executes the Windows Explorer "Cut" operation in the directory tree and the "Details" list. The keyboard shortcut for "Automatic Units" has been reassigned to Ctrl+U.

·When saving a scan to an XML file, the XML stylesheet is now copied next to the exported XML file and is referenced using a relative path. This simplifies using the XML files on systems not having TreeSize installed.

·Several minor improvements and bugfixes on the treemap, the bar and the pie charts.

·The memory consumption for storing the file types and the user statistics has been reduced.

·Bugfix: In the "Duplicate Files" search, when checking all selected items using the context menu (if file group items get selected as well) the check state of the group items was set too, which resulted in an error when using the "Move Checked Files" function.

·Bugfix: Fixed a memory leak that occurred on Windows Vista when scanning with the option "Track NTFS Alternate Data Streams and Hardlinks" activated.

·Bugfix: It is now also possible to pass domains and servers like \\domain or \\server at the command line. Previously this worked in the user interface but caused an error message at the command line.

·Many further enhancements and a few minor bug fixes have been incorporated.

Changes in V5.1.2 (21 Jul 2008)

·All lists now provide a new button in their toolbar that allows to save their contents to an Excel file.

·Added possibility to export the tree map and the file ages chart in the "Schedule TreeSize Task" dialog.
Here a new function "Save to Batch File" has also been added to the context menu of the text field containing the full command line.

·Retrieving the file version of EXE, DLL and similar binary files no longer changes their last access date.

·The context sensitive help via F1 key now also works correctly under Windows Vista.

·File Search: It is now possible to search for files whose path is longer than a certain number of characters.
This allows to find paths longer than 255 characters which make problems e.g. in the Windows Explorer.

·File Search: A selected "Since" interval on the "Date" tab of the Custom File Search is now saved for the next start and to XML files (File > Save Search Options). Previously it was only saved implicitly as lower and upper border of the date interval.

·Bugfix: The "Since" date intervals were not working as expected if the negated date filter "Not Changed", "Not Access" or "Not Created" were selected.

·Bugfix: The date picker controls of the Custom File Search did not always report the state of their integrated checkbox correctly. This could lead to files missing in the search results.

Changes in V5.1.1 (10 Apr 2008)

·TreeSize is now able to handle paths with more than 255 characters when searching or scanning the disk.

·TreeSize now applies NTFS compression and removes it from files that are marked as readonly.

·The compatibility with 64Bit systems has been improved.

·The treemap chart is drawn much faster now for large file system trees.

·File Search: When saving a result list, now the visibility and order of the columns is taken into account.

·File Search: When performing a move operation with the option "Create Shortcut ..." activated, now a description is added to each shortcut that contains the destination path, the responsible user and the date of the move operation.

·A few minor improvements and bug fixes have been incorporated

Changes in V5.1 (04 Mar 2008)

·Many improvements for the new tree map:
- If a folder has no subfolders and file extensions statistics was activated during the scan, the file types are now shown as subitems in the tree map.
- Some graphical changes result in an improved appearance of the hierarchy.
- A legend for the colors has been added.
- It is now possible to zoom and scroll the chart in order to see more details.

·Improvements in multithreading makes scans up to two times faster.

·The Explorer context menu is now available as a submenu in the charts and the root folder of a scan.

·When exporting the data to a file, the save dialog now has a checkbox that lets you decide whether or not the file should be opened after saving.

·When saving the extensions statistics to a text file, you now have a checkbox in the save dialog that allows you to save the expanded groups only, just as you see it on the screen.

·The users and extensions statistics now allow to select multiple items, which is useful if you want to export / print them partially only.

·The context sensitive help has been improved. Pressing F1 should now always lead to the correct chapter in the help file.

·A new column has been added that shows the error message if a folder could not be scanned. This is useful in particular for scheduled scan that export their results to an Excel, HTML or Text File (Professional Edition only)

·If the Mixed Mode for sizes is turned on, the charts will now also use an appropriate size unit for displaying size values.

·It is now possible to delete single values from the history chart using the right click menu.

·Some other minor bug fixes and improvements have been incorporated.

File Search:

·Added new columns to the result lists that show the attributes of the files, the version number of binary files, the permissions and the creation date. Some of the new columns are by default turned off and can be turned on using the "View" menu.

·The "Move To" dialog of the File Search now has an option to create shortcuts for moved files at their original location that point to their new location.

·Added possibility to search for files with NTFS alternate data streams in the custom file search (tab "Attributes"). If this search is active and alternate data streams are found, their sizes are added to the file size and in the column "Attributes" a "*" is added to the attributes. Checking for alternate data streams is slow and requires read access to the files that should be checked.

Changes in V5.0 (23 Nov 2007)

·It is now possible to group scans under a virtual root folder. This virtual root folder shows a summary of all scans that are part of this group. This way you can merge different scans together e.g. for printing or exporting. You can access this feature through the context menu of a root folder or through the "Tools" menu.

·A new kind of chart called "Tree Map" has been added. It shows a hierarchical view of the file system. In this treemap chart each folder is shown as a rectangle with its subfolders inside, again as rectangles.

·The list on the "Extensions" tab can now be grouped by file types like "Audio Files", "Video Files", "System Files", etc. This feature can be turned on or off by a new toolbar button.

·The tabs "Extensions", "Users" and "File Ages" now have a feature "List Files" that generates a list of files of the selected item.

·The selected items in the various file and directory lists of TreeSize now show the selection using a style similar to Windows Vista. This makes colored text and the small embedded charts easier to read.

·The TreeSize column for the Windows Explorer is now also supported on 64Bit systems. The .NET Framework 2.0 is required on 64Bit systems for the column to work. Unfortunately a Microsoft employee confirmed that such an additional Explorer column won't be possible under Windows Vista.

·The number of decimals can now be set in the View menu instead of the "Options" dialog.

·The gradient colors of the optional indicator bars in the tree can now be chosen in the "Options" dialog.

·In the Options dialog you can now change the maximum number of threads that TreeSize creates for each scan. Like before TreeSize will still adjust the number of threads to the current system load and so often create less threads than the maximum number.

·In the Options it is now possible to customize the intervals that are used to generate the chart on the "File Ages" tab.

·TreeSize has a new option that allows taking hard links and alternate data streams into account when calculating disk space, which produces more accurate results. However this makes it necessary to open the files and therefore slows down a scan.

·The "View" menu now allows switching to plain Byte values.

·The Excel, Text and HTML export options now allow to specify whether or not units like "KB", "MB" or "%" should be added to exported values. By omitting units the thousands separators will also be omitted, which simplifies further processing of exported values. This replaces the former option File / Export / Use plain numbers.

·The command line options /FILEAGESCHART and /HISTORYCHART have been added. They allow to save the charts on the "History" and the "File Ages" chart.

·The new command line option /TOPFILESLIST allows exporting the top 100 files list.

·The columns of the "Copy list of files" feature are now determined by the settings for the "Text Export" in the "Options" dialog of TreeSize

·The executable has been renamed to "TreeSize.exe".

·The support for Windows 98 and ME has been dropped. Registered customers are still able to download the Windows 98/ME compatible TreeSize V4 from our customers area.

·New application icon.

File Search:

·An additional search type "Custom Search" has been added. This search type allows you to freely define and combine search criteria like file name, date, size, attributes and owner. The results can be printed or exported like you are used from the other available search types.

·Now entire servers, entire domains or even your entire network can be searched. TreeSize automatically browses for PCs and all shares on them (including hidden shares) and performs the search on all shares that it finds.

·Improved multithreading support, especially for the MD5 checksum calculation, which should produce results faster on multi-core machines.

·It is now possible to export and import the results as simple paths only (DIR /B /S format). This simplifies post-processing of TreeSize results and allows to import lists of paths in TreeSize.

·It is now possible to pass an XML file to the TreeSize File Search on the command line, which contains previously saved search options. This simplifies scheduled scans with predefined search options.

·The Move operation now optionally logs the performed operations to a log file.

·The result lists do now work as a source for drag and drop operations.

·A new feature "Check all but Newest" has been added to the context menu of the duplicate file search results.

·A new feature in the context menu of the duplicate file search allows to replace duplicate files with hard links. This way all the duplicate files remain at their position, but only one file occupies disk space.


FAQ

FAQ - Index

Navigation: »No topics above this level«

FAQ - Index

·General / Registration

·Main Program

·Printing / Export

·File Search

·Knowledge Base


General / Registration

FAQ - General / Registration

Navigation: FAQ >

FAQ - General / Registration
Q: Which operating system does TreeSize run on? What are the system requirements?
A: TreeSize runs on any Windows operating system from Windows XP / Windows Server 2003 (32 bit and 64 bit editions) on. The latest patches should be installed. There are no additional system requirements. The Personal Edition does not run on Windows server systems!
Q: Does TreeSize support Unicode?
A: Yes, all parts of TreeSize support Unicode.
Q: Is TreeSize able to delete readonly files?
A: If you start TreeSize with administrative privileges, it will try to delete write-protected files when you are removing them from disk. In case this is not possible, e.g. because the file is locked by another application, the file will be marked for deletion. This means that Windows will try to delete the file on the next system restart. Please note that there is a difference between moving files to the recycle bin (shortcut "Del") and removing files from disk (shortcut "Shift" +"Del").
Q: How can I order TreeSize? What does ... cost?
A: For questions regarding prices please have a look at our price list and our ordering FAQ.
Q: What is the difference between the Professional and the Personal Edition?
A: The Personal Edition has the same features as the Professional Edition, except that it does not support Windows Server systems, network drives in Windows domains, scheduled scans, and command line options. Besides this, the Personal Edition is available as 32-Bit edition only while the Professional edition is also available as 64-Bit application.
Q: What is the difference between the evaluation copy and the full version? Will there be additional features?
A: The evaluation copy allows you to test the software before you buy it. The maximum time to do this is 30 days. Further usage of the software after this period is not permitted and violates the law. In order to allow our customers to fully test our software products, the evaluation copy does not contain functional limitations, except: In the File Search the "Delete/Move/Archive" operation processes only a certain amount of checked files per execution, and the software may remind you from time to time that you should purchase the software after your testing is finished.
Q: I just purchased your product. How do I activate my trial version?
A: You have to download the full version of the software from our customer area at http://www.jam-software.com/customers/. The login data can be found in the email or in the printed license which you have received after the purchase. If you do not have your login data any more, you can request them to be sent to the email address that you have used for purchasing the software.
Q: Why don't you use activation codes that turn the trial version into a full version?
A: We do not work with activation codes because you can find them very easily on the internet. Typically software manufacturers protect against this problem using online activation, but this would make customer dependent on the availability of our activation servers and an internet connection.
We are working with separate trial and full versions instead, where the full version is not freely available for download and must be installed over the trial version. After purchasing our software, customers get an account for our customer area where they can download the full version for at least 12 months. We will also send a CD at additional cost (can be ordered separately). Our customers will also receive a personalized installation key, with which they can install the full version. Login data and key should be stored in a safe place. Installing the full version over the trial version will preserve your existing data and settings.
Q: Although I have purchased the full version of your software product, it still shows "UNREGISTERED" in the window title. Why?
A: There are 3 possible reasons why "UNREGISTERED" still shows up:
1. You did not download and install the full version from our customer's area
2. You have accidentally installed the trial version again. (Have you been asked for an installation key during installation?)
3. You have installed the full version to a different folder than the trial version which is now still on your disk.
Q: How do I upgrade to the latest version?
A: On the "Help" tab you can use "Check for update" to check online whether there are updates available. Within your maintenance period you can download the latest version of TreeSize from our customer area. The login details for our customer area have been emailed to you after the purchase and are printed on the license document. To upgrade older versions, simply run the installation file. Your user settings will still be preserved during the upgrade.
Q: Is one user license sufficient if the software is installed on one computer but two or three users may access the software?
A: Basically you need as many licenses as you have PCs, server or clients on which our software is available for execution. If these three users work on the same PC at different times, then one license is sufficient. If they work on three different PCs and start the software there, then you will need three licenses. You can find the full license information on our website.
Q: Can I scan my Linux/Unix servers or my Linux based NAS with TreeSize?
A: If Samba is installed and running on the Linux / UNIX system, then our tools can access a share on this system using its UNC name, e.g. \\ComputerName\ShareName. If the file system on the Linux / UNIX system is accessible through NFS, then it can be accessed if the NFS support for Windows is installed. For Windows XP/2003 please install the Windows Services for UNIX, which include an NFS client. For Windows 7 (Professional and Ultimate) and Windows 8 (Enterprise) please go to the Control Panel and activate the "Services for NFS" under "Programs and Features > Turn Windows Features on or off". Then you can mount an NFS share to a drive letter using this command:
mount \\ComputerName\ShareName N:
It might be necessary to create the following registry values if you have trouble connecting the NFS drive:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\ClientForNFS\CurrentVersion\Default\AnonymousUid as DWORD with the decimal value 10011.
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\ClientForNFS\CurrentVersion\Default\AnonymousGid as DWORD with the decimal value 10012.

Q: Is it possible to monitor specific folders and get notified if their permissions change?

A: With our monitoring tool Server Sentinel, this is possible. It is designed to monitor local resources, as well as server and network services automatically. For more information about this, and other available features, please visit our website.


Main Program

FAQ - Main Program

Navigation: FAQ >

FAQ - Main Program
Q: Why is the allocated space that Windows shows in the properties dialog of the drive different to the allocated space reported by TreeSize?
A: The Windows Explorer and the TreeSize drive list do show the space that is physically allocated on the drive while TreeSize shows the space that is occupied by all files under a certain path. Please make sure that you have the view option "Allocated Space" activated when you are interested in the physically allocated space.
Another possibility is that not all parts of the drive could be scanned due to access restrictions. Therefore it is highly recommended to run TreeSize as administrator. If you want to get notified if a folder cannot be scanned, please open the options dialog (File > Options) and enable "Show error messages during scan" under the option page "Scan > General". Turning on the Option "Track NTFS specific features" in the Options dialog may result in more accurate results, because it racks e.g. hardlinks, but slows down scans. If a drive letter points to a sub-folder of a network drive, the allocated space (correctly) reported by TreeSize may also be much smaller than the physically allocated space on this drive reported by the Windows Explorer because possibly the whole drive is not accessible through the network.
Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize or any other tool. This is usually 0.5 - 2% of the occupied space.
Another possibility is that you are using a Software RAID - like Windows offers it - which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information additional space is needed, which cannot be used for user data.
A special characteristics of Offline Files can lead to wrong values for the allocated space of stub files. To avoid this, either ensure that the user which runs the scans has full read access to the scanned file system.
Q: Are there any limitations on the amount of data that TreeSize can query at one time?
A: There are no explicit limitations in what TreeSize is able to scan. The more folders the file system tree has that you want to scan, the more free memory will be necessary to store the queried data. You can reduce the memory consumption by turning off the user statistics, the file extensions statistics and/or the file age statistics in the Options dialog. For large server our product SpaceObServer may be suitable as well, which stores the collected data in a database on file level.
Q: If the NTFS deduplication (available since Windows Server 2012) is enabled, TreeSize displays some strange values for the size of files and folders. A lot of files have a size of "0 Byte" while a folder called "System Volume Information" requires a huge amount of disk space. What is the reason for this?
A: This is a result of the Automatic Data Deduplication.
Q: Why can I not see any network drives within TreeSize?
A: Since Windows Vista and later, Microsoft enforces more strict security rules on the operating system. One side effect of this is that you may not see your mapped network drives anymore (Windows 8 and later), or they appear disconnected (typically in Windows Vista and 7) in applications which run with administrator privileges. This is because Windows uses different user environments for non-elevated and elevated processes. There are some workarounds to gain access to those network drives anyway:
- Do not run TreeSize as administrator unless it is truly needed.
- Manually enter the UNC path (e.g. "\\server\share") for the network drive into the path drop-down list and press enter.
- Use the "Map network drive" or "Add drive or UNC path" dialog from the Drive List menu bar.
- Enable "Linked Connections" as described here: http://www.jam-software.com/knowledgebase/6898

Q: Why do all files on my disk have the same last access date which is not far in the past?
A: The date values in the file system are maintained by Windows. Windows updates the last access date of a file each time when an application accesses or reads a file. Many backup and anti-virus tools access every file on your hard disk regularly without restoring the prior last access date.
Q: Why doesn't TreeSize include my disk into its calculation, which is mapped to a directory using the Disk Manager of Windows?
A: By changing the option "Follow mount points and symbolic links" in the Options of TreeSize, you can control if mount points and symbolic links should be followed or if they should be excluded from the calculations.
Q: What is the easiest way to scan all drives of a remote server?
A: TreeSize accepts wildcards in paths, simply tell TreeSize to scan \\Server\?$ in the folder combo on the top left or at the command line.
Q: Scanning a server disk via network is very slow. Is it possible to speed up this process?
A: Scanning a drive via network is normally much slower than scanning a local disk because speed of the network is much lower, latency and overhead are higher compared to a local hard disk. Additionally, server drives are usually much bigger and contain more files than local hard disks. But you can use scheduled Scans to perform your scans overnight. Network drives and command line options are supported by the Professional Edition only.
For continuous analyzing of disk usage on large servers we recommend our product SpaceObServer. It collects the data using a background agent and stores it in a SQL database. It uses less RAM than TreeSize, and it offers more flexible reporting capabilities like historical development because it is built on a database. More information is available at: http://www.jam-software.com/spaceobserver/
Q: Is it possible to have the program ignore folders that are less than a certain size when displaying them in the tree?
A: In the context menu of the topmost folder you may choose to hide folders below a certain size. To achieve this, right-click on the topmost icon (or use the "Expand" button on the ribbon bar), select "Expand > Hide Folders smaller than: XX MB".
Q: Is it possible to add the free space to the bar chart?
A: The free space is added to the pie chart if the root of the scanned drive is selected and the according option is activated in the context menu of the pie chart. In other situations (e.g. if a sub-folder is selected or the "Number of files" mode is active), it doesn't make sense to add the free space because the relationship between the free space and the other values displayed is wrong.
Q: Can I scan network drives and hidden shares like" \\Server\C$" without connecting them to a drive letter?
A: Yes, in the Professional Edition you can use UNC names like "\\SERVERNAME\Share" to access a network drive by entering them in the drive combo box on the top of the main window. You can also use UNC names on the command line.
Q: I would like to save a set of drives and folders that are scanned each time I start TreeSize. How can I do that?
A: You can specify the startup behaviour of TreeSize in the Options dialog. Or you can simply create a shortcut to treesize.exe on your desktop or the Start menu and add those drives and folders to the command line, separated with a space character.
Q: How can I limit a scan to just one user's files?
A: Please make sure that the option "Create Statistics on File Owners" is activated in the Options of TreeSize. After the scan is finished please right-click on this user on the "Users" tab and choose "Limit to this user" from the context menu. You may also use the Custom File Search to search files of certain users.
Q: Is it possible to perform a silent installation of this software?
A: Yes, please see chapter "Installation".
Q: Is it possible to search for file extensions of file types with TreeSize?
A: You can for example apply a filter for a scan in the Options by adding patterns like *.bmp as include filter. A second possibility is to enable the "Create Statistics on File Extensions" feature in the Options. This will provide a detailed statistics for the file types in each sub-tree on the "Extensions" tab and you will be able to limit the values in the directory tree to one file type. A third possibility is to use the Custom File Search of the File Search Module of TreeSize. Our product SpaceObServer has extended and more flexible reporting features if needed.
Q: The folder "System Volume Information" in the root of my drive uses a lot of disk space. What is the purpose of this folder?
A: This folder is part of the Windows System Restore. You shouldn't delete any files in this folder manually. Its size can be reduced by changing the appropriate setting in the "System" applet of the Windows Control Panel. Windows Vista only allows to turn off the System Restore here. The space used by this service can only be reduced using the Windows command line utility vssadmin.
Q: Can TreeSize be installed on a cluster?
A: Yes, TreeSize can be installed on a cluster. It is not cluster aware, but does not need to be. If you obtain a license for each server and install TreeSize on all machines of the cluster, then you will have TreeSize available at any time on any server of the cluster.Our product SpaceObServer has more advanced cluster support.
Q: Are there any known problems when using TreeSize on a Citrix server?
A: TreeSize runs in a Citrix environment, there are currently no known problems. Please note that you need one license for each Citrix client in which TreeSize can be started.
Q: Where does TreeSize store the data shown on the "History" tab?
A: The history data can exported or imported on the "History" ribbon. This data is stored in the file named ScanHistory.xml which is stored in you user profile directory under %AppData%\JAM Software\TreeSize.
Q: TreeSize shows incorrect number of hardlinks for files, stored on a network share. What can I do?
A: With Windows Vista / Server 2008 Microsoft introduced "Client Caches" with the SMB2 protocol in order to speed up the queries about gathering file and directory meta information on network drives. This approach helps also to utilize the available network bandwidth more efficient. However, these caches do always return an incorrect value for the NTFS hardlinks (always shown as "1").
The responsible caches can be disabled by the following steps:
1. Run "regedit.exe".
2. Open the path "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\LanmanWorkstation\Parameters".
3. Choose "New > DWORD value" in the right click menu and set the name to "FileInfoCacheLifetime" and the value to "0".
4. Restart Windows
After these steps TreeSize should work properly with hardlinks. For further information about client cahces please visit http://technet.microsoft.com/en-us/library/ff686200(WS.10).aspx


Printing / Export

FAQ - Printing / Export

Navigation: FAQ >

FAQ - Printing / Export
Q: How can I specify the columns that should be included in the printed report / exported Excel file?
A: Under "Tools > Options > Export > Printer" you may choose the columns included in a printed report. They will also be used for scheduled scans as long as they are started under the same user account..
Q: How can I generate a list of files that belong to a certain user?
A: Please make sure that the option "Tools > Options > Scan > General > Create statistics for file owner" is activated. Scan the folder in question. Go to the "Users" tab in the right pane, right-click on a user and select "Show files of this user". The list will be compiled and can be exported in various formats.
Q: How can I export also the the file names to my Excel / HTML / text file?
A: Please go to "Tools > Options > Export", select your export type and activate the options "Include single files in export" and "Export the full directory branch" are activated. You may also consider using the custom search type of the TreeSize File Search to list all or some files of a directory branch. These lists can be exported as well, e.g. to Excel files.
Q: When I double click on a CSV file they open in MS Excel but the data is not divided into columns. Can this be changed?
A: In the Windows Control Panel, please set the list separator under "Control Panel > Regional Options > Customize" to semicolon.


File Search

FAQ - File Search

Navigation: FAQ >

FAQ - File Search
Q: How can I search for files of the type XYZ?
A: Please open the TreeSize File Search via the Windows "Start" menu or the TreeSize "File Search" menu, check the drives that should be searched, activate only the custom search type and there add "*.XYZ" to the "Filter Patterns" that should be matched, then press the "Start" button. Another possibility: Set a filter in the Options dialog of the main application. Then TreeSize will only include matching files when calculating the folder sizes. The results will provide a good overview of the distribution of these file type(s) and can be exported to a text file using the context menu. Our product SpaceObServer, which keeps the data of watched file system trees in an SQL database, has faster and more flexible search and report features.
Q: Is it possible for TreeSize to move files to a specified location based on last change date and retain directory structure?
A: Yes. Please open the TreeSize File Search via the Windows "Start" menu or the TreeSize "File Search" menu, check the drives that should be searched, activate only the custom search type and there adjust the date or days value. You may also use the Custom file search if you need more flexible filter options. Then hit the "Start" button. All listed files that are checked can then be moved using the "Move items". If you choose another file system folder as destination, the directory structure will be preserved when moving the files.
Q: How can I search my entire network for AVI files?
A: Please open the TreeSize File Search via the Windows "Start" menu or the TreeSize "File Search" menu, hit "Browse and add path", choose "Network". Make sure that only the Custom Search type is activated and there add the pattern *.avi and hit "Start".
Q: Is it possible to check several or all results in the File Search window at one time instead of checking them individually?
A: To check all results, click on "Check All". To check some results based on their name, use the "Check if" button. You may select multiple files using a left mouse click while holding the <Shift>- or <Ctrl>-key down. Using "Check" from the context menu checks all currently selected files. Some successive files can also be easily checked by pressing the space bar several times. The space bar checks the currently focused file and advances to the next file in the list.
Q: Which files can I safely delete?
A: Unfortunately there is no short and easy answer to this question because usually one cannot know where a file came from and what it is used for. Generally temporary files and cache files of the internet browsers can nearly always be deleted safely. Besides deleting files, the TreeSize File Search offers you to move files to a different drive or to a compressed ZIP file (preserving the file system hierarchy) which can then be archived. That way files that are still needed can be easily restored, either manually or by using the restore script that TreeSize is able to generate optionally.
Q: Does TreeSize have the capability to delete files in specified directories over a certain age and if so, can this be scheduled?
A: The TreeSize File Search can search, report and delete or move files over a certain age in using the "Oldest Files" search type or the custom search type. Check the files you want to delete (use "Check All" to check-mark all files) and use the "Move" button to move them to the Recycle Bin or to another folder.
Any saved search options can be used to automatize such tasks by creating a scheduled TreeSize task, which allows you to create a scheduled task or to compile and copy the full command line with all necessary command line options.
Q: How can I change XY for each file in the search results in a scheduled File Search?
A: Please start the TreeSize File Search and configure the custom file search appropriately, turn off all other search types and save your search options to an XML config file using the "File" menu. As an example we will describe how to apply NTFS compression to all files in the search results. This is not built into TreeSize, but TreeSize can pass each search result to an executable or script, which is a very powerful and flexible feature. Please create a small Batch file NTFSCompress.bat containing:
COMPACT /C %1
To NTFS compress the search results, you can use a command line like this:
TreeSize.exe /SEARCH /MOVETO NTFSCompress.bat MySearchOptions.xml
This solution applies to the Professional Edition only.
Q: Is it possible to scan all our 200 workstations with TreeSize for finding e.g. who stores PST files locally on his workstation?
A: What you can do is using the Custom Search type of the TreeSize File Search. It allows to search the entire network or IPv4 address ranges for certain files, like *.pst. Simply specify \\* or \\192.168.123.* as path to search. TreeSize will then enumerate all available PCs in e network or that IPv4 network segment and search their drives (or more exactly: their public and hidden shares) for the files matching the search criteria.
Q: Does TreeSize support paths with more than 255 characters when searching files?
A: Yes. And Long path can be explicitly searched for using the Custom Search. Simply activate the search option "Full Path longer than X characters" with a value of 255.
Q: How do you search for files over a certain number GB and older than a certain date? I'm trying to find data to archive on my file server
A: Please open the TreeSize File Search via the Windows "Start" menu or the TreeSize "File Search" menu, check the drives that should be searched, activate the "Custom Search" type only and there adjust the search parameters on the "Date" ans "Size/Attributes" tab accordingly.
Q: Does TreeSize change any of the modified / accessed / changed date & time information on files or folders when scanning?
A: No, TreeSize does not change file dates when scanning a file system branch.
Q: How do I perform a duplicate file search on multiple network drives?
A: Open the TreeSize File search using the Windows Start menu or the TreeSize Tools menu, add the network paths to the list of "Drives and Paths to Search", activate the Duplicate Search only and start the search. You may change the way TreeSize compares the files on the "Duplicate Files" tab.
Q: After deduplicating files, the Windows "Properties" dialog still shows the same size for the containing folder. Why is this?
A: When deduplicating files, TreeSize replaces duplicate files by hard links, after which the physical data exists only once on the hard disk. There are however X links to this data. Each of these links is shown with the size of the physical data, this is why the Windows Explorer and by default also TreeSize shows the same size for these files and the folders they are included in. If you take a look at the allocated space of the physical drive (e.g. in the "Drive List" in TreeSize or in the "Properties" of the drive in the Windows Explorer) you will notice the difference. To get the correct physically allocated size of a folder, you need to look at the column "Allocated Space". In the TreeSize main application make sure that the option "Track NTFS alternate data streams and NTFS hardlinks" is turned on in the Options dialog.
Q: Does TreeSize allow to search for directories?
A: Yes. You can use the Custom Search type of the TreeSize File Search to do that. Please open the TreeSize File Search via the Windows "Start" menu or the TreeSize "File Search" menu, check the drives that should be searched, activate only the custom search type and there check-mark "Include Folders" but not "Include Files" on the tab "Size/Attributes". Press "Start", TreeSize will now search for directories only, for which you can define name patterns on the tab "Filter Patterns".


Knowledge Base

Navigation: FAQ >

Knowledge Base

Haven't found what you are looking for? Try searching in our online Knowledge Base.
Press "search" to open the Knowledge Base in your default web browser.

Please note: An Internet connection is required, JavaScript needs to be enabled in your web browser.


Using TreeSize

Navigation: »No topics above this level«

Using TreeSize

After the installation, TreeSize can be started using the Windows Start menu/screen or the context menu of a folder or drive. These are the important elements of the TreeSize main window:

1.

The Ribbon Bar provides access to all commands of TreeSize. It is divided into logical sections such as the "Home" tab containing commonly used functions and elements, or the "View" tab enabling you to customize the appearance of TreeSize. The colored tab to the right is a context-sensitive depending on the currently active view. Use the "Select directory for scan" to start the scanning process for a drive or folder.

2.

This section contains a drop-down list enabling you to select a drive or folder to be scanned. You can enter paths directly in the control field. Press enter or click the scan button on the right to start a scan for the entered path. TreeSize will remember recently used paths and add them to the list.

3.

The Directory Tree of the scanned folder or drive provides an immediate overview of the size of each folder.

4.

The Drive List provides an overview of all local and mapped network drives. Additional network drives can be added using the context menu. Double-click on a drive to start a scan in TreeSize.

5.

This section will provide additional information regarding the scanned path (e.g. its total size and the number of folders contained).

6.

The view section contains several different tabs, each of them providing a highly specialized data view of the currently selected drive or folder. As soon as a view is activated, the corresponding context tab will become active on which you will find useful commands for this view. These are the available views of TreeSize:

·The "Chart" view visualizes folder information either as a "Pie Chart, "Bar Chart" or as a "Tree Map".

·The "Details" view will provide you detailed information on all files and folders contained in the current selected item in the Directory Tree

·The "Extensions" view presents information on size grouped by file types. Thus, you'll gain an overview of the types of files that use up most of the disk space.

·The "Users" view shows information on size grouped by users. You will see at a glance which user uses how much space in which folder.

·The "Age of Files" view shows the distribution of the age of scanned files, based on a certain date attribute.

·The "Top 100 Files" view lists the 100 largest files in the scanned path along with several other details.

·The "History" view shows changes in for the scanned path in a line chart.

7.

The Quick Access Toolbar is a customizable shortcut to many useful functions of TreeSize.


The Ribbon Bar

Navigation: Using TreeSize >

The Ribbon Bar

The Ribbon Bar provides access to all commands of TreeSize. It is divided into the following logical sections, called "Tabs":

· File | Allows you to select folders for scanning, to load, save, compare, export, and print collected data.
· Home | Contains the most commonly used actions and elements of TreeSize.
· Scan | Contains all actions and elements related to the current scan.
· View | Contains all actions and elements influencing the general appearance of the application.
· Tools | Contains useful TreeSize and Windows-specific functions
· Help | Provides common help features, version information, and management functions for your product license

In addition to these permanent tabs there are several so-called "context tabs" which depend on the currently active view of TreeSize. They are highlighted in different colors.


Application Menu

Navigation: Using TreeSize > The Ribbon Bar >

Application Menu

The Application Menu (or "File" menu) allows you to select folders for scanning, loading, saving, exporting, or comparing collected data. It also provides access to the application settings and allows you to exit TreeSize.

Recently Scanned

List of recently scanned paths and drives. Clicking a path will start a scan of this path.

Select directory for scan

Shows a dialog which lets you choose a folder for scanning. When the selection has been confirmed, TreeSize starts scanning the selected path. You can also enter a path directly into the drive combo box in the toolbar.

Load scan from XML

Load a saved TreeSize scan from an XML file. That way you can view earlier results without performing a whole scan again.

Save scan to XML

Save the current scan to an XML file. This file can be loaded in TreeSize again or can be used to perform a comparison at a later time. TreeSize ships with an XSLT file that formats the data inside the XML file for output in a browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5). Please note that the information about single files is not saved to the XML since this would increase the size of the XML files too much. Only the information about folders is included in the file. If you need reporting on file level, our software SpaceObServer may be useful for you.

Compare current scan

Compare the current scan against a previously saved scan (XML file) or a Snapshot (only supported for local NTFS drives). After comparison, folders unchanged in size will show up with a size of 0 while folders that have grown will have values greater than 0 and will be displayed in red color. Folders that became smaller compared to the loaded report will have negative values and will be displayed in green color.

Send by Email

Send the Directory Tree (left pane) via email.

Export

Export the Directory Tree, chart or list content to a file. See chapter Export submenu.

Print report

Print the Directory Tree, chart or list content. See chapter Print submenu.

Options

Open the options dialog of TreeSize. The submenu also contains commands that allow you to import/export and reset the current options.

About

Show version number and contact information.

Exit

Closes TreeSize.


Export Submenu

Navigation: Using TreeSize > The Ribbon Bar > Application Menu >

Export Submenu

The menu items in the export submenu allow you to export the collected scan data in several different ways. You can customize the kind of data (columns) that will be exported as well as other export options using the options dialog of TreeSize. You can also choose whether only those folders currently visible (expanded) in the Directory Tree or all folders will be exported. Please use the Expand button on the Home or Scan tab (or in the context menu of the Directory Tree) to expand and collapse or expand folders to a certain level.

Plain text

Export the Directory Tree to a tab-separated text file. To configure the behavior for text exports, go to Options -> Text.

CSV file

Export the Directory Tree to a CSV file (comma separated values). To configure the behavior for CSV exports, go to Options -> CSV.

Excel file

Export the Directory Tree to a Microsoft Excel file. Supported formats are the conventional .XLS file format (Excel 97-2003) as well as the .XLSX (introduced with Excel 2007). Paths are exported as clickable hyperlinks. This allows you to quickly jump to the appropriate path in the Windows Explorer. To configure the behavior for Excel exports and the charts that should be included, go to Options -> Excel.

HTML file

Enables you to save a report as an HTML file which can be viewed with any HTML browser later. HTML files are easier to read than text files and don't require a special application like MS Excel. The HTML file will be UTF8-encoded and thus includes Unicode characters. To configure the behavior for HTML exports and the charts that should be included, go to Options -> HTML. There you can also define a custom CSS stylesheet that will be used for the HTML export.

PDF file

Enables you to save a report as an PDF file which can be viewed with any PDF Viewer later. PDF files are easier to read than text files and only require a free PDF viewer, which is included in Windows 8 and later. The HTML file will be UTF8-encoded and thus includes Unicode characters. To configure the behavior for HTML exports and the charts that should be included, go to Options -> PDF.

Copy to clipboard

Copy the Directory Tree to clipboard in text format.

Copy list of files

Copy a list of all files in the current folder (and its sub-folders) to the clipboard. You can paste this list to your favorite spreadsheet or word processor. The settings for the text export in the options dialog determine which columns will be included in the list.

Customize

Opens the options dialog enabling you to customize the output columns for the different export formats.

Set title

Allows you to set a title for the currently selected scan which will be used when the folder data is printed or exported. The default title includes the path of the scanned folder and the volume name of the drive the folder resides in. The use of environment variables is allowed.


Print Submenu

Navigation: Using TreeSize > The Ribbon Bar > Application Menu >

Print Submenu

TreeSize offers a wide variety of flexible printing functions. You may, for example, print the content of the Directory Tree, the contents of a selected folder or any many available charts (Charts view, History view, etc.).

The following commands are available in the "Printer" submenu:

Quick print

Print a report for the current scan on the default printer without print dialog or preview.

Quick print right pane

Print the chart or list shown the right pane of the window on the default printer without preview.

Print report

Print report for the currently selected scan without preview.

Print right pane

Print the chart or list currently shown the right pane of the window.

Print with preview

Shows a print preview for the report of the currently selected scan.

Print report for all

Print a report for all scans currently listed in the Directory Tree (left pane).

Set title

Allows you to set a title for the currently selected scan which will be used when the folder data is printed or exported. The default title includes the path of the scanned folder and the volume name of the drive where the folder resides in. The use of environment variables is allowed.

Page setup

Change page layout settings.

Print setup

Change printer settings.

Customize report

Customize exported columns, included charts, etc.


Quick Access Toolbar

Navigation: Using TreeSize > The Ribbon Bar >

Quick Access Toolbar

The Quick Access Toolbar is a customizable toolbar containing a set of commands that are independent of the currently displayed tab. You can move the Quick Access Toolbar to one of the two possible locations, and you can add buttons representing commands to the Quick Access Toolbar.

Move the Quick Access Toolbar

The Quick Access Toolbar can be located in one of two places:

·Upper-left corner, next to the TreeSize icon.

·Below the Ribbon bar.

To switch the Quick Access Toolbar between those positions, click the small drop-down arrow and select "Show below the Ribbon" respectively "Show above the Ribbon".

Add a command to the Quick Access Toolbar

You can add any command displayed in TreeSize to the Quick Access Toolbar.

1.On the Ribbon, click on the appropriate tab or group to display the command that you want to add to the Quick Access Toolbar.

2.Right-click the command, and then click "Add to Quick Access Toolbar" on the shortcut menu.

Note

·You cannot split the Quick Access Toolbar to multiple lines.


Home Tab

Navigation: Using TreeSize > The Ribbon Bar >

Home Tab

The ribbon tab Home contains the most commonly used actions and elements of TreeSize.

Select directory for scan

Opens a dialog enabling you to select a folder for scanning. TreeSize will start scanning the selected path once the selection has been confirmed. You can also enter a path directly into the drive combo box in the toolbar.

Stop

Stops the currently selected scan. This will abort the current scan process but not remove it from the Directory Tree.

Refresh

Refreshes the currently selected scan. The Refresh button also offers a drop-down menu providing access to the "Refresh all" and the "Automatic updates" buttons. Refresh all will trigger a full refresh for all scans of TreeSize. With Automatic updates enabled, TreeSize keeps track of the Windows change notifications and updates the size information as well as several other information automatically. It will also update the size of a folder if it gets listed on the details sheet. If you don't want the size information to change after the scan has finished, you should turn off "Automatic Updates". This option can be enabled or disabled for individual scans.

Remove scan

Removes the currently selected scan from the TreeSize window.

Size

Shows the size of files and folders.

Allocated space

Shows occupied disk space on the hard disk.

Number of files

Shows the number of files in the selected folders.

Percent

Shows how much percent of the parent folder each folder occupies.

Optical media

Shows how much storage space the files and folders would occupy on an optical medium like a CD or DVD.

Auto

If this option is activated, TreeSize will automatically select the most appropriate size unit. Other units are available via the drop-down element (small arrow).

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan. More information on the "Expand" button can be found here.

Send by email

Sends the Directory Tree via email. This will create an email containing the contents of the directory tree using the current email settings. Emails can either be send using a MAPI client like Microsoft Outlook or via SMTP (recommended). Email settings can be configured in the options dialog of TreeSize.

Export

This button provides several different export options such as "Excel", "Plain text", or "HTML file". You can also copy the directory tree or the contents of the "Details" view to the clipboard. The drop-down menu enables you to customize any export type.

Open TreeSize File Search

Start the TreeSize File Search with all available types of file search (largest files, oldest files, etc.) for the currently selected branch. For more information on the TreeSize File Search, see chapter Using TreeSize File Search.

Start as administrator

Restart TreeSize with administrator privileges.

Please note: This button is available only if TreeSize was not started with administrator privileges.

Options

Opens the options dialog for TreeSize. The drop-down button also provides access to the menu allowing export/import and reset of the application settings.


Scan Tab

Navigation: Using TreeSize > The Ribbon Bar >

Scan Tab

The ribbon tab Scan contains all actions and elements related to the current scan.

Refresh

Refreshes the currently selected scan. The Refresh button also offers a drop-down menu providing access to the "Refresh all" and the "Automatic updates" buttons. Refresh all will trigger a full refresh for all scans of TreeSize. With Automatic updates enabled, TreeSize keeps track of the Windows change notifications and updates the size information as well as several other information automatically. It will also update the size of a folder if it gets listed on the details sheet. If you don't want the size information to change after the scan has finished, you should turn off "Automatic Updates". This option can be enabled or disabled for individual scans.

Stop

Stops the currently selected scan. When a scan is stopped, TreeSize will abort the current scan process but not remove it from the Directory Tree.

Remove scan

Removes the currently selected scan from the TreeSize window.

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan. You can also use this menu to show only folders exceeding a certain size value.

Find

Searches for a certain folder in the Directory Tree.

Compare with saved scan

Loads a saved scan from an XML file and compares it with the current scan. The differences in size will be displayed as positive and negative values in the user interface.

Compare with snapshot

Selects a Snapshot of a scanned drive to compare it with the current data. The differences in size will be displayed as positive and negative values in the user interface.

Compare with path

In rare cases it can be useful to compare the current scan with another path, e.g. in case that the other path is a copy or a backup of the currently displayed path. After choosing the other path using a directory picker dialog, the differences in size will be displayed as positive and negative values in the user interface.

Show size changes

Show size changes instead of current values in the Directory Tree. This view option can be toggled if the current scan was compared with an XML report or snapshot.

Schedule this scan

Creates a scheduled Windows task for the currently active scan.
This is supported in the Professional edition only.

Compress item

Compresses this file or folder using NTFS compression.

Decompress item

Turns off NTFS compression for this file or folder.


Tools Tab

Navigation: Using TreeSize > The Ribbon Bar >

Tools Tab

On the Tools tab, you will find several useful TreeSize- and Windows-specific functions.

Options

Opens the options dialog for TreeSize. The drop-down button also provides access to the menu items facilitating the export/import and reset of the application settings.

Open TreeSize File Search

Starts the TreeSize File Search with all available types of file search (largest files, oldest files, etc.) for the currently selected branch. For more information about the TreeSize File Search, please refer to chapter Using TreeSize File Search.

Manage scheduled scans

Shows all scheduled tasks of TreeSize. Tasks can be customized here.

Create snapshot

Creates a new Snapshot for this system. Snapshots can be used at a later time to analyze size development by comparing the data of the snapshot with that of a recent scan.

Create portable installation

Creates an installation of the Professional edition as a portable version, e.g. on a USB Stick. All of the settings will be saved to the specified installation directory.

Empty recycle bin

Deletes all items in the recycle bin to free up disk space.

Remove obsolete software

Opens the Windows Control Panel applet to uninstall software.

Configure Windows System Restore

Define how much space the Windows System Restore feature can use on your local hard drive.

Defragment disks

Open the Windows Disk Defragmenter.

Map network drive

Opens the Windows "Map Network Drive" dialog.


View Tab

Navigation: Using TreeSize > The Ribbon Bar >

View Tab

The ribbon tab View contains all actions and elements influencing the general appearance of the application.

Size

Shows the size of files and folders.

Allocated space

Shows occupied disk space on the hard disk, aka "size on disk ".

Number of files

Show the number of files in folders.

Percent

Show how much percent of the parent folder each folder occupies.

Optical Media

Show how much storage space the files and folders would occupy on an optical medium like a CD or DVD.

Auto

If this option is activated, TreeSize will automatically select the most appropriate size unit.

TB

Show size values in terabyte (TB).

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

B

Show size values in byte (B).

Decimals

Sets the number of decimals shown in displayed values.

Sort by size

Sort items by size (descending order).

Sort by name

Sort items in alphabetical order.

No sorting

Do not sort items. This can be useful when scanning large folders drives because folders don't permanently change their position.

Group scans

Groups all scans in the Directory Tree to receive the total results for all scans. See also "Group scans in the Directory Tree".

Show size changes

Shows size changes instead of current values in the Directory Tree. This view option can only be toggled if the current scan was compared with an XML report or snapshot. See also "Size comparison".

Drive list

Show or hide Drive List.

Scan overview

Show or hide scan overview toolbar (provides information such as total size and number of files and folders for the currently selected scan). Right clicking on the overview allows you to define whether it should wrap around or truncate the shown information in case it does not fit.

Status bar

Show or hide status bar (provides information on active scan filters and or errors that occurred during scan process).


Help Tab

Navigation: Using TreeSize > The Ribbon Bar >

Help Tab

The ribbon tab Help provides common help features, version information, and management functions for your product license.

Show help

Open the product manual of TreeSize.

Show PDF manual

Open the product manual as PDF (optimized for printing).

Frequently Asked Questions

Shows the Frequently Asked Questions (FAQ).

About

Shows version number and contact information.

Check for update

Checks if a newer version of this software is available.

What is new?

Shows recent changes.

Change installation key

Changes the installation key of the software.

Extend maintenance

Extends the maintenance period. Updates and support are free within the selected maintenance period.

Please note: For the trial version of TreeSize, the Ribbon group "License" contains different controls:

Purchase full version

Navigates to the JAM Software website and shows a list of all available license models.

Change to full version...

Helps you switch to the full version after purchasing the software.


Scan Targets

Navigation: Using TreeSize >

Scan Targets

Originally TreeSize was designed to analyze file system paths. The current version enables users to scan targets not accessible via a file system path. Among them is every folder that appears in the left pane of the Windows Explorer. In this chapter we will describe all targets that can be scanned using TreeSize:

Local File System Paths

To scan a file system path, enter the path into the drive drop-down box on top of the directory tree or use the button "Select directory for scan" on the ribbon tab "Home".You can also double-click on the drive in the TreeSize drive list on the bottom left corner of the window to start a scan.

Remote File System Paths

If a remote path is mapped to a drive letter, scan it just like a local drive (as described above). Additionally TreeSize supports UNC paths like "\\severname\share", which can be entered in the drop-down box on top of the directory tree. You can also select the remote path using the button "Select directory for scan" on the ribbon tab "Home" and browse to the path in the "Network" folder. UNC paths can also be added to the drive list using the right-click menu.

Mobile Devices and Smartphones

Mobile devices and smartphones can be scanned with TreeSize if they support the MTP protocol. Those devices are typically listed under "This PC" in the Windows Explorer and in the dialog which appears when using the button "Select directory for scan" on the ribbon "Home". TreeSize also support entering paths to mobile devices like this: "This PC\Galaxy Tab A" in the drop-down box on top of the directory tree.

FTP Server

If the FTP server is listed under "This PC" in the Windows Explorer, you can use the button "Select directory for scan" on the ribbon tab "Home" to select this FTP server for scanning. You may also enter the FTP server address into the drop-down box on top of the directory tree using this syntax: "ftp://username@servername.com/path/".

WebDAV and SharePoint Server

If the WebDAV or SharePoint server is listed under "This PC" in the Windows Explorer, you can use the button "Select directory for scan" on the ribbon "Home" to select this server for scanning. You can also enter the HTTP(S) server address into the dropdown box on top of the directory tree using this syntax: "https://servername.com/path/".


The Directory Tree

Navigation: Using TreeSize >

The Directory Tree

The Directory Tree of TreeSize is a powerful tool for visualizing the size of files and folders. The gradient bar in the background serves as a size indicator, providing a quick and intuitive overview: you will see at a glance which folders occupy the most space on your disk. The Directory Tree can be browsed just like a folder tree in the Windows Explorer.

Contents

· Notes

·Expand or collapse the Directory Tree

·Group scans in the Directory Tree

Notes

· If you place your mouse cursor on a folder, you'll be shown a tool tip with detailed information if the corresponding option is active.

·The Directory Tree supports an incremental search. To jump to a certain folder, simply type the initial characters of its name after clicking anywhere in the Directory Tree. The Search will then select the first matching folder.

·The Find dialog (Scan tab) provides a simple search function enabling you to search for certain folders in the Directory Tree.

·When you right-click on a folder or file in the tree to the left, TreeSize will display the Explorer context menu. Additionally, you will find the TreeSize submenu providing various additional options.

·Very large folders are marked in bold text. The threshold can be configured in the options dialog (Options > View > General).

·The color for the gradient bar can be configured in the options dialog (Options > View > Directory Tree).

Expand or collapse the Directory Tree

Using the Expand submenu (accessible via tabs Home and Scan) you can expand/collapse and hide certain folders in the tree, based on a certain directory level or an user-defined size value. For example, you can hide any file and folder occupying less than 500 MB (see screenshot below). This way, the most relevant elements will be shown in the tree while unimportant information is hidden.

Group scans in the Directory Tree

With the "Group scans" button (available on the View tab or via the context menu), you can merge multiple scans into a single "virtual root". The virtual root shows a summary of all scans that are part of this group. This way you will gain total sizes and values for arbitrary scans.


The TreeSize Views

Navigation: Using TreeSize >

The TreeSize Views

The following viewing options are available in TreeSize:

· Chart | Visualizes folder information in several different types of charts.
· Details | Provides an Explorer-like list of files and folders contained in the currently selected item in the Directory Tree.
· Extensions | Shows information on size grouped by file types.
· Users | Shows information on size grouped by users.
· Age of Files | Shows the distribution of the age of scanned files, based on a certain date attribute.
· Top 100 Files | Lists the 100 biggest files in the scanned branch in detailed view.
· History | Visualizes the size development of the selected root folder.


Chart

Navigation: Using TreeSize > The TreeSize Views >

Chart

TreeSize is able to visualize folder information in several different types of charts. The information is based on the currently active view mode of TreeSize. There are three basic types of charts, namely:

· Pie Chart

· Bar Chart

· Tree Map

Context tab: Chart

Please note: a context tab will be activated when the Chart view is selected. It allows you to manipulate the charts in several ways, for example zooming, turning on or off the grid lines, switching between 2D and 3D mode, changing colors, etc. Using the tab, you can also copy the current chart to the clipboard or save it as a file.

Some elements are available exclusively for certain types of charts (e.g. "Level of Details" for "Tree Map" chart only).

For all directory charts the following commands are commonly available:

Pie Chart

Switches to pie chart view.

Bar Chart

Switches to bar chart view.

Tree Map

Switches to hierarchical chart view.

Save

Saves the current chart as a graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Clipboard

Copies the current chart to the clipboard (can be pasted in other applications).

Print chart

Prints the current chart.

Color

Use the color picker to choose a color for the chart below: select a color, then click on the part of the pie the color should be applied to.

Level of detail

Change the detail level of the tree map.

Show chart in 3D

View chart in 3D or 2D.

Color gradient as background

Toggles the gradient in the background of the chart.

Show long tooltips

Hovering segments of a chart can show detailed information. Use this option to switch between simple and detailed tooltips.

Zoom in

Zooms in on the chart.

Zoom out

Zooms out of the chart.

Zoom 100%

Resets zoom to 100%.

Dependent on the displayed chart type, there are additional options available:

For pie charts:

Show Free Space

Show the free space of a drive as additional slice.

Show legend

Displays a legend in this chart.

For bar charts:

Show labels

Show or hide short information for all segments of the chart.

Show Grid

Show or hide grid lines for this chart.

Context Menu

Right-clicking on any chart shows a popup menu offering additional features, such as opening the corresponding item in the Windows Explorer.

Pie Chart

The Pie Chart shows the relative portions of each subfolder of the currently selected item in the Directory Tree.

The diagram contains the name of each folder, its size (or allocated space, or number of files; for more information please see view modes), and its percentage value. Small folders may be summarized in a slice named "Other".

If a root of any drive is displayed in a pie chart and you have switched to the "Allocated Space" mode, the free space of this drive will also be displayed as one slice of the pie. This behaviour can be switched on or off in the options menu. The pie chart shows the free space as one slice among the others and calculates the percentage appropriately (relatively to the others), so the percent value might differ from the "% Free" value of the drive if TreeSize didn't see all files. An FAQ entry deals with the possible reasons.

Hovering over a slice will show detailed information about the corresponding folder, double clicking will change into the selected folder.

Double-clicking on a slice will show the pie chart view for the selected folder. In case the clicked slice represents a file, it would be executed. Right click a slice in order to perform file operations like delete, copy, paste, properties etc. To manage several folders at once hold the shift key while selecting the desired segments in chart.

Please note that the Pie Chart not only visualizes the sizes of each subfolder of the currently selected item in the Directory Tree, but also the distribution of file extensions and even the file and directory owners (user statistics). To change the type of the Pie Chart, please click on the drop-down arrow right beside the caption of the Ribbon button (see image below).

Bar Chart

The Bar Chart visualizes folder sizes in form of horizontal bars. Grid lines in the background of the chart allow for easy determination of folder sizes and comparison of each folder in relation to other folders on the same directory level. As with the pie chart, hovering over a bar will call up more detailed information about the corresponding folder. Double-clicking on a bar will show the bar chart view for the selected folder.

Tree Map

The Tree Map is a hierarchical chart that is able to visualize the sizes of each subfolder (not only direct child folders) of a selected directory branch.

Each folder is shown as a rectangle. The area of the rectangle represents the size of the corresponding folder. The rectangles of subfolders are located inside the rectangle of their parent folder. If a folder has no subfolders and the file extensions statistics was activated during the scan, the file types are now shown as subitems.

The color of the rectangle face indicates the directory level. The colors range from purple (top level directories) to bright yellow (directories with a deep file system level). These colors can be adjusted using the color picker in the context tab. The shown rectangles must have a minimum size to be displayed. You can customize this minimum value using the Level of Detail track bar in the context tab. If this value is small, the chart might look very complex and confusing.

If you place the mouse cursor over the chart, you will see a tooltip containing information about the directory the cursor hovers over. Double-clicking on one of the rectangles will navigate to the corresponding directory in the Directory Tree. Drag and drop operations are supported in the tree map.


Details

Navigation: Using TreeSize > The TreeSize Views >

Details

The Details provides an Explorer-like list of files and folders that are contained in the current selected item in the Directory Tree. Detailed information on each file or folder can be shown by selecting the desired attribute in the column list, available by right-clicking the header of the list or via the Details page in the options dialog of TreeSize.

Context tab: Details

Like every view in TreeSize, the Details view comes with a Ribbon tab that is activated when the the list is clicked. The Ribbon tab provides commonly used list functions such as select operations or export features.

The following commands are available on the "Details" tab:

Delete

Delete the selected items. Hold the "Shift" key to remove the item(s) from the disk permanently (Please note: You cannot recover files that have been removed permanently!).

Properties

Show the properties for the selected item.

Save

Export the contents of the "Details" view to a file. If two or more items are selected, only the selected items will be exported. Available file formats are "Text Files (.txt)", "HTML Files (.htm)", "Rich Text Format (.rtf)", "Microsoft Excel (.xlsx)", and "Comma Separated Values (.csv)".

Clipboard

Export the contents of the "Details" view to the clipboard. If two or more items are selected, only the selected items will be exported.

Email

Send the content of the "Details" view via email.

Print

Print the selected items of the "Details" list.

Select all

Select all items in the list.

Select none

Unselect the list items.

Invert selection

Invert the selection.

Open command prompt

Open command prompt at the current directory of the "Details" view.

Compress

Compress this file or folder using NTFS compression.

Decompress

Turn off NTFS compression for this file or folder.

Copy path

Copy the path of the selected items to the clipboard.

Context Menu on the Details view

The list on the Details view shows the Windows Explorer context menu when you right-click on an item. An additional submenu labeled TreeSize is included which shows all information that is available about the selected item including the columns that are currently not activated. This submenu may also be used to activate or deactivate columns (for a description of available columns, see here).


Extensions

Navigation: Using TreeSize > The TreeSize Views >

Extensions

The Extensions view shows information on size grouped by file types, thus granting an overview of the types of files that use up most of the disk space. Statistics on file extensions can be activated and deactivated in the Options dialog.

Context tab: Extensions

Use the Extensions tab in order to select specific information for viewing and sorting the data. In addition to these filtering options, the tab also provides commands to export the list contents.

The following commands are available on the "Extensions" tab:

Show files of this extension

Show a list of all files of the selected file type.

Limit to this extension

Show only files with the selected file extension.

Clear filter

Remove the filter from the tree and show size information for all file types.

Save

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved. Available file formats are "Text Files (.txt)", "HTML Files (.html)", "Rich Text Format (.rtf)", "Microsoft Excel (.xlsx)", and "Comma Separated Values (.csv)".

Clipboard

Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Email

Send the content of the "Extensions" view via email.

Print list

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect the list items.

Invert selection

Invert the selection.

Show chart

Turn on or off a horizontal bar chart that shows the distribution of file extensions.

Group file types

Group similar file types in one group (e.g. "Audio Files", "Video Files", or "System Files"). You can configure the file groups in the Options dialog (See: "Options > View > File Groups").


Users

Navigation: Using TreeSize > The TreeSize Views >

Users

The Users view shows information on size grouped by users. At a glance you can see which user uses how much space in which folder. User statistics may be enabled/disabled in the options dialog (Options > Scan > General).

Context tab: Users

Use the "Users" tab in order to select specific information for viewing sorting the data. In addition to these filtering options, the tab also provides commands to export the list contents.

The following commands are available on the "Users" tab:

Show files of this user

Show a list of all files that are owned by the selected user(s).

Limit to this user

Show only the files owned by the selected user.

Clear filter

Remove the user filter and show the complete file and folder information of the currently selected branch.

Save

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved.

Clipboard

Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Email

Send the content of the "Users" view via email.

Print list

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect the list items.

Invert selection

Invert the selection.

Show chart

Turn on or off a horizontal bar chart that shows the distribution of file ownership.

Additional columns

By right-clicking on the column header you can enable the following additional columns:

Full User Name

The full name of the user, queried from Windows or Active Directory.

User Comment

The user comment from Active Directory.

Quota Usage

The usage queried from Windows quota management. To see values in the quota columns, you must run TreeSize as administrator and quota must be enabled on the local drive that you were scanning.

Quota Limit

The size limit that is set for the user in the Windows quota manager.


Age of Files

Navigation: Using TreeSize > The TreeSize Views >

Age of Files

The Ages of Files view shows the distribution of the age of scanned files, based on one of the following date attributes:

·Last Access Date

·Last Change Date

·Creation Date

Values for the specified period do not include the other, younger periods.

Context tab: Age of Files

The Ribbon tab for the "Age of Files" view offers export features equal to the Charts tab and enables you to customize the intervals. The boundaries of the intervals are always rounded to full days, i.e. to 00:00 a.m.

The following commands are available on the "Age of Files" tab:

Save

Save the current chart as graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Clipboard

Copy the current chart to the clipboard, to paste it in other applications.

Print chart

Print the current chart.

Customize file age intervals

Customize file age intervals (requires a scan refresh).

Show chart in 3D

View chart in 3D or 2D.

Color gradient as background

Toggle the gradient in the background of the chart.

Show grid

Show or hide grid lines for this chart.


Top 100 Files

Navigation: Using TreeSize > The TreeSize Views >

Top 100 Files

The Top 100 Files view lists the 100 largest files in the scanned branch. Similar to the Details view, you can configure the information shown here using the column header of the list. Please note that files of the system directory "System Volume Information" and the "Recycle Bin" will not be listed in this view.

Context tab: Top 100

The Ribbon tab for the "Top 100 Files" list provides several file-related operations as well as common export features.

The following commands are available on the "Top 100" tab:

Delete

Delete all selected files.

Properties

Show the properties for the currently selected file.

Save

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved.

Clipboard

Copy the content of this list to the clipboard. Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Email

Send the content of the "Top 100" view via email.

Print list

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect all list items.

Invert selection

Invert the selection.

Open containing folder

Open Windows Explorer to show the folder containing the selected file.

Copy path

Copy the path of the selected items to the clipboard.


History

In the History view you can see line charts visualizing the size development of the selected root folder. After each scan the size, allocated space, and number of files of the root folder are stored automatically in an XML file in the users profile of the currently logged-in user. These sizes are used to create this view. As a result the shown interval and frequency depends on the scans you have performed for this root before.

Please note:

·Only scans of the same path and the same exclude filters will be displayed in the history, since a common base is needed to compare scans.

·If you are interested in the size development of subfolders in the scanned file system tree, we recommend using our disk space manager SpaceObServer, which archives file system information in a database and is able to track size development down to file level.

Context tab: History

Use the "History" tab to customize the appearance of the chart, to export the chart to a file, and to manage history data.

The following commands are available on the "History" tab:

Save

Save the current chart as graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Clipboard

Copy the current chart to the clipboard, to paste it into other applications.

Print chart

Print the current chart.

Manage history data

Provides actions for the export/import and purge of history data. Additionally allows choosing a new storage location for the data.

Show zero point

Show zero point as minimum value in the chart.

Show "Size" seires

Do not only show the allocated space in this chart but also the size.

Show grid

Show or hide horizontal and vertical grid lines for this chart.

Show average series

Show or hide a line indicating the average trend for this chart.

Show total diskspace

Show or hide a horizontal line showing the total diskspace.

Show labels

Show info boxes (size values/number of files) in the chart.

Equalize chart

defines wether the chart is displayed interpolated or exact.

Color gradient as background

Toggle the gradient in the background of the chart.

Show data points

Show or hide points on line chart.

Remove data point

Using the context menu of the History view, you can remove single data points. Please note that this requires the "Show data points" option to be enabled (see above).


Drive List

Navigation: Using TreeSize >

Drive List

The Drive List shows the local drives as well as the connected network drives. You can see the size of the drive as well as the free disk space. The S.M.A.R.T. column offers a quick info about the hardware status of supported devices.

Double-clicking starts a scan of the selected drive.

Notes

·If you don't see your network drives in the Drive List, please refer to this FAQ entry.

·S.M.A.R.T. is available only for local drives supporting the S.M.A.R.T. standard (Self-Monitoring, Analysis and Reporting Technology). Windows grants access to these values only to processes that have been started "as administrator"

·Additionally to the listed drive UNC paths can be added using the right click menu.

·You can use wildcards when defining the paths to be scanned. This way, you can even scan paths like "S:\Users\R*" or "R:\*\MyVideos".

·You can scan all shared drives in a domain by entering the domain name in the drive combo box.

·The drive list can be automatically exported into an Excel, Text, or CSV file by using the command line option "/EXPORTDRIVESLIST".

Context tab: Drive List

The Drive List has its own Ribbon context tab providing several additional actions for the Drive List.

The following commands are available on the "Drive List" tab:

Properties

Shows the properties for the selected drive.

Open in Windows Explorer

Opens the currently selected drive(s) in the Windows Explorer.

Remove from list permanently

Removes the selected path or drive permanently from the list.

Map network drive

Opens the Windows "Map Network Drive" dialog.

Add drive or UNC path

Enables you to select or enter a path or drive and add it to the drive list.

Add all shares of a server

Adds all shares of a server to this list as UNC paths.

Export

Exports drive list information (path, size, free space, etc.) to an Excel or text file.

Copy list to clipboard

Copies drive list information (path, size, free space, etc.) to the clipboard.

Import from clipboard

Imports all paths currently contained in the clipboard into the drive list.

Print

Prints drive list information (path, size, free space, etc.).


Snapshots

Navigation: Using TreeSize >

Snapshots

The Snapshot feature of TreeSize provides a quick overview on the development of disk space usage for the selected path. A snapshot can be described as "photography" of the disk space status at a certain point in time. It is created within seconds and Windows will automatically delete it if the space it occupies is needed. The amount of disk space reserved for snapshots can easily be configured via TreeSize or the Windows System Configuration (Tools > Configure Windows System Restore).

Creating a snapshot

Creating snapshots from within TreeSize is only supported for local drives, not for network drives. You need to run TreeSize as administrator in order to be able to create snapshots.

To create a new Snapshot, please click the "Create snapshot" button on the "Tools" Ribbon tab. Creating the snapshot may take a moment.

If the feature is disabled on the system, no snapshot can be created for any local partition. Check the settings in your Windows environment via Control Panel > System and Security > Computer Protection : it must be switched to ON for the system partition and for every partition you want to use with the snapshot feature.

This feature is not supported on Windows XP.

Comparison with a snapshot

You can compare a scan with a previous scan using the comparison feature. This gives you an in-depth overview of each folder and file and its size development since the creation of the given snapshot. Not only remote Windows systems are supported, but also non-Windows systems like storage system from NetApp and EMC.


Disk Usage Comparison

Navigation: Using TreeSize >

Disk Usage Comparison

For a detailed analysis of your disk space usage it may be helpful not only to see the current usage, but also its development over time.

TreeSize provides a powerful comparison mode enabling you to analyze size development over a period of time. For that purpose, TreeSize compares data of the current scan with historical data. There are two different data sources available for the comparison:

·Previously saved TreeSize scans (XML report).

·Snapshots of the file system (available only for local NTFS drives).

To enable the comparison mode, please follow these steps:

1.Scan the path you want to view the size development for.

2.Go to Scan > Compare with saved scan or Compare with snapshot.

oIf you selected "Compare with saved scan", you may now choose the XML file of the previously saved scan.

oIf you selected "Compare with snapshot", a dialog will open enabling you to choose a snapshot.

3.Select if you want to view size changes in the Directory Tree, in Views, or both.

By comparing a scan result with a previous scan, you can easily see which filers and folders were added and removed and analyze the space development in that time period. This can help to identify files and folders that grow in size regularly and could eat up your space quickly if not handled at an early stage.

Comparison with a snapshot

TreeSize provides several different ways to compare your scans with each other. The easiest way to do this is the snapshot feature. A snapshot could be described as a "photography" of the disk space status at a certain point in time. Major benefits of this mechanism are, that it can be created within seconds and Windows will automatically delete it if the disk space that it occupies is needed.

To compare a disk space scan with a snapshot, simply select a scan in the Directory Tree. Now click the "Compare with snapshot" button on the "Scan" Ribbon tab. You can also use the Application Menu ("File" > "Compare current scan" > "Compare with snapshot").

The following dialog shows a list of the available Snapshots sorted according to their time-stamp. It also shows the free space of each Snapshot, making it easy to spot exactly when the disk space on the hard drive where the current scan path resides on has increased or decreased. After selecting a Snapshot, click the "Compare" button to start the size comparison process.

Please note: if this list is empty or an error message "No snapshots available for this scan" appears, there are two possible reasons for that: either no snapshots are existing or not all necessary services are running on the destination system. You can verify this by doing a right-click on the destination directory, open properties and select the "Previous Versions" tab. If no snapshots are listed there, the program itself can also not list any entries. If you see entries there then not all required services have been running. These services have now been started implicitly by opening the dialog and if you now execute "Compare with snapshot" again , you should see the correct results.

Comparison with saved scan

Scans results can be written into XML files at any given time, which provides a history of your disk usage. These files can be stored away and reused in a later step for detailed analysis. You can use this information to compare your current scan results with the situation at any given time in the past.

To compare a disk space scan with a saved scan, select a scan in the Directory Tree and click the "Compare with saved scan" button on the "Scan" Ribbon tab. You can also use the Application Menu ("File" > "Compare current scan" > "Compare with saved scan"). The subsequent dialog allows you to select a previous scan that has been saved into an XML file.

Displaying the comparison

The result of the size comparison can be viewed in the "Directory Tree", in the "Details" view, or in both at the same time.

Elements that are highlighted in red have increased the disk space usage compared to the saved scan or snapshot, while a green element indicates that the disk space usage is now lower than in the saved state used for comparison. You can choose whether you want to compare the size, the allocated space, or the number of files between the two scans by clicking the corresponding button in the "Home" Ribbon tab.


Options Dialog

Navigation: Using TreeSize >

Options Dialog

The options dialog of TreeSize enables you to modify scan, appearance, and startup settings of the application as well as customize any supported export format (Text, Excel, etc).

These are the available options pages:

Scan

General

General settings influencing the scan behaviour of TreeSize.

Filter

Define filtering options for TreeSize.

View

General

General settings influencing the appearance of TreeSize.

Details

Configure the columns shown in the Details view of TreeSize.

Directory Tree

Customize the appearance of the Directory Tree of TreeSize.

File Groups

Define which file extensions will be grouped together in the Extensions view of TreeSize.

Age of Files

Configure the intervals used to generate the charts of the Age of Files view.

Export

Printer

Configure printer settings for TreeSize.

PDF

Configure the PDF file report of TreeSize.

Excel

Configure the Microsoft Excel file report of TreeSize.

HTML

Configure the HTML file report of TreeSize.

CSV

Configure the CSV (comma-separated-values) file report of TreeSize.

XML

Configure the XML file report of TreeSize.

Text

Configure the plain text file report of TreeSize.

Email

Configure email settings for TreeSize.

System

Start

Modify startup settings for TreeSize.

Context Menu

Configure the Windows Explorer context menu integration of TreeSize.


General

Navigation: Using TreeSize > Options Dialog > Scan >

General

General settings influencing the scan behaviour of TreeSize.

Please note

·Changes applied here usually require a rescan of the currently scanned drives and folders to take effect.

Scan Depth

Track NTFS-specific features

With this option you can control whether TreeSize should check each file if it is just a hardlink to another file, if contains alternate data streams (ADS) or uses the new NTFS compression features available in Windows 10. The will result in more accurate results for the allocated space, but will also slow down the speed of a scan.

Follow mount points and external symbolic links to directories

You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice.

Statistics

Create statistics for age of files

If this checkbox is activated, TreeSize will generate statistics for the age of files in each sub tree. The results can be viewed on the Age of Files view of the main window. The creation of these statistics will increase the memory consumption of the application.

Create statistics on file extensions

If this check box is activated, TreeSize will generate statistics for the file extensions in each sub tree. The results can be viewed on the Extensions view of the main window. The creation of these statistics will increase the memory consumption of the application.

Create statistics on file owners

If this check box is activated, TreeSize will generate statistics for the file owners in each sub tree. The results can be viewed on the Users view of the main window. Since it is necessary to query the owner of each file, this option will slow down the scanning process if activated.

Notifications

Show error messages during scan

Use this option to decide whether TreeSize should show error messages during scanning. If you, for example, scan a network drive on a Windows server and don't have reading access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, uncheck this check box.

Thread Options (expert option)

Thread Priority

Enables you to define the priority with which the threads scanning the hard disk are running. "Idle" means that the CPU will be used only if no other threads are using it. "Idle" is a good setting if you want to make sure that a scan with TreeSize has no impact on the performance of the PC or server. The default and recommended value is "lower priority". Choosing a higher priority will result in the scan threads having a higher priority than the thread of the user interface, which can make the user interface unresponsive during a scan. This setting is also used for the threads of the TreeSize File Search.

Maximum number of threads per scan

TreeSize automatically adjusts the number of threads to the CPU usage. This option lets you define the maximum number of threads that will be started for a scan. If the system load is high, fewer than the maximum number of threads may be started.

User-defined Cluster Size (expert option)

Use this option to see what the values for allocated and wasted space would be with a different cluster size or file system. Changing this option will require a rescan. This options will not be saved when you exit TreeSize in order to avoid wrong results when using it the next time.


Filter

Navigation: Using TreeSize > Options Dialog > Scan >

Filter

Define filtering options for TreeSize. If you need information about e.g. certain file types only, you can specify a filter using this options page. Please note that changes on this options page usually require a rescan of the currently scanned drives and folders to take effect.

How to define a filter (exclude or include)

To define a new filter, please follow these steps:

1.Click the "Add pattern" button. An entry will be created in the filters list for the new filter.

2.Decide whether this filter shall operate as an exclude or include filter using the "Action" selector of the newly created entry. An exclude filter for the pattern "*.exe" for example will make TreeSize to not show any files with the extension ".exe". This will also affect the calculated values such as the "Size" in the Directory Tree as well as any other view. An include filter, on the other hand, will make TreeSize show only items that match this pattern. To return to the previous example, an include filter of "*.exe" would result in a Directory Tree showing only data related to files that have the extension ".exe".

3.Define the actual pattern. You can either use simple Wildcard pattern such as "*.exe", Regular Expression patterns such as ".+\.exe$", or patterns that match full names like "notepad.exe". Please make sure that you select the matching pattern type on the "Type" selector on the right side of the window.

4.The "Match Against" selector is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against file names, (full) paths, owners, folder names, or object names. You can use the "owner" filter to, for example, include or exclude certain file owners from the TreeSize scan results. With the "full paths" or "folder name" filter you can include or exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). The "file name" filter should be used when you intend to include or exclude certain file extensions (e.g. "*.tmp"), like described in step 2.

Preview the results

The "Preview" button enables you to view the results of a defined search pattern. The preview will use the currently selected pattern to show an Explorer-like view highlighting excluded and included items in appropriate colors (red and green). The following screenshot shows the results of an exclude filter for full paths that match the pattern "Program Files".

The following list describes additional filter settings that can be defined on this options page.

Additional Filter Settings

Include only files created in the past ... days

If this option is set, only files and folders which have been created within the specified amount of days will be scanned. This can be useful to calculate the size of backups or to identify "heavy growing" folders. A value of "0" means that all files will be included (default).

Include only files with "archive" attribute

Check this option if you want to count only files for which the "archive" attribute has been set. This can be useful to determine the size of backups.

Exclude offline files

This option enables you to exclude files that are marked as "offline". Offline files are often not physically present on the disk or are only cached temporarily on the local disk.


General

Navigation: Using TreeSize > Options Dialog > View >

General

General settings that influence the appearance of TreeSize.

Visual Effects

Show compressed files and folders in blue

If this option is selected, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color. For more information on file-based compression see Notes on NTFS.

Show folders containing paths >260 chars in red

Select this option, if folders containing long paths should appear in a red color. This is useful for finding file system structures that exceed the Windows MAX_PATH constant. Many tools and the .NET framework have problems with these long paths. Using the custom search of the TreeSize File Search you also can search for such files.

Show folders in bold that are larger than ...

Use this option to define a threshold at which folders in TreeSize will be shown bold. You can either define a percentage value [% of the scanned folder] or a size value [Megabytes (allocated space). Folders will be shown bold in the Directory Tree and in the Details view of TreeSize.

Date/Time Format

Use the following date/time format, e.g. for "Last Access":

The date/time format that is used by TreeSize in related columns like "Last Access", "Last Change", or "Creation Date" can be defined here. Available formats are date, date+time (without seconds), and date+time (with seconds). Please note that in some rare cases TreeSize may display "wrong" date/time format. For more information on this issue, please refer to this article from our Knowledge Base.

Expert Options

Number of paths in the "Recently scanned" list:

Here you can adjust the maximum number of entries shown in the "File -> Recently scanned" list. The maximum value for stored paths is 20.

Automatically update right pane during scan

If this option is selected, the right pane of the window will be updated from time to time. This allows you, for example, to watch the bars of a chart growing while scanning large drives. Use the drag bar to set the interval of the updates.

Determine icons based on file extension only

If this option is selected, the default icon for files based on the file extension is used. This is much faster, especially on network drives.

Enable Drag & Drop

Allows to deactivate the drag and drop features of TreeSize. Turning off drag and drop should prevent unwanted changes on critical systems.


Details

Navigation: Using TreeSize > Options Dialog > View >

Details

This options page can be used to configure the columns shown in the Details view of TreeSize. For a description of the available columns please refer to "Available columns".

Notes

·You can change the ordering of columns using the arrows on the left. Click the desired column first, then click an arrow to move the column up/down.

·The column that should be visible in the Details view can also be configured by right-clicking the column header (see screenshot below).


Directory Tree

Navigation: Using TreeSize > Options Dialog > View >

Directory Tree

Use these options to customize the appearance of the Directory Tree of TreeSize.

Grouping of Scans

Group all scans in a virtual root

Group scans under a virtual root folder showing summarized values for all scans that are part of this group.

Files in Directory Tree

Do not show single files in the Directory Tree

If this options is activated, files will grouped into a special node with the name "[Files]". This improves browsing of the directory tree, since you won't have to bother with individual files on each folder level.

Show single files in directory tree

If this option is activated, the directory tree will list single files.

Gradient Bars

Show gradient bars as size indicators in directory tree

If this option is active, a gradient bar is shown in the background of every folder in the directory tree that indicates the size of the folder in relation to the entire scanned file system tree. Use the color picker below to define a custom color gradient.

Tooltip

Show tooltips in directory tree

If this option is active, a tooltip window with detailed information will be shown if the mouse cursor hovers over a folder for a while. This is useful if you want to take a look at detailed information of a folder without switching to the "Details" view


File Groups

Navigation: Using TreeSize > Options Dialog > View >

File Groups

This page allows you to define which file extensions will be grouped together in the Extensions view of TreeSize.

Adding a new group

1.Enter the name of the group (e.g. "Text files") in the "Group definitions" text field on top of the page.
The name is shown in the left column of the Extensions view.

2.Click "Add Group".

3.In the popup window, enter a meaningful description for the new group (e.g. "Plain text files, log files, etc.").

4.Click the text field in the "Associated file types" area and enter the desired file extensions (e.g. "*.txt").

5.Click "Add Pattern".

6.Repeat the step 4 and 5 until you have added all of the desired file extensions.

7.Click "Apply" to save the settings.

Add/remove/edit file extensions of an existing group

1.Click the desired file extensions group in the "Group definitions" on top of the page.

2.Add new file extensions like described in steps 4 and 5 above
or
use the "Remove" button on the right to remove an existing file extension from the list
or
right-click on an existing file extension and click "Edit Pattern" to change the pattern of an item.

3.Click "Apply" to save the settings.

Edit caption and description of an exiting group

Simply right-click on the desired group and select "Edit Caption" or "Edit Description".

Export/import list of file extensions

For existing groups, you can export the definition of file extensions by right-clicking on the "Associated file types" listing and selecting "Export". A text file containing one file extension in each line will be created. You can import a definition into an existing group in the same way.


Age of Files

Navigation: Using TreeSize > Options Dialog > View >

Age of Files

This options page allows you to configure the intervals used to generate the charts of the Age of Files view.

You may change the limit of each interval, add additional intervals using the '+' button, or remove intervals using the '-' button. You can turn off the creation of the "Age of Files" statistics using the check box on top of the list. This will slightly reduce the memory usage of TreeSize. Furthermore, you can select whether the file ages should be determined based on the "Last Access Date", the "Last Change Date" (default) or the file "Creation Date".


Printer

Navigation: Using TreeSize > Options Dialog > Export >

Printer

Configure printer settings for TreeSize.

Charts to include

Configure the charts that are added to the export

Check all the different chart types that shall be included in the report that will be printed.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be printed.

Export the full directory branch

If this option is selected, the complete Directory Tree will be printed.

Exported Elements

Do not export single files

If this option is selected, single files will not be printed. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

If activated, single files will be printed. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in printed reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the printed report.

Size of selected column

Define a pixel size that is used for this column when printing the report.

Formatting

Use bold text and colors for printed reports too

Turn this option on to apply the settings for bold folder names for printed reports.


PDF

Configure the PDF file report of TreeSize.

Charts to include

Configure the charts that are added to the export

Check all the different chart types that shall be included in the report of this export type.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Single files will be listed in the report. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in PDF exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Formatting

Use bold text and colors for reports too

Turn this option on to apply the settings for bold folder names for PDF reports.

Page Setup

Left/Right/Top/Bottom

These margins will be applied to all pages of the PDF export.

Page orientation:

Select whether the exported page should be in portrait, or landscape mode.


Excel

Navigation: Using TreeSize > Options Dialog > Export >

Excel

Configure the Microsoft Excel file report of TreeSize.

Charts to include

Configure the charts that are added to the export

Check all the different chart types that shall be included in the report of this export type.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Single files will be listed in the report. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in Excel exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Units

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Used size unit

The size unit that will be used for the export of Excel files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

Formatting

Generate expandable/collapsible Excel report

A dynamic Excel report will be created in which items such as folders can be expanded/collapsed just like in the Directory Tree.

Format file and folder paths as

Chose in which way the paths of files and folders should be formatted in the Excel report. Paths can be formatted either as plain text or as hyperlinks.

Default Target File

Path of the default target file

Specify a file to which exported data should be written by default.


HTML

Configure the HTML file report of TreeSize.

Charts to include

Configure the charts that are added to the HTML export

Check all the different chart types that shall be included in the report of this export type.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Single files will be listed in the report. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in HTML exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Style Sheet

Path of the optional style sheet

Define an optional style sheet which will be used to customize the created report.


CSV

Navigation: Using TreeSize > Options Dialog > Export >

CSV

Configure the CSV file report of TreeSize.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Single files will be listed in the report. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in CSV exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Units

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Used size unit

The size unit that will be used for the export of CSV files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

List separator

Separate list columns using:

This options allows you to select which separator should be used for the export of CSV files. By default, the regional settings of the system will be used.


XML

Navigation: Using TreeSize > Options Dialog > Export >

XML

Configure the XML file report of TreeSize.

Please note:

·Certain columns cannot be configured for XML reports as these represent required data for the "Load XML report" or "Compare with XML report" features of TreeSize.

·TreeSize ships with an XSLT file that formats the data in the XML file for output in a browser that supports XSLT processing (see option "Style Sheet" below).

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Columns

Use the column list to specify which information shall be included in XML exports. A list of all available columns with their descriptions can be found here.

Style Sheet

Path of the optional style sheet

Define an optional style sheet which will be used to customize the created report.


Text

Navigation: Using TreeSize > Options Dialog > Export >

Text

Configure the plain text file report of TreeSize.

Please note:

·The "column" settings of the text export also affect the export to clipboard!

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Exported Columns

Use the column list to specify which information shall be included in text exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.

Units

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Used size unit

The size unit that will be used for the export of text files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.


Email

Navigation: Using TreeSize > Options Dialog > Export >

Email

Configure email settings for TreeSize.

Email content

To

The email address the report will be sent to.

Subject

The subject of the email. Supports environment variables such as %DATE%, %TIME% or %USERNAME%.

Format

Choose an email format here.

Transport

Use MAPI client

If this setting is checked, TreeSize will use the local MAPI client (for example Microsoft Outlook) for sending mails.

Use SMTP server

TreeSize will use the specified SMTP server to send email reports. Please make sure to test the connection settings before applying the current options.

Please note that you will have to enter valid SMTP settings in order to make use of email reports in scheduled scan or search tasks or all other kinds of automated starts (e.g. batch programs or command line calls) (Professional Edition only).

From

The email address that will be shown as the sender of the report.

Server

The name (DNS) or IP address of the machine hosting the SMTP service through which messages are to be sent.

Port

The port on which the SMTP service specified in the "Server" field is listening for connections.

Use secure (SSL) connection

Indicates that Secure Sockets Layer (SSL) should be used when sending messages via SMTP.

This server requires authentication

Select this option if SMTP service specified by the Server field requires authentication. Passwords will be encrypted before storing them in the TreeSize settings file.

Test Connection

Test the SMTP connection settings. This will send a test email to the email address specified in the "To" field.

Charts to attach

Configure the charts that are added to the email export

Check all the different chart types that shall be included in the report that is send via email.

Depth of Directory Tree

Export expanded folders only

Only the expanded/visible parts of the Directory Tree will be exported.

Export the full directory branch

If this option is selected, the complete Directory Tree will be exported.

Exported Elements

Do not export single files

Single files will not be included in the report. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Include single files in export

Single files will be listed in the report. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in email exports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Column list

Use the column list to specify which information shall be included in the report for this export type. A list of all available columns with their descriptions can be found here.

Include header information

Use this option to control whether header information (such as the title and date of the report) and the column headers should be added to the exported file.


Start

Navigation: Using TreeSize > Options Dialog > System >

Start

Modify startup settings for TreeSize.

Start As Administrator

Always start this application as administrator

When activated, TreeSize will always start with administrator privileges. This will trigger the UAC (User Access Control) prompt, if UAC is enabled.

Action at Application Start

Do nothing

The application will start with an empty window. A scan can be started using the path selection drop-down list or via the corresponding button on the Home tab.

Scan the same path(s) as last time

All paths shown in the directory tree the last time TreeSize was closed will be re-scanned once the application is started again.

Always scan these paths

Enter up to five paths to be scanned when the application starts.


Context Menu

Navigation: Using TreeSize > Options Dialog > System >

Context Menu

Configure the integration of the Windows Explorer context menu in TreeSize.

Explorer Context Menu

Show TreeSize in Windows Explorer context menu of current user

Select whether TreeSize should appear in the context menu of folders in the Windows Explorer. Click on the corresponding menu item to start TreeSize and scan the selected folder immediately.

Show TreeSize File Search in Windows Explorer context menu of current user

Select whether the TreeSize File Search should appear in the context menu of folders in the Windows Explorer.

Note for Windows XP/Windows Server 2003 users

For Windows XP and Windows Server 2003, TreeSize can add an additional column to the Windows Explorer as described below. Please note: Since Microsoft has removed the possibility for adding custom columns to the Windows Explorer, the additional column is not supported for Windows Vista or higher.

Explorer Column

Use this option to enable or disable the "TreeSize Column for Windows Explorer". The TreeSize column can only be configured here if you selected "Install TreeSize column for Windows Explorer" during the installation process of TreeSize. Otherwise this option is disabled.


Using the TreeSize File Search

Navigation: »No topics above this level«

Using the TreeSize File Search

The TreeSize File Search offers the ability to search for obsolete files or perform a highly customizable search.

You can open the TreeSize File Search via the Windows "Start" menu or the TreeSize "Tools" ribbon tab.

Learn how to use the TreeSize File Search in the following sections:

·The File Search Window

·The Ribbon Bar

·The Search Options

·Biggest files

·Oldest files

·Temporary files

·Internet files

·Duplicate files

·Custom search

·Move checked files


The File Search Window

Navigation: Using the TreeSize File Search >

The File Search Window

These are the important elements of the TreeSize File Search window:

1. | The Ribbon Bar provides access to all commands of the TreeSize File Search. It is divided into logical sections containing commonly used functions and elements (e.g. the "Home" tab), or the tabs enabling you to customize the appearance of the search results (e.g. the "View" tab ). Press the "Start" button to start searching with the currently selected search options in the selected drives and paths.
2. | TreeSize offers the following file search types: · Biggest Files · Oldest Files · Temporary Files · Internet Files · Duplicate Files · Custom Search Use the check box to activate a certain search type. When a new search is started, all activated searches will be executed, after which the number of results will be displayed. After the search has been completed, select a search type (click on the caption) to show the search results of this search (See 3.).
3. | In the center of the window, the result list of the search type you selected at 2. is shown. Files and folders that have been found, can be selected, or checkmarked here.
4. | This preview panel shows detailed information and a thumbnail image of the currently selected element in the shown result list. You can hide this panel at "View > Details pane".
5. | The status bar sums up information regarding the currently shown search results.
6. | The Quick Access Toolbar is a customizable shortcut to many useful functions of the TreeSize File Search.
7. | The drive list panel shows the currently selected drives and paths that will be used as starting point for the search. By clicking the dropdown button, or the panel itself, you can open the full drive list and select or deselect additional search paths.


The Ribbon Bar

Navigation: Using the TreeSize File Search > The File Search Window >

The Ribbon Bar

The Ribbon Bar provides access to all commands of the TreeSize File Search. It is divided into the following logical sections, called "Tabs":

File | Enables you to select folders to search in and load or save your search results and search options.
Home | Contains the most commonly used actions and elements of the TreeSize File Search.
View | Contains all actions and elements influencing the general appearance of the search results.
Tools | Contains useful functions and settings of the file search.
Help | Provides common help features, version information, and management functions for your product license

File

Browse and add path

Shows a dialog which lets you select a directory. The directory will be added to the list of drives and paths TreeSize will search in.

Please note: Use "Home > Search paths" to see the complete list of searched drives and paths.

Load search options

Loads previously saved search options from an XML-file.

Save search options

Saves the current search options in an XML-file.

Reset search options

Resets the current search options to their default values.

Export

Saves the results of the latest search to a configurable file format.

Available file formats are "Text files (.txt)", "CSV files (.csv)", "Microsoft Excel (.xlsx)", "Rich Text Format (.rtf)", and "HTML files (.html)".

List of paths

Exports a list of the full paths of your current search results ("Export path list") or import a list ("Import path list") in the format Text or CSV (mandatory).

Print list

Prints the currently visible result list or configure printer settings.

About

Shows version number and contact information.

Exit

Exits the TreeSize File Search.

Home

Search

Start

Starts the file search.

Stop

Stops the file search.

Edit

Cut

Removes the selected items and copies them to the clipboard.

Copy

Copies the selected files and folders to the clipboard. To insert them in a new location, use the "Paste" command.

Select all

Selects all items in the list.

A drop-down menu provides access to the additional button "Invert selection", which will invert the selection state of all search results.

List Actions

Check all

Checks all items in the active result list.

Uncheck all

Unchecks all items in the active result list.

Check if

Checks all items for which the full path matches certain patterns in the currently visible result list.
You can configure the patterns in a new window.

Please note: The check state of other items will not be changed by this function.

Uncheck if

Unchecks all items for which the full path matches certain patterns in the currently visible result list.
You can configure the patterns in a new window.

Please note: The check state of other items will not be changed by this function.

Remove invalid elements

Through changes on the file system, such as the manual deletion of files via Windows Explorer, it may be possible that previously found duplicate search results have become invalid. This function checks all currently shown elements and removes those that cannot be found on the file system anymore.

Export

Export

Saves the results of the latest search to a configurable file format.

Available file formats are "Text files (.txt)", "CSV files (.csv)", "Microsoft Excel (.xlsx)", "Rich Text Format (.rtf)", and "HTML files (.html)".

Email

Sends an email that contains the current search results.

File Operations

Delete items

Deletes all checked search results.

See "Move checked files".

Move items

Moves all checked search results to a destination of your choice.

See "Move checked files".

Burn

Burns all checked search results to an optical media.

See "Move checked files".

Archive

Archives all checked search results in a ZIP file.

See "Move checked files".

Pass to executable

Passes the full path of all checked search results via command line to an executable of your choice.

See "Move checked files".

View

Unit

Select the size unit, in which file sizes will be displayed:

Auto

Automatically selects the optimal unit.

TB

File sizes are displayed in Terabytes.

GB

File sizes are displayed in Gigabytes.

MB

File sizes are displayed in Megabytes.

KB

File sizes are displayed in Kilobytes.

B

File sizes are displayed in Bytes.

Formatting

Decimals

Determines the number of displayed decimals places.

Date and time

Chose the date format that is used in the TreeSize file search for columns like "Last Access", "Last Change", or "Creation Date" here. Available formats are date, date+time (without seconds), and date+time (with seconds).

Visible columns

Configure columns

Set the visible columns in the search result list.

The available columns are:
"Path", "Extension", "Size", "Allocated space", "File type / Matching criteria", "File owner", "Attributes", "Creation date", "Last access date", "Last change date", "Path length", "Directory level", "Hardlinks", "Version", "Permissions", "Author", "MD5 checksum", and "SHA256 checksum".

Please note: Before exporting scan results we recommend deactivating all columns you do not necessarily need in your export. This will increase the performance of the export and reduce the size of the export files.

Show or hide

Show tooltips

Enables long tool tips in the search result lists, showing detailed information about the file or directory your mouse cursor hovers over.

Details pane

Toggles a panel to the right of the result list, showing detailed information and a thumbnail image of the first currently selected file or directory.

Tools

Tools

Schedule current search

Opens a dialog enabling you to create a scheduled Windows task for the current search options.

The drop-down menu provides access to the additional button "Manage scheduled tasks", which allows you to edit previously created TreeSize tasks.

See "Schedule Dialog".

Start File Search as Administrator

Restarts the TreeSize File Search and requests admin privileges.

Please note: This button is available only if TreeSize was started without administrator privileges.

Empty recycle bin

Deletes all items in the recycle bin to free up disk space.

Options

Opens the options dialog, which allows to change the current search settings.

Help

Help

Show help

Opens the "File Search"-specific help file.

Show PDF manual

Open the product manual as PDF (optimized for printing).

File Search F.A.Q.

Opens the "File Search"-specific F.A.Q. section in the help file.

Version

About

Provides information about TreeSize.

Check for Update

Checks for a newer version of TreeSize.

License

Extend maintenance

Extends the maintenance period. Updates and support are free within the selected maintenance period.

Please Note: For the trial version of TreeSize, the Ribbon group "License" contains different controls:

Purchase full version

Navigates to the JAM Software website and shows a list of all available license models.

Change to full version

Helps you switch to the full version after purchasing the software.


Defining search paths

Navigation: Using the TreeSize File Search > The File Search Window >

Defining search paths

Drives and Paths to search

The expandable drive overview enables you to define the drives and paths to search in. In its non-expanded state, it shows all searchable drives and paths that are selected for the current search. Additional paths can be browsed for, by using the plus symbol.

When expanded, the panel shows a list of all available drives, as well as the previously selected search paths, in a drop-down menu. Use the check boxes in front of each drive to select which file system branches should be searched by the file search. You can add additional paths and network drives using the buttons below the list. The first button will enable you to type in a path, the second one will open a folder browser dialog.

Hint: You can search entire servers or PCs by using their UNC name like \\SERVER. You can search your entire domain by using its UNC name, e.g. \\DOMAIN. You can even search you entire network by choosing the network neighborhood of Windows in the directory browser appearing after pressing Browse and Add Path. TreeSize automatically browses for PCs and all shares on them (including hidden shares) and performs the search on all shares it finds.


Biggest files

Navigation: Using the TreeSize File Search >

Biggest files

Enables you to search for the biggest files in the selected drives and paths. You can specify a minimum file size. All files larger than this value will be listed in the search results.

Search for files bigger than...

Specify the minimum file size.

Like in all searches, you can move all checked files in the result list to a position in the file system that you can specify by using the Move Items function. The main module of TreeSize is also showing a list of the 100 largerst files.


Oldest files

Navigation: Using the TreeSize File Search >

Oldest files

This search type detects files or complete directory branches in the chosen drives and paths that have not been changed or accessed since a certain date.

Search for files not [accessed / changed]

Select which time stamp should be checked: the last access date or the last change date.

since

Define here for how long a file must have been not accessed / changed to be shown in the result list.
You can either use a certain date or a number of days.

Return complete folders only

Activate this option to show entire folders as search results. In this case only folders will be listed for which all included files and sub folders in any depth were not accessed / changed.
This enables you to identify branches of the file system that are not in use anymore.

Please note: The Custom Search offers more sophisticated filter options for the timestamps of files.

Like in all searches, you can move all checked files in the result list to a position in the file system that you can specify by using the Move Items function.


Temporary files

Navigation: Using the TreeSize File Search >

Temporary files

Allows you to search for temporary files on the selected drives and paths.

TreeSize defines temporary files as files matching certain patterns which are specific for temporary files (e.g. "*.tmp"), and files with certain other properties (e.g. temporary file attribute is set). If you want to customize the search settings that are used for this search, click "Configure":

The criteria defining which files are listed here can be modified by using the pages "Customize Patterns" and "Additional Settings".

Patterns

The main part of the temporary file search is based on typical filename patterns. You can customize these patterns using the tab "Customize Patterns" on the top of the search result list. You may change or delete existing patterns as well as add new patterns. Using the check boxes on the left, you can deactivate certain patterns without deleting them.

Allowed wildcards for pattern building:

* | Replaces none or any number of alphanumeric characters.
? | Replaces exactly one alphanumeric character.

Other criteria which are common for temporary files (Selectable via "Additional Settings"):

Include files with temporary attribute

Applications that create a temporary file may inform the operating system with a special flag about this fact. This flag is represented in the "Attributes" column of TreeSize and the Windows Explorer ("T" = temporary file).
If this checkbox is activated, TreeSize will include such files in the search results.

Include files that do not belong to a valid account (slow)

If a Windows account is deleted, files belonging to this account are not deleted automatically and may keep occupying space on the hard disks.
If this checkbox is activated, TreeSize will include such files in the search results.

Please note: Since it is necessary to query the owner of each file on the searched disks, activating this option will slow down the scanning process.

Include Links without a valid target path

If this checkbox is activated, TreeSize will check for .LNK and .PIF files, if the destination path exists. If this is not the case, such a file will be included in the search results.

Include Shortcuts from Recent Documents Folder

If activated, TreeSize will check for shortcuts from the recent documents folder and list them in the search results.

Like in all searches, you can move all checked files in the result list to a position in the file system that you can specify by using the Move Items function.


Internet files

Navigation: Using the TreeSize File Search >

Internet files

This search type enables you to search for temporary internet files like the files in the cache of the browsers Internet Explorer, Firefox, Chrome, Opera, and Netscape Navigator.

Include cookies

Activate this option to search and list cookie files.

Hint: The search for temporary internet files can be automated using the command line option /SEARCH:Internet.

Like in all searches, you can move all checked files in the result list to a position in the file system that you can specify by using the Move Items function.


Duplicate files

Navigation: Using the TreeSize File Search >

Duplicate files

Searches for duplicate files on the selected drives or shares.
In this context, duplicate files are files which seem to exist more than once. Such redundant files increase the allocated space of your disks unnecessarily.

Here is a list of the available strategies hot duplicate files shall be identified:

Compare Size, Name and Date

Select this option to identify duplicate files by looking for equal names, sizes and last change dates.

This is much faster than using check sums to indicate duplicates, but it is also less accurate.

Compare using MD5 Checksum

When using MD5 checksums, a so called hash value is calculated based on the contents of each file. Files with the same content will have the same hash value, files with different content will almost certainly have different values.
Empty files are ignored, since there is no content to compare.

This is more accurate then comparing files by their name, size and date but it is also much slower.

Compare using SHA256 Checksum

This search option works like the MD5-Checksum mechanism, but uses the SHA256 algorithm instead of MD5.

While it is very unlikely that the MD5 hash algorithm produces the same hash value for different files, the SHA256 algorithm further reduces the statistical risk of such hash collisions. However, the SHA256 algorithm is significantly slower than MD5.

Compare by Name only

Select this option to find all files with equal file names.

This is not really a strategy to identify true duplicate files, but this compare type may be helpful when you are searching for certain redundancies or undesired copies (e.g. documents which have been copied and modified locally).

There are some additional options to customize the duplicate file search:

Minimum Size in KB

Defines the minimum size for files which are subjected to the duplicates search.

Please note: Using a minimum size will reduce the number of files to compare. This will increase the speed of the search, especially when comparing by checksums.

Ignore NTFS hardlinks

If checked, hardlinks will not be regarded as duplicate files. You can find this setting in the options dialog under "Duplicate File Search" > "Filter".

Please note: NTFS hardlinks do not allocate any space so you will not free up disk space by deleting them. Also, TreeSize uses hardlinks for the Deduplication.

Duplicate filter

This option allows you to restrict the duplicate search to a specific preselection of files. Depending on whether you define an exclude, or include filter, all files that match these filter patterns will be excluded from, or restricted to in the duplicate search.

By using this option, you can prevent listing files of certain directories (e.g. your local system directories) as duplicates. Additionally, this option will reduce the number of files to compare and thus lead to a performance increase.

Context tab: Duplicate Files

Start

This button will start the search. You can see partial search results by selecting one of the tabs while the search is running. TreeSize will trigger an acoustical signal when the search is finished.

Stop

Stops the currently running search.

Duplicate filter

Opens a dialog where you can define filters for the duplicate file search to include/exclude files whose file name, path, or owner match certain patterns.

Please note: Using a highly selective filter for the duplicate search will remarkably increase the performance of the search, since fewer files have to be compared.

Check all

Checks all items in the active result list.

Uncheck all

Unchecks all items in the active result list.

Check if

Checks all items for which the full path matches certain patterns in the currently visible result list.
You can configure the patterns in a new window.

Please note: The check state of other items will not be changed by this function.

Uncheck if

Unchecks all items for which the full path matches certain patterns in the currently visible result list.
You can configure the patterns in a new window.

Please note: The check state of other items will not be changed by this function.

Check all but newest

Check-marks all files of the selected duplicates, except the newest file of each group.

The drop-down menu provides access to the additional button "Check all but oldest", which will check all files of the selected duplicates, except the oldest file of each group.

Remove invalid elements

Through changes on the file system, such as the manual deletion of files via Windows Explorer, it may be possible that previously found duplicate search results have become invalid. This function checks all currently shown elements and removes those that cannot be found on the file system anymore.

Deduplicate

This function will replace duplicate files with NTFS hardlinks.

Please find a detailed description of this function below.

Delete items

Delete all checked search results.

See "Move checked files".

Move items

Move all checked search results to a destination of your choice.

See "Move checked files".

Options

Define the general options that apply to the file search.

See "Options".

Exclude filter

Shows the list of the global exclude filters, which can also used for the duplicate file search.

See "Exclude Filter".

Please note: In case you want to exclude certain files or directories for the duplicate file search only, we recommend adding them to the "Duplicate filter".

Deduplicate:

Use this button to replace all but one checked duplicate files by NTFS hardlinks to one file. This will reduce the disk space blocked by your duplicate files (See: NTFS hardlinks). However, this will not influence the disk space shown in the "properties" dialog of the Windows Explorer (See: Deduplication FAQ). If you check only one file of a group, this file is replaced by a link to the "newest" (latest last change date) unchecked file of this group.

Please note: You cannot use hardlinks to replace files located on different hard drives.

In the configuration window you can select a log file to log the performed replacements to. You can also define how TreeSize will handle files located on different hard disks. You can either replace files located on the same hard disk with hardlinks separately or simply select a reference drive and replace all files located on other hard disks with symbolic links.

The context menu of the duplicate files list offers a feature named "Replace duplicates by hardlinks". This function works just like the "Deduplicate" function, but will handle all selected files instead of checked files.

Important: Please note that TreeSize does not offer the functionality to "undo" a deduplication!
All hardlinks pointing to the same file share the same "Security Description" (access permissions). Deduplication will apply a unified set of permissions to the one physical remaining file. Undoing a deduplication manually is very difficult.


Custom search

Navigation: Using the TreeSize File Search >

Custom search

This search type allows you to configure your own search operation using a large variety of search criteria.

The search can be configured on the following tabs:

·Filter Patterns (search for file name, owner or file content)

·Date (search for file dates)

·Size / Attributes (search for file sizes and attributes)

·Other Filters (search with other filters)

Please note: The tabs of the custom search that have filters set (= influence the search result) are marked by a green checkbox shown left of the tab's caption.

Like in all searches, you can move all checked files in the result list to a position in the file system that you specified via the Move Items function.


Search for file name, owner, or file content

Filter Patterns - Search for file name, owner, or file content

Navigation: Using the TreeSize File Search > Custom search >

Filter Patterns - Search for file name, owner, or file content

This tab enables you to define include or exclude patterns for files or folders which should be found by the custom search.

How to define a filter

To define a new filter, please follow these steps:

1.Click the "+" button in the "Add" column. A entry will be created in the filters list for the new filter.

2.Decide whether this filter shall operate as an exclude or include filter using the "Action" selector of the newly created entry. If, for examle, an exclude filter for the pattern "*.exe" is set, TreeSize will not show any files with the extension ".exe". An include filter, on the other hand, will make TreeSize show only items that match this pattern: an include filter of "*.exe" would result in showing only files that have the extension ".exe".

3.Define the actual pattern. You can either use simple wildcard pattern such as "*.exe", regular expression patterns such as ".+\.exe$" or patterns that match the whole name like "notepad.exe". Please make sure that you select the pattern type you want to use in the "Type" column.

4.The "Match Against" column is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against the file or folder names, (full) paths, owners, name the parent folder, name of any parent folder, or the file . You can use the owner filter, for example, to include or exclude certain file owners from the TreeSize search results. With the full paths or folder name filter you can include or exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). File or folder name should be used when you intent to include or exclude certain file extensions (e.g. "*.tmp"), like described in step 2).
Please note: Matching against "file content" can only be applied on plain text files.

Wildcards allowed in Wildcard patterns:

* | Replaces none or arbitrarily many alphanumeric characters.
? | Replaces exactly one alphanumeric character.

Not only names of files and folders are allowed, the patterns may also contain parts of directories. Multiple patterns can be used by separating them using semicolons.To force the exact match (instead of a substring match) of a pattern, please select "whole name" in the Type column for this pattern. Regular expressions can also be used as patterns by selecting "RegEx" in the Type column.

The following table shows possible patterns:

Pattern

Match Against

Type

Result

*.doc

File or Folder Name

Wildcard

Searches for all files with the extension "doc".

*\Windows\System32\*.exe

Full Path

Wildcard

Searches for all applications in the path "Windows\System32".

"New Text Document.txt"

File or Folder Name

Whole Name

Searches for all files named "New Text Document.txt".

[A-Za-z]:\\([^\\]+\\){2,4}[^\\]+$

Full Path

RegEx

Searches for all files on drives with a directory depth from at least 2 and at most 4.

admin*

Owner

Wildcard

Searches for all files with a file owner starting with "admin..." (e.g. "Administrator" or "Administrators")

Please note: To search for directories, the option "Include Folders" on the "Size / Attribute" tab must be checked.


Search for file content

Filter Patterns - Search for file content

Navigation: Using the TreeSize File Search > Custom search > Search for file name, owner, or file content >

Filter Patterns - Search for file content

In addition to file name, fullpath, or owner, you can also search for files that have a specific content. The TreeSize File Search can analyze the textual content of a file and look for a given set of search terms. If TreeSize finds this text inside of a file, the file is returned by the custom search. This is possible for non-plain text file formats as well, such as PDF, Microsoft Excel or Microsoft Word.

To get started, create a new include filter as described here and select "Match Against" > "File Content" or "File Content (Case Insensitive). TreeSize will match the content of all file candidates with the text that is defined under "Pattern" and retrieve all files that contain this text.

Plain text and IFilter

TreeSize is able to search plain text files very quickly, by traversing them directly on file system level and matching their content to the given search term. All commonly used file encodings, such as ASCII, Unicode, or UTF-8 are supported.

For more complex file types, such as Microsoft Word, Excel or PowerPoint, TreeSize uses the IFilter interface, which is provided by the operating system. Any application can register their own filter handler for a specific file type. Some handlers are already shipped alongside with Windows. An example for such a filter handler is the one that handles document types and allows to read the content of files that are saved in the .docx format.

Other file types, such as PDF, can be read by filter handlers that are installed by PDF reader applications. They are registered during the installation of the PDF reader application and available for TreeSize automatically.

Case sensitivity

If you want to perform an exact search for a specific term, including the use of capital and small letters, select the match target "File Content".

If, however, you want to ignore case sensitivity during the search, you can select "File Content (Case Insensitive)". With that option, TreeSize will analyze the file content while disregarding differences in capital or smaller case letters. In order to do so, TreeSize will use the code page associated with the currently specified locale.


Search for file dates

Date - Search for file dates

Navigation: Using the TreeSize File Search > Custom search >

Date - Search for file dates

On this tab you can customize a search for files and folders by looking for their last change, last access, or creation date timestamps. The searched time period can be determined by defining an interval between two dates (between X and Y) or by defining a duration relative to the current date (Since X days).

Changed / Not Changed | Search for all files/folders (not) changed within a certain period of time.
Accessed / Not Accessed | Search for all files/folders (not) accessed within a certain period of time.
Created / Not Created | Search for all files/folders (not) created within a certain period of time.
Between X and Y | Define start and end date of the interval you want to limit your search to.
Since X days | Define a duration (measured in days) counting back from today.

Defining a time period can be done by:

- entering a start date and an end date: the filters will find only files/folders with a matching date within these boundaries.

- entering only a start date: the filters will only find files/folders with a matching date past the selected date.

- entering only an end date: the filters will only find files/folders with a matching date before the selected date.

- defining how many days must have passed since the file/folder was (not) changed / (not) accessed / (not) created.

Time picker:

Searching for a specific file date can be customized even further by enabling the option "Show time picker in custom search". This allows to specify a time values in addition to the dates when searching for files within a given time frame.


Search for file sizes and attributes

Size / Attributes - Search for file sizes and attributes

Navigation: Using the TreeSize File Search > Custom search >

Size / Attributes - Search for file sizes and attributes

This tab enables you to customize a search for files or folders of a certain size and/or with certain file attributes.

Minimum Size | Sets the minimum file size of wanted files. The associated combo-box determines the size unit of the numerical specification.
Maximum Size | Sets the maximum file size of wanted files. The associated combo-box determines the size unit of the numerical specification.

Attributes

Include Files

Decide here if you want to search for files...

Include Folders

... or for folders/directories.

Please note: You can activate both options to search for files and folders. At least one of these options has to be activated.

You can also toggle searches for the following file attributes:

Readonly | Looks for the "read only" attribute in files/folders.
Hidden | Looks for the "hidden" attribute in files/folders.
System | Looks for the "system" attribute in files/folders.
Archive | Looks for the "archive" attribute in files/folders.
Compressed | Looks for the "compressed" attribute in files/folders.
Sparse | Looks for the "sparse" attribute in files/folders.
Encrypted | Looks for the "encrypted" attribute in files/folders.
Offline | Looks for the "offline" attribute in files/folders.
Temporary | Looks for the "temporary" attribute in files/folders.
Alternate Data Streams | Lists only files/folders that have (do not have) NTFS Alternate Data Streams included.
Reparse / Mount Points | Lists only files/folders that are (not) flagged as reparse points or mount points.


Search with other filters

Other Filters - Search with other filters

Navigation: Using the TreeSize File Search > Custom search >

Other Filters - Search with other filters

On this tab you can configure several search filters.

Search subfolders

TreeSize will search not only the current folder but also all sub-folders.

Please note: This option is activated by default.

Full Path longer than X characters

Sets the minimum size a file's path has to have to be included in the search.

Ignore NTFS hardlinks

If checked, no NTFS hardlinks will be listed in the search results.

Minimum Number of hardlinks

Use this option to find files with a minimum number of NTFS hardlinks.


Move checked files

Navigation: Using the TreeSize File Search >

Move checked files

This function enables you to move all checked files and folders in the search result lists to a destination of your choice, archive them in a ZIP file, delete them, or process the files. This function is accessible at "Home > Move items".

Some additional options enable you to configure the file system operations to suit your needs.

In this section all available operations and options are listed and described.

Move Operations:

Move checked items to Recycle Bin

Moves all checked files directly to the Recycle Bin. To delete these files completely, you have to empty the Recycle Bin.

Delete checked items from disk

Deletes all checked files (a security prompt has to be confirmed).

Move checked items to ZIP file

Moves checked files to a ZIP file you specify in the edit field bellow. ZIP files containing Unicode paths can only be unzipped properly by Unicode-compatible ZIP tools like WinRAR, WinZip, or 7-Zip (see: "Unicode Zip files").

Move checked items to path or burn to disc

Moves all checked files to the path you specify in the edit field bellow or burns them to an optical medium. The original directory structure can be preserved in the destination path. The security attributes can be copied as well. If this option is not selected, the moved files will inherit the security attributes from the parent elements. You can choose to leave shortcuts or links at the original position (read more below).

Copy checked items to path or burn to disc

Copies all checked files to the path you specify in the edit field bellow or burns them to an optical medium. The original directory structure can be preserved in the destination path. The security attributes can be copied as well. If this option is not selected, the copied files will inherit the security attributes from the parent elements.

Pass items to executable as parameter

An executable file will be called for every checked file and the full path of the file will be passed as parameter on the command line. The executable file may also be a batch, a PowerShell script or VBScript file (or something similar). The Windows Scripting FileSystemObject offers powerful and easy-to-use capabilities for file system and path operations. Please find an eaxmaple for the use of a PowerShell Script below.

Move Options:

Keep/Rename/Replace existing files

Configure how TreeSize will handle name collisions in the move destination, in case a file with the same name already exists. You can keep the existing files, replace them by the new one, or rename the existing files.

Please note: Only available for "Zip" and "Move to path" operation. Not supported when burning to an optical medium.

Delete empty directories after moving

Deletes all folders that have been emptied due to this move operation.

Preserve directory structure

If this option is activated, the file system structure will be kept at the destination. If this option is unchecked, all files will be moved into one folder.

Please note: Only available for "Zip", "Move", and "Copy" operation.

Include directory with drive letter to avoid name collisions

Indicates if a directory named like the source drive should be included in the destination path. Activate this option to avoid name collisions when moving files form several drives.

Please note: Only available for "Zip" operation.

Leave out directories up to level x

Use this option to configure the level of parent directories to preserve. The first x parent directories will not be included in the destination path.

For example, when moving a file "C:\Users\Smith\My Document.doc" to destination "D:\Obsolete Files" you will get the following results:
x = 0 > "D:\Obsolete Files\C\Users\Smith\My Document.doc"
x = 1 > "D:\Obsolete Files\Users\Smith\My Document.doc"
x = 2 > "D:\Obsolete Files\Smith\My Document.doc"

Please note: Only available for "Move" and "Copy" operation.

Preserve permissions of the original items

If this option is activated, the permissions of the original file will be used for the file in the new location.

Please note: Only available for "Move" and "Copy" operation. Not supported when burning to an optical medium.

Leave shortcut/link at original location pointing to new location

If this option is activated, a shortcut or link will be created at the original location pointing to the location the file has been moved to. If you choose to leave a link and the files are on the same partition, an NTFS hardlink will be created. If the creation of a hardlink is not possible, a symbolic link is used (Windows Vista and later). If a symbolic link cannot be created, a Windows shortcut will be used as a fallback.

Please note: Only available for "Move" operation.

Logging:

Number of checked items

Displays the total number of checked objects.

Total size of checked items

Displays the total size of all checked files.

Log performed operations to:

Produces a log file with a name of your choice under the path of your choice. Environment variables like %DATE% or %TIME% can be used in the file name.

Create Undo script

Creates a batch file which can be run after the operation was finished to undo the changes applied during this operation.

Please note: Only available for "Move" and "Copy" operation. Not supported when burning to an optical medium.

PowerShell Scripts using the example of SharePoint

We would like to show you in a practical example the use of a PowerShell script with the TreeSize File Search. The task is to prepare thousands of documents for uploading them to a SharePoint server. The problem is that certain characters are not allowed in filenames on SharePoint, that are valid in the normal file system and that are commonly used. Using a regular expression, which you can find in the chapter Regular Expressions, it is easy to find all files that violate the SharePoint naming rules. When the search is finished, please choose in the dialog to move the checked files to pass them to an executable. As executable please choose this PowerShell script, which you have previously save e.g. as "SharePointRename.ps1":

Param([string]$filepath="")

[char[]]$illegal = "~", "#", "%", "&", "*", "{", "}", "\", ":", "<", ">", "?", "/", "|"

$replacement = "-"

$filepathNew = [io.path]::GetFileName($filepath)

foreach($char in $illegal){$filepathNew = $filepathNew.Replace($char, $replacement)}

Rename-Item $filepath $filepathNew

The script can be easily adapted or extended for further use cases.

Logging

Tip: Logging your move, archive, or delete operations provides an clarity and improves security for your system maintenance and is highly recommended.

The log produced by TreeSize shows all the necessary details to trace a maintenance act. The file will be saved in plain text format. A typical log file looks like this :

Starting file operation at 28.08.13 16:46.

Moving the following objects to "C:\Obsolete":

"D:\Data\BGInfo.bmp" => "C:\Obsolete\D\Data\BGInfo.bmp"

"D:\Data\readme.txt" => "C:\Obsolete\D\Data\readme.txt"

"D:\Data\Help\article.chm" => "C:\Obsolete\D\Data\Help\article.chm"

Finished file operation at 28.08.13 16:46.

Affected objects: 3 | Failed objects: 0 | Invalid objects: 0

Freed Space: 114170 Bytes (111 KB)


Unicode Zip files

Navigation: Using the TreeSize File Search > Move checked files >

Unicode Zip files

TreeSize is able to zip files with file names including characters which are not part of your activated code page (Unicode file names). To restore this Unicode-decoded Zip files you will need an Zip tool able to handle Unicode encoding.

Here is a list of tools we have tested for Unicode compatibility:

· WinRAR (V3.8 or higher)

· WinZip (V11.2 or higher)

· 7-Zip (V4.6 or higher)

· PeaZip (V5.1 or higher)

· BitZipper (V2013.13.4.16 or higher)

· IZArc (V4.1.8.2988 or higher)

·Windows integrated Zip tool (Windows 8 / Server 2012 or later)

Please note that the integrated Zip tools of Windows XP, Windows Vista, Windows 7, Windows Server 2003, and Windows Server 2008 are NOT Unicode compatible.


Options Dialog

Navigation: Using the TreeSize File Search >

Options Dialog

Using the Options dialog you can adjust various settings which affect the appearance, the search behavior, the export and the start of the TreeSize File Search.

These are the available options pages:

General

Search Engine

General settings influencing the search behaviour of TreeSize File Search.

Exclude Filter

Define filtering options for TreeSize File Search.

View

General settings influencing the appearance for the search results of TreeSize File Search.

Export

Configure options for export generation of TreeSize File Search.

Email

Customize email settings for TreeSize File Search.

Start

Defining start parameters for TreeSize File Search.

Duplicate Search

Filter

Configure specific settings just for the Duplicates Search.


General Options

Navigation: Using the TreeSize File Search > Options Dialog >

General Options

·Search Engine

·Exclude Filter

·View

·Export

·Email

·Start


Search Engine

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

Search Engine

Follow mount points and external symbolic links to directories

You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice.

Select whether a comparison against file sizes will regard the normal file size or the size on disk.

You can decide if the file size or the allocated size (size on disk) will be used when for example minimum or maximum values are set for file size search criteria.


Exclude Filter

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

Exclude Filter

Global Exclude Filter

The file search was designed to identify obsolete or very large files in order to clean up a system. Certain files like system files, however, should not be deleted because they are needed by the operating system or other software. Files known to be important for a system can be added to the exclude list here and will then not be shown in the results any more.

This option allows you to define exclude patterns which will be used when searching for files . Each file/ folder will be compared against the patterns and,if matching, not listed in the result list.

An exclude pattern can be a complete folder or share as well as an regular expression pattern.

Additionally, you can exclude files that have been changed in the past hours. If a file has been changed recently, there is a high probability that the file is not truly obsolete.

Please note: This option will NOT be applied to the duplicate file search and to the custom search by default. However, you can enable it by activating the corresponding option ("Use global exclude filter") for these searches.

Apply global search filter to the following search types

Via these check boxes you can quickly select for which of the predefined search type the currently defined search options are valid. By default the custom search type is excluded here so the user each time decides in the search mask what criteria shall apply for the custom search.

How to define an exclude filter

To define a new filter, please follow these steps:

1.Click the "Add pattern" button. An entry will be created in the filters list for the new filter.

2.An exclude filter for the pattern "*.exe" for example will make TreeSize to not show any files with the extension ".exe".

3.Define the actual pattern. You can either use simple Wildcard pattern such as "*.exe", Regular Expression patterns such as ".+\.exe$", or patterns that match full names like "notepad.exe". Please make sure that you select the matching pattern type on the "Type" selector on the right side of the window.

4.The "Match Against" selector is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against file names, (full) paths, owners, folder names, or object names. You can use the "owner" filter to, for example, include or exclude certain file owners from the TreeSize scan results. With the "full paths" or "folder name" filter you can exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). The "file name" filter should be used when you intend to exclude certain file extensions (e.g. "*.tmp"), like described in step 2.

Hint: New files or folders can also be easily added to this list using the right-click menu of the result lists ("Add to exclude list").

Remove pattern

Deletes the currently selected pattern row.

Preview the results

The "Preview" button enables you to view the results of a defined search pattern. The preview will use the currently selected pattern to show an Explorer-like view highlighting excluded items.

Additional Filter Settings

Exclude files and folders created in the past ... hours

If this option is set, only files and folders which have been created earlier than the specified amount of hours will be scanned. This can be useful to calculate the size of backups or to identify "heavy growing" folders. A value of "0" means that all files will be included (default).


View

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

View

File and Folder Options

Determine icons based on file extension

If this option is set , you will see the default icon for a file of this extension type in the search result list.

Show compress files/folder in blue

If this option is set, NTFS compressed files/folder will appear in blue color in the search result list.

Check results by default

If this boxed is checked, all results in the list will be automatically checked so processing additional steps (like Export, Move items,etc) can be performed with one click.

Show time picker in custom search

When searching for files with a specific date, you might want to further customize the search and look for files that were modified/accessed/created at a specific time. Enable this option to show time pickers, in addition to the date selection, in the custom search.

Date/Time Format

Use the following date/time format, e.g. for "Last Access":

The date/time format that is used by TreeSize in related columns like "Last Access", "Last Change", or "Creation Date" can be defined here. Available formats are date, date+time (without seconds), and date+time (with seconds). Please note that in some rare cases TreeSize may display "wrong" date/time format. For more information on this issue, please refer to this article from our Knowledge Base.

Username Format

Format for the username appearance if displayed in search result list or export files.

Either just the username is displayed or user name including the related Active Directory domain where user belongs to.


Export

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

Export

Header information

You can specify here what additional header information shall be written to the export file.

Add summary information

If this option is set , you will see processed path(s), date/time of the search,total number of files found and other information here.

Add column headers

If this option is set, a line containing the column names will be written before the first search result line.


Email

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

Email

Configure email settings for TreeSize File Search.

Email content

To

The email address the report will be sent to.

Subject

The subject of the email. Supports environment variables such as %DATE%, %TIME% or %USERNAME%.

Format

Choose an email format here.

Transport

Use MAPI client

If this setting is checked, TreeSize will use the local MAPI client (for example Microsoft Outlook) for sending mails.

Use SMTP server

TreeSize will use the specified SMTP server to send email reports. Please make sure to test the connection settings before applying the current options.
Please note that you will have to enter valid SMTP settings in order to make use of email reports in scheduled scan or search tasks or all other kinds of automated starts (e.g. batch programs or command line calls) (Professional Edition only).

From

The email address that will be shown as the sender of the report.

Server

The name (DNS) or IP address of the machine hosting the SMTP service through which messages are to be sent.

Port

The port on which the SMTP service specified in the "Server" field is listening for connections.

Use secure (SSL) connection

Indicates that Secure Sockets Layer (SSL) should be used when sending messages via SMTP.

This server requires authentication

Select this option if SMTP service specified by the Server field requires authentication. Passwords will be encrypted before storing them in the TreeSize settings file.

Test Connection

Test the SMTP connection settings. This will send a test email to the email address specified in the "To" field.

Exported lists

Active list / all lists

Select which search result lists shall be included in the email : only the currently active search types or all search types.

Exported elements

Checked items / all items in the list

Select here, if you want to have just the checked/marked result list entries or all entries from the result list included in the email report.


Start

Navigation: Using the TreeSize File Search > Options Dialog > General Options >

Start

Modify startup settings for TreeSize File Search

Start As Administrator

Always start this application as administrator

When activated, TreeSize will always start with administrator privileges. This will trigger the UAC (User Access Control) prompt, if UAC is enabled.

Action at Application Start

Load last search settings.

Open file search with the last used settings. Does not start a search automatically.

Run a search using the last load search settings.

Open file search with the last used settings and automatically start a search with these settings.

Run a search using the the following saved search settings.

Start File Search and directly run a search based on previously saved search settings. The XML file containing these settings must be specified here, either by typing the path into the edit field or via browsing in Windows Explorer after clicking the folder button.

Explorer Context Menu

Show TreeSize File Search in Windows Explorer context menu of current user

Select whether the TreeSize File Search should appear in the context menu of folders in the Windows Explorer.


Duplicate File Search

Navigation: Using the TreeSize File Search > Options Dialog >

Duplicate File Search

·Filter


Filter

Navigation: Using the TreeSize File Search > Options Dialog > Duplicate File Search >

Filter

Define filtering options explicitly for TreeSize Duplicate File Search here.

Ignore NTFS hardlinks

If checked, hardlinks will not be regarded as duplicate files.

Please note: NTFS hardlinks do not allocate any space so you will not free up disk space by deleting them. Also, TreeSize uses hardlinks for the Deduplication.

Define a filter (exclude or include)

To define a new filter, please follow these steps:

1.Click the "Add pattern" button. An entry will be created in the filters list for the new filter.

2.Decide whether this filter shall operate as an exclude or include filter using the "Action" selector of the newly created entry. An exclude filter for the pattern "*.exe" for example will make TreeSize to not show any files with the extension ".exe". This will also affect the calculated values such as the "Size" in the Directory Tree as well as any other view. An include filter, on the other hand, will make TreeSize show only items that match this pattern. To return to the previous example, an include filter of "*.exe" would result in a Directory Tree showing only data related to files that have the extension ".exe".

3.Define the actual pattern. You can either use simple Wildcard pattern such as "*.exe", Regular Expression patterns such as ".+\.exe$", or patterns that match full names like "notepad.exe". Please make sure that you select the matching pattern type on the "Type" selector on the right side of the window.

4.The "Match Against" selector is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against file names, (full) paths, owners, folder names, or object names. You can use the "owner" filter to, for example, include or exclude certain file owners from the TreeSize scan results. With the "full paths" or "folder name" filter you can include or exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). The "file name" filter should be used when you intend to include or exclude certain file extensions (e.g. "*.tmp"), like described in step 2.

Preview the results

The "Preview" button enables you to view the results of a defined search pattern. The preview will use the currently selected pattern to show an Explorer-like view highlighting excluded and included items in appropriate colors (red and green). The following screenshot shows the results of an exclude filter for full paths that match the pattern "C:\temp".


Using Scheduled TreeSize Tasks

Navigation: »No topics above this level«

Using Scheduled TreeSize Tasks

This section is related to the Professional Edition of TreeSize only, since the Personal Edition does not offer scheduling or command line options!

Keeping your storage in a "clean" state is an ongoing task and requires a consistent overview of the usage. In a real world scenario it is important to find space hogs that use up large portions of the disk as soon as possible. Therefore you might want to use TreeSize to scan your storages regularly after a certain period of usage. Rather than having to do this manually every time, TreeSize offers a functionality to create tasks that automatically run according to a predefined schedule. This allows you to perform scans, send reports or perform any customized action that you can define freely at any time of the day. Defining a new task can be done by using the Schedule Dialog.

The dialog allows you to choose one ore multiple paths to scan and allows a variety of ways to export the results of the scan.

All settings that are defined here will be applied to the scan task automatically. TreeSize will assign the corresponding Command Line Options to the new task and reapply them to the user interface when you want to edit an existing task at a later point in time.


Schedule Dialog

Navigation: Using Scheduled TreeSize Tasks >

Schedule Dialog

It is possible to schedule tasks using the "scheduled tasks" folder of Windows. This dialog will help you create a scheduled TreeSize Professional task with the corresponding command line options.

Please note: This feature is only available in the Professional Edition.

Open the dialog by clicking on "Scan > Schedule this scan" from within the TreeSize Professional main application or on "Tools > Schedule current search" from the TreeSize Professional File Search.
The TreeSize tasks can be configured, viewed, and edited using the following tabs:

Current Task

Options

Contains general options, such as the scan path, sorting, or filter that you want to apply to your scan results.

Export

Allows to define which in which formats you want to export your reports in this task.

Move Operation

(TreeSize File Search only)

Search results can be moved automatically by this task. This option can be enabled and configured here.

Advanced

Provides advanced customization possibilities, such as a custom title for the export, or a different list separator.

Command Line

A preview of the command line parameters that will be used for this task. In this page, you can test the current settings, copy the parameters to the clipboard, or save them to a batch file.

Schedule

Here you can set up a date and time when the task should be executed.

All Tasks

List of Tasks

Shows a list of all TreeSize tasks that were created in the past.

Use the "Save Task" button to save your configurations in a new Windows scheduled task.


Options Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Options Tab

You can specify further options for the scan and the exported results here.

Path(s) to scan

Enter the path or multiple paths to be scanned here.
Please note: Multiple paths have to be quoted using double quotes (") and have to be separated by a blank.

Options file

Use this option to apply previously exported user settings to the current operation. User settings of the main application can be exported using "File > Options > Export"; settings of the TreeSize File Search can be exported through "File > Save search options".

Export Options

Sort By

Choose a view type to sort the export reports by. Select "Last used in user interface" to use the view type configured when TreeSize was used the last time.

Size Unit

Specify the unit size values will be displayed in. Select "Last used in user interface" to use the size unit configured when TreeSize was used the last time.

Include units in export

If this option is check-marked, units of measurement like "KB", "MB", or "%" will be included in the exported data. Uncheck this option if you would like plain number values to be exported. Without units, the thousands separators will also be omitted, thus simplifying further processing of the exported data.

Expand

Specify how many levels in the directory tree will be expanded after scanning. If you select "Full", all folders will be expanded. Instead of a directory level you can also indicate a minimum folder size. In this case, all folders larger than the specified amount will be expanded.

Filter

Exclude following file types

Specify patterns for files and folders to be excluded from a scan.

Include only following file types

Enter a file pattern filter here. Only files matching certain patterns (e.g. *.MP3 or *.DOC) will be included in the scan.

Include only files with archive attribute set

This option will include only files in the scans for which the Windows archive bit was set. This option can be very useful if you want to calculate the size of a backup based on the Windows archive bit for a certain directory.


Export Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Export Tab

Here you can select which of the export options supported by TreeSize Professional will be used for the scan.

Directory Tree Export

Excel file

Exports the collected data to Excel and saves it under the selected file name.

Automatically generated sheet name (including date and time)

The new Excel sheet will be automatically named in an informative way, including date and time information in the sheet name.

Sheet name

Enter a sheet name here.

Please note: If the sheet name is not unique in the selected Excel file and you check-marked "Append to existing file", the new export will be appended to the existing sheet. If "Append to existing file" is unchecked, a suffix will be added to the sheet name to make it unique."

HTML file

Saves the collected data to a HTML file which can be viewed with any HTML browser.

Text file

Saves the results to a text or CSV file after the scan or search operation is finished.

XML file

Saves the results to a XML file. The file may be loaded at a later date and can be used for comparisons (See: "Compare with saved scan").

PDF file

Saves the results to a PDF file after the scan or search operation is finished.

Print report

Prints a report for the scanned directory branch on the default printer.
Choose "First page only" to print only the first page of a report or "All pages" to print all pages.

Send email

Sends an email with the chosen exports to the recipients specified here.
Note: Multiple email addresses have to be separated by a semicolon (;).

Attach generated files to email

Activate this option to attach all generated report files to this email.

Right Pane Export

Top 100 files

This option allows you to save the "Top 100 Files" of the scanned file system branch to an Excel, CSV, or text file.

Statistics on file types

This option allows you to save the "Extensions" statistic of the scanned file system branch to an Excel, CSV, or text file.

Statistics on user names

This option allows you to save the "Users" statistic of the scanned file system branch to an Excel, CSV, or text file.

Chart export

Saves the Pie-, Bar-, Age of Files-, History-, Extensions-, Users-, or Tree Map chart of the scanned directory to a bitmap, GIF, JPEG, or PNG file. The file type depends on the extension of the specified file name.

Add date and time to filenames

This option will add the current date and time to all exported file names. This is useful if you want to run scans regularly every night or every weekend.

Append to existing file

Activate this option to append the selected exports to existing files.


Move Operation Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Move Operation Tab

Here you can configure move operations to be performed automatically after the TreeSize File Search has finished.

Move search results

Configure move operations to be performed with the results of a TreeSize File Search. The options are comparable to the options of the "Move Checked Files" operation.

Please note: This option will perform changes on your file system. These changes cannot be reverted automatically. Please use with caution!


Advanced Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Advanced Tab

Here you can specify advanced options for the scan and the exported results.

Advanced Settings

Start without user interface

No window will be shown and the application will not appear in the task bar. Useful for background scans.

Title for this report

Can be used to change the title of the printed or exported report. The use of environment variables is allowed.

Compare with a saved report

Compares the scanned path with a saved XML report. The exports you configured on the "Export" tab will show the differences of the current file system compared with the saved XML report.

Empty recycle bin

If this option is active, TreeSize will automatically empty the recycle bin of the current user before any other operation is executed.

Group scans in a Virtual Root Folder

Using this option will group all scanned directories under a "virtual root folder", corresponding to the option "View > Group scans" from the main user interface. See topic Directory Tree for more information.

List separator

Configure the separator to be used for text and CSV exports here.
Select "Default" to use the most suitable separator for the selected export type (tabulator for text files, list separator from the systems regional settings for CSV files).


Command Line Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Command Line Tab

In this tab you can view the full command line of the currently configured task.

Use the context menu or the corresponding buttons below the command line to save the TreeSize task to a configurable batch file, to run the TreeSize task now, or to copy the task to the clipboard.


Schedule Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Schedule Tab

Here you can specify when and in which interval the task should be executed.

Schedule Interval

Once

The task will be executed only once, at the specified "Start at" date and time.

Daily

The task will be executed every day, or all 2,3,4... days, starting at the date and time specified under "Start at".

Weekly

The task will be executed weekly (on a specified week day), starting at the date and time specified under "Start at".

Monthly

The task will be executed monthly (on all specified days), starting at the date and time specified under "Start at".


All Tasks Tab

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

All Tasks Tab

Shows a list of all scheduled Windows tasks that trigger an execution of TreeSize.

This list shows detailed information about each task:

Name

The name that was given to the task when it was created. This can help you identify unique tasks, for example a specific search, or a monthly scan.

Command line options

Shows the command line parameters that will be used for this task.

Schedule options

The time parameters that were defined for this task. This determines when and how often it will be executed.

Run as...

The account information that is used for this task. Please note: If no explicit options file is used for this task, TreeSize will use the settings of this user.

Last Status

The last status of this task. This column shows if the last execution of a task was successful, if it failed, or if it has never been executed yet.

By right clicking one of the tasks, you can open the context menu that allows to activate or deactivate an existing task, edit it in Windows directly, or perform other operations. Some of these can also be quickly accessed via the buttons at the bottom of the page:

Delete Task

Deletes the currently selected task.

Edit Task

Allows you to load the currently selected task into the schedule dialog, so that it can be modified.

Event Log

Provides a direct shortcut to the "Application" section of the Windows Event Log. Any error that occurs during the execution of a scheduled task will be logged here.


Command Line Options

Navigation: Using Scheduled TreeSize Tasks >

Command Line Options

The Professional Edition of TreeSize accepts command line options enabling you to run scheduled scans or to have the results of a scan on your monitor the next morning. The Schedule dialog will help you compile a command line with the options below. Please note: These option are not available in the Personal Edition.

Treesize.exe [/OPTION] SCANPATH

/? or /HELP

Shows this help page.

/AGEOFFILES

Saves the graph on the "Age of Files" tab of the scanned directory to a bitmap, GIF, PNG, JPEG, Text, or CSV file. The file type depends on the extension of the specified file name. The following example creates a JPEG image file of the"Age of Files" graph for your local drive C:

Treesize /AGEOFFILES "C:\Documents\c_file_ages.jpg" "C:\"

/APPENDTOFILES

If this option is used, TreeSize will append its output to existing files when doing an export, e.g. when using /TEXT.

Please note: This parameter will not work with exported images, XML and PDF files. Those files will be overwritten, except when using the switch /DATE.

/ARCHIVEBITFILESONLY

This option will include only files for which the archive bit set in the scans. This option can be very useful if you want to calculate the size of a backup. In this case, you can create a shortcut on your desktop or in your start menu that will automatically start calculating the size of your backup. Example:

Treesize /ARCHIVEBITFILESONLY "\\Server\Backup\This"

/ATTACH

If specified, all exported files will be attached to the email. If not specified, files with an explicitly given path are not attached. This is useful in case you XML or Excel files are getting quite large and fill up you email account.

This example will export to an Excel file but not attach it to the mail:

TreeSize.exe /EMAIL "treesize@example.com" /EXCEL "C:\Temp\test.xlsx" "F:\"

These examples will attach the Excel file to the email:

TreeSize.exe /EMAIL "treesize@example.com" /EXCEL "F:\"

TreeSize.exe /EMAIL "treesize@example.com" /ATTACH /EXCEL "C:\Temp\test.xlsx" "F:\"

/BARCHART <filename>

Saves the bar chart of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. This example creates a PNG image file of the bar chart for your local drive C:

Treesize /BARCHART "C:\Documents\c.png" "C:\"

/COMPARE <filename|path>

Compares the scanned path with a saved XML report. The following example scans drive C: and compares the result with a saved XML report for this drive:

Treesize /COMPARE "C:\Reports\TreeSize\c.xml" "C:\"

Instead of an XML file, you can also use a path with this command line parameter. The given path will be compared with the current scan result. The following example scans drive C:\ and additionally uses the path D:\Backup_of_C to perform a comparison between the two:

Treesize /COMPARE "D:\Backup_of_C" "C:\"

Alternatively, you can compare two already existing XML reports e.g. "c1.xml" and "c2.xml" by using this command :

Treesize /OPEN "C:\Reports\TreeSize\c1.xml" /COMPARE "C:\Reports\TreeSize\c2.xml"

The /OPEN command prepares the comparison of the two files by expanding the first file ("c1.xml") into a scan file. The second file ("c2.xml") will be compared to this expanded scan file, just like it would happen, if "c2.xml" was compared to a "real" scan.

/CREATEDPASTDAYSONLY <n>

This option will include only files in the scans, which were created during the number of days entered in the argument. In the following example, this option will only include only files created during the last eight days in the scan:

Treesize /CREATEDPASTDAYSONLY 8

It corresponds to the option "Include only files created in the past X days" in the Options dialog.

/CREATESNAPSHOT <drive>

Creates a snapshot for the drives that are given after this command line paramter. Example:

Treesize /CREATESNAPSHOT "C:\" "D:\"

Creating snapshots may require administrative privileges.

/DATE

This switch will add the current date and time to all export file names in the command line. This is useful if you want to do scans regularly, e.g. every night or every weekend. The following example will scan the network path "\\Host\Share" and save the result to a file like "C:\Scans\name_2013-08-14_17-18-24.xls":

Treesize /DATE /EXCEL "C:\Scans\name.xls" "\\Host\Share"

/EMAIL <recipient>

Sends the collected data to the given email address. This parameter can be used only once on the command line, and only one email with all results will be sent. Multiple recipients can be separated with semicolons (;) or commas. To send emails via the command line, you need to specify valid SMTP settings on the corresponding page in the TreeSize options dialog. Example:

Treesize /EMAIL sysadmin@company.com "\\SERVER\C$"

If no other parameters have been specified, the email will be sent in the format that is set in the options (HTML or plain text). If you would like to define the format independent from the current options, you can use the parameters /TEXT or /HTML right behind the definition of the recipient address(es). Example:

Treesize /EMAIL sysadmin@company.com /TEXT "\\Server\Share"

By combining parameters you can also add attachments to the email. The following example will add an Excel report of the scan as an attachment to the email:

Treesize /EMAIL sysadmin@company.com /EXCEL "\\Server\Share"

/EMPTYRECYCLEBIN

If you use this option, TreeSize will empty the recycle bin before running the current scan. Example:

Treesize /EMPTYRECYCLEBIN "C:\"

/EXCEL <filename>

Exports the collected data in Microsoft Excel format and saves it under the entered file name. Supported formats are the conventional .XLS file format (Excel 97-2003) as well as the .XLSX format (introduced with Excel 2007). The used format depends on the extension of the specified file name. The application will terminate itself after saving. Example:

Treesize /EXCEL "C:\Documents\c.xls" "C:\"

If the file name already exists, the file will be opened and a new worksheet will be added.

Please note: In the TreeSize File Search (/SEARCH) the results of each search type are collected in their own specific worksheet. If the file under the given path already exists, these sheets will be overwritten. To prevent this, you need to use the command line option /APPENDTOFILES.

/EXCLUDE <pattern1;pattern2>

This option enables you to specify patterns for files and folders that should be excluded from a scan. Multiple exclude patterns can be separated using a semicolon (;). If one or more of the patterns contain spaces, the complete pattern string must be set into quotes ("). The following example will ignore files and folders that end with ".tmp" or where the exact name is "system":

Treesize /EXCLUDE "*.tmp;system" "\\Server\Users"

/EXPAND <level|size>

This option lets you specify how many levels in the directory tree will be expanded after scanning. If you don't specify a number after this option, all folders will be expanded. Instead of a directory level you can also indicate an amount in Mega Byte (MB). In this case all folders larger than the given amount will be expanded. The unit "MB" must follow the number without a blank. The following example will scan the folder "H:\User", expand all folders larger than 10 MB and save the result to the Excel file "C:\Results\Allusers.xlsx":

Treesize /EXCEL "C:\Results\Allusers.xlsx" /EXPAND 10MB "H:\User"

/EXPORTDRIVESLIST <filename>

This option enables you to export the contents of the "Drive List" to an Excel, Text, or CSV file. The file type depends on the extension of the specified file name. Example:

Treesize /EXPORTDRIVESLIST "C:\Results\AllDrives.csv"

/EXTENSIONSLIST <filename>

This option enables you to save the statistics on file extensions / file types of the scanned file system branch to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. The following example scans drive C: and creates an Excel file named "D:\TreeSize Reports\C_filetypes.xls" with the statistics of the file types on this drive:

Treesize /EXTENSIONSLIST "D:\TreeSize Reports\C_filetypes.xls" "C:\"

/EXTENSIONSCHART <filename>

Saves the small graph shown on the bottom of the "Extensions" page to an image file (bitmap, GIF, PNG, or JPEG).

/EXTENSIONSPIECHART <filename>

Saves a piechart that shows the distribution of "file extensions" to an image file (bitmap, GIF, PNG, or JPEG).

/FILTER <pattern1;pattern2>

Sets a file filter counting only files with certain extensions, e.g. ".mp3" or ".doc". Multiple patterns may be passed, separated by semicolon (;). The following example will search for MP3 and AVI files in the "Users" directory on the server:

Treesize /EXCEL "C:\Results\UsersMediaFiles.xls" /FILTER "*.mp3;*.avi" "\\Server\Users"

When performing a TreeSize File Search (/SEARCH), you can also use the /FILTER command line switch to specify the patterns of the Custom File Search. To perform a more complex custom file search you should save the search options to a file and pass the resulting XML file to the command line after /SEARCH.

/FOLLOWREPARSEPOINTS

If this switch is added to the command line, TreeSize will follow mount points and external symbolic links when scanning a file system tree.

/GROUPSCANS

Using this command line switch will group all scanned directories under a virtual root folder. Use /GROUPSCANS FALSE if you want to ensure that no virtual root folder is used.

/HISTORYCHART <filename>

Saves the graph on the "History" tab of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. This example creates a JPEG image of the history graph for drive C:

Treesize /HISTORYCHART "C:\Documents\c_history.jpg" "C:\"

/HTML <filename>

Saves the collected data to a HTML file which can be viewed with any HTML browser. If you also have a /PIECHART or /BARCHART parameter in your command line, the image will be included in the HTML file (if you also used /NOHEADERS, the image will not be included). The following example will generate an HTML report for the drive C:, including the pie graph image and saves it to "D:\HTML":

Treesize /HTML "D:\HTML\treesize.html" /PIECHART "D:\HTML\treesize.jpg" "C:\"

If you would like to scan and export multiple drives or folders, we recommend either using one call for each drive or folder or using the command line option presented in the following example:

Treesize /HTML "D:\HTML\drive-c.html" /PIECHART "D:\HTML\drive-c.jpg" "C:\" /HTML "D:\HTML\drive-d.html" /PIECHART "D:\HTML\drive-d.jpg" "D:\"

If you want more than one scan to be part of the HTML file, you should add the command line switch /GROUPSCANS. When exporting to HTML without an included image, you could alternatively us the switch /APPENDTOFILES.Without one of these flags, the HTML file will get overwritten.

/LISTSEPARATOR <separator char>

Enables you to define the separator used when exporting text or CSV files. Text files use the tabulator by default, CSV-files the list separator from the regional settings of the Windows control panel. Please specify a single character or the string "TAB" for tabulator after this switch. Examples:

Treesize /LISTSEPARATOR ; /TEXT "C:\Results\c.txt" "C:\"

Treesize /LISTSEPARATOR TAB /TEXT "C:\Results\c.csv" "C:\"

/MOVETO <path|zip file|"Recycle Bin"|executable>

This option can only be used in combination with the command line option /SEARCH.
It moves the results of a TreeSize file search to another location, ZIP file, the recycle bin, or passes them to an executable file as parameter. To move the files to the recycle bin, specify the name of the recycle bin (as seen in the Windows Explorer) or "Recycle Bin" after the /MOVETO option.
The following command will search on your local drive C: using the latest search options and moves the search results to a ZIP file called "ObsoleteFiles.zip":

Treesize /SEARCH:Start /MOVETO "C:\temp\ObsoleteFiles.zip" "C:\"

This call moves the search results to your system recycle bin instead:

Treesize /SEARCH:Start /MOVETO "Recycle Bin" "C:\"

This example will load saved search options with the file name "SearchOptions.xml" and move all files that were found to the path "E:\Obsolete Files":

Treesize /SEARCH:Start /MOVETO "E:\Obsolete Files" "SearchOptions.xml"

This example uses the same search options, but instead of moving the files it will pass the full file path to your batch file "Archiver.bat". This batch file may e.g. trigger an archiving process for the passed files:

Treesize /SEARCH:Start /NOGUI /MOVETO "Archiver.bat" "SearchOptions.xml"

For ZIP files the /DATE parameter can be used to add the current date and time to the ZIP file name.

See also: Move checked files

/NOGUI

No window will be shown and the application will not appear in the task bar. Useful to execute scans or searches in background, without visual feedback.

Caution: Use this switch only if you have tested the rest of the command line options because error messages cannot be displayed in this mode.
However, errors will be logged in the Windows event log.

/NOHEADERS

Omits the header lines usually written on top of scan or search export files. This makes it easier to receive plain data for postprocessing.

/NOUNITS

Omits the units usually written after size values. This option in combination with /SIZEUNIT 0 will export plain byte values. This makes it easier to receive plain data for postprocessing.

Please note: This command line will only effect exports of the directory tree, generated by using the /TEXT, /EXCEL, /HTML, /EMAIL, or /PRINT(1) options. /EXTENSIONSLIST, /USERSLIST, /EXPORTDRIVESLIST, or /TOPFILESLIST will not be effected.

/OPEN <filename>

Opens a saved XML report on application start. Example:

Treesize /OPEN "C:\Reports\Drive_C.xml"

/OPTIONS <filename>

Use this parameter to apply exported user settings to TreeSize. User settings can be exported at "File > Options > Export". Example:

Treesize /OPTIONS "C:\Temp\User Settings.xml"

Hint: Change as many settings a possible in the user interface before saving the options to reduce the amount of command line parameters you need.

/PDF

Saves the results to a PDF file after the scan or search is finished. The application will terminate itself after saving. The following example will execute a scan of your local drive C: and save the results to a PDF file:

Treesize /PDF "C:\Results\C_scan.pdf" "C:\"

/PIECHART <filename>

Saves the pie chart of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. The following example will scan the drives C: and D: and exports a pie chart for each one in PNG format:

Treesize /PIECHART "C:\Reports\C_pie.png" "C:\" /PIECHART "C:\Reports\D_pie.png" "D:\"

/PRINT

Prints a report for the scanned directory tree using default printer configured in your system settings. The application will be terminated after printing. Example:

Treesize /PRINT "\\SERVER\USERS"

/PRINT1

Prints only the first page of a report for each scanned folder/drive. The application will be terminated after printing. Example:

Treesize /PRINT1 "C:\" "D:\"

/RESTRICTED

Starts TreeSize in a restricted mode in which many features are disabled that are not of interest for "normal" (non-admin) users. Among the disabled features are: Check for Update, Open Software applet of Windows Control Panel, Schedule TreeSize scans, connect network drive, configure Windows System Restore, Run as administrator, exports, and apply NTFS compression. You can supply a path that should be scanned, e.g. the user's home directory, at the command line or using the Startup Paths in a saved configuration file. If you additionally pass the command line option /READONLY, the user won't be able to delete or move files in TreeSize, so it will be usable as reporting tool only.

/SCAN <filename>

Scans all paths that are found in the text file specified after this switch. The text file must contain one path per line. The following example scans all paths that are found in the file "D:\PathsToScan.txt" and writes each scan result to a separate sheet in an Excel File with today's date:

Treesize /EXCEL "D:\Results\%DATE%.xlsx" /SCAN "D:\PathsToScan.txt"

You may also call TreeSize in a "for" loop with one of the paths only, please find an example below.

/SEARCH[:<Start|Internet>]

Opens the File Search window of TreeSize. If ":Start" is added to this command line option, the search is started immediately with the last settings. A previously saved XML file containing search settings may be passed, these settings will then be used to perform the search. Please note that files which are found in this search are automatically checked. The following example performs the search with settings that have previously been saved to the file "SearchSettings.xml" and saves the results to at text file:

Treesize /SEARCH:Start /TEXT "T:\SearchResult.txt" "SearchSettings.xml"

If ":Internet" is added to this command line option, it will start searching for temporary internet files and automatically delete them. The drives activated during the last regular scan will be scanned, a special set of drives and paths can be specified on the command line (separated with blanks). Example:

Treesize /SEARCH:Internet "C:\"

Hint: In general, the last search settings or a former saved set of search settings will be used. However, you can specify the search patterns for the custom search using the /FILTER command line option.

/SHEETNAME <title>

Enables you to specify the name of the sheet that will be added to an Excel file when using the /EXCEL command line switch. Please note that an Excel sheet name must be unique in an Excel file and certain special characters like slashes, backslashes and colons are forbidden. TreeSize will always create a unique sheet name by replacing invalid character with underscores and by adding date and time if necessary.

/SHORTDATEFORMAT <format>

Alters the short date format for this process, which can be configured in the regional options of the Windows Control Panel. Exports of TreeSize will use this format for date values. Example:

Treesize /SHORTDATEFORMAT YYYY-MM-DD /TEXT "D:\export.txt" "E:\"

/SIZEUNIT <n>

This option can be used to specify the unit to be used for displaying size values: N can have the values 0 to 5 which mean: 0 = Bytes, 1 = KB, 2 = MB, 3 = GB, 4 = TB, 5 = Automatic Units. Without this option the last used configuration in TreeSize will be used.

/SORTTYPE <0|1>

Enables you to specify by which value the generated exports will be sorted. Use the value 0 to sort by name and the value 1 to sort by size. The last used sort type in TreeSize will be used by default. Example:

Treesize /SORTTYPE 1 /TEXT "D:\export.txt" "E:\"

/SUBJECT <subject>

This option allows you to customize the subject that will be used for emails that are sent at the end of the scan. Example:

Treesize /EMAIL sysadmin@company.com /SUBJECT "TreeSize Professional Scan Report" "\\Server\Share"

/TEXT <filename>

Saves the results to a text or CSV file after the scan or search is finished. The application will terminate itself after saving. The following example will execute a scan of your local drive C: and save the results to a text file:

Treesize /TEXT "C:\Results\C_scan.txt" "C:\"

This example will save the results of a File Search on your local drive C: with the last search configurations to a CSV file:

Treesize /SEARCH:Start /TEXT "C:\Results\C_search.csv" "C:\"

/TITLE <title>

Can be used to change the scan title in a printed report or exported file. This allows you to supply additional information to the user when using TreeSize in an automated environment. The use of environment variables is allowed. Example:

Treesize /TITLE "This is drive C on Server3" /PRINT "\\Server3\C$"

The title will be applied only to scans which appear after this options on the command line. Multiple /TITLE flags are allowed to apply separate titles to different scans.

/TOPFILESLIST <filename>

This option enables you to save the contents of the Top 100 list to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. Example:

Treesize /TOPFILESLIST "C:\Temp\C_top_files.txt" "C:\"

/TREEMAP <filename>

Saves the treemap of the scanned directory tree as bitmap, GIF, PNG or JPEG file. The file type depends on the extension of the specified file name. Example:

Treesize /TREEMAP "C:\Dokumente\treemap.jpg" "C:\"

/USERSLIST <filename>

This option enables you to save the statistics showing the results grouped by username to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. The following example scans drive C: and creates an Excel file in "C:\Temp" with the statistics of the users on this drive:

Treesize /USERSLIST "C:\temp\C_users.xls" "C:\"

/USERFILTER <username>

With this option only files owned by a certain user will be taken into account when scanning. Provide the name of this user after this switch. Please note that you cannot use multiple user names here, but the wildcards "*" and "?" are supported. Example:

Treesize /USERFILTER miller "\\Server\GroupDrive"

/USERSCHART <filename>

Saves the small graph shown on the bottom of the "Users" page to an image file (bitmap, GIF, PNG, or JPEG).

/USERSPIECHART <filename>

Saves a pie chart that shows the "user statistics" of the current scan to an image file (bitmap, GIF, PNG, or JPEG).

/XML <filename>

Saves the scan results to a XML file that can be loaded for comparisons at a later date. Example:

Treesize /XML "C:\Results\Allusers.xml" "H:\users\"

This option can be combined with the /EXPAND switch to limit the exported directories.
Please note: When loading a limited XML export to TreeSize, you cannot navigate though the complete directory branch, but only the exported directories.

SCANPATH

At the end of the command line, you may pass one or more paths that should be scanned by TreeSize.
Several paths are separated using a blank. Paths containing a blank has to be quoted ("). Example:

Treesize "C:\Program Files\" "C:\Windows"

The wildcards "*" and "?" are allowed. Example:

Treesize "H:\users\A*"

To start one instance for each folder, you may use the Windows "for" command like this:

for /D %i in (H:\Users\A*) do @start /w Treesize.exe %i

In case an error occurs, it will be returned as Windows error code in the exit code of the process. Environment variables (e.g. %APPDATA%) can be used In filenames for the export as well as in the scanned paths.

Scanning Multiple Directories

If you need to scan multiple directories, it might be a good idea to merge several calls in a Batch file, for example:

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize Professional\Treesize.exe" /EXCEL "D:\Share1.xls" "\\Server\Share1"

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize Professional\Treesize.exe" /EXCEL "D:\Share2.xls" "\\Server\Share2"

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize Professional\Treesize.exe" /EXCEL "D:\Share3.xls" "\\Server\Share3"

The command "START /WAIT" ensures that the jobs start sequentially. Not starting the jobs parallel is usually better because a single job takes more advantage from caches and system resources. It is also possible to store the shares that should be scanned in a text file and use the Windows "for" command like this:

FOR /F %%p IN (Paths.txt) DO START /WAIT Treesize.exe /EXCEL "c:\temp\TreeSize-Reports-%DATE%.xls" "%%p"

FOR /F "tokens=1" %%i IN (Shares.txt) DO START /WAIT Treesize.exe /EXCEL "c:\temp\%%i.xls" "\\Server\%%i"

Please note: The double percent characters are required in batch files, on the command line use a single percent only.

Scheduled Start

You can use the Windows Scheduled Tasks to run TreeSize with certain command line options daily, weekly, or monthly at a certain time. The "Schedule Dialog" of TreeSize will help you setting up a scheduled task.

You can also use the "at" command to perform scheduled scans. If you, for example, want to scan the drives C: and E: next night at 03:00 a.m. and save the results to an Excel file, you could use the following command line:

at 03:00 "C:\Program Files\JAM Software\TreeSize Professional\Treesize.exe" /EXCEL "C:\Temp\tsp.xls" /EXPAND 2 "C:\" "E:\"

If you want to see the results of the file search on your screen when you arrive at your office in the morning, you might use something like:

at 06:00 /INTERACTIVE "C:\Program Files\JAM Software\TreeSize Professional\Treesize.exe" /SEARCH:Start

Read more about the "at" command in the Windows help.

Please note: Error messages occurring during scheduled scans are listed in the systems Windows event log.

Windows Scripting Host

If you intend to use the Windows Scripting Host (WSH), your command to start TreeSize will look like:

Set Shell = CreateObject("WScript.Shell")
Shell.Run """C:\Program Files\TreeSize Professional\Treesize.exe"" /XML ""C:\Reports\drive_c.xml"" ""C:\"""


Tips & Annotations

Navigation: »No topics above this level«

Tips & Annotations

·Especially scans of larger network drives may take a long time. With the Professional Edition you may perform such scans overnight using Scheduled Scans and save the results to a XML file which can be loaded again later.

·Use the TreeSize File Search to find obsolete files on your hard drives.

·TreeSize supports drag&drop file system operations in many places.

·For continuous analyzing of disk usage on large servers we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize, and the reporting capabilities are more flexible because it is built on a database. More information is available at http://www.jam-software.com/spaceobserver/


Notes on NTFS

Navigation: Tips & Annotations >

Notes on NTFS

The file system NTFS can be used with the operating system Windows NT or later. It offers some special features which also have effects for TreeSize. We will describe some of these features and their impacts on this software in the following paragraphs.

Access Control Lists

The way users can access files and folders can be restricted. One can grant or deny other users or groups certain rights like reading, writing, executing or deleting. That way one can even deny administrators to access files and folders. If an administrator tries to access a folder in the Windows Explorer to which the owner denied any other users reading access, an "Access Denied" error message will be displayed. However, TreeSize is able to scan such folders, if you are logged in as administrator or as a user that has the right to perform backups (This option can be changed at "Control Panel > Administrative Tools > Local Security Policy" and with the user editor of Windows).

File Based Compression

NTFS supports compression on an individual file basis. Files that are compressed on an NTFS volume can be read and written without first being decompressed by another program. Decompression happens automatically and transparently during the reading of the file. The file is compressed again when it is saved.

The space occupied by a compressed file is usually much smaller than its normal size. As a consequence, for folders that are partially or completely compressed, the allocated space reported by TreeSize may be smaller than the size reported for this folder. TreeSize is able to show the compression ratio in an extra column on the "Details" tab. Additionally it can show compressed files and folders in a different color. These features can be turned on or off in the Options dialog.

TreeSize is able to compress and decompress entire file system branches using the context menu.

In Windows 10 Microsoft introduced new transparent compression-features in NTFS, designed to compact the files of the operating system, mainly DLL and EXE files. In contrast to old file based compression, these files are not flagged as compressed in their file attributes.

Sparse Files

Files which are large but only partially used are called sparse files. Because the operating system does not allocate disk space for the unused parts of a sparse file, it occupies less disk space than its actual size is. TreeSize treats sparse files like compressed files and also calculates the compression ratio for them.

Reparse Points: Volume Mount Points and Symbolic Links

A volume mount point is an existing path where you "mount" another volume. Given this, users and applications can refer to the mounted volume by that path. There is no need to assign a drive letter to this volume. It allows you to unify multiple file systems into one logical file system. Symbolic links, also known as junction points, work similar: If you for example have an empty folder "C:\Documents\Images", you can create a symbolic link to "E:\Pics" for it. Applications will then see the content of "E:\Pics" in "C:\Documents\Images". Unlike an NTFS junction point a symbolic link can also point to a file or remote SMB network path.

If the Option "Follow Mount Points and Symbolic Links" is turned on, TreeSize will include the contents of these folders when scanning. Since they are not physically stored on the drive you are scanning, this may produce results for the allocated space that are larger than the total size of the drive.

Alternate Data Streams (ADS)

In NTFS, a file consists of different data streams. One stream holds the security information (access rights and such things), another one holds the "real data" you expect to be in a file. There may be alternate data streams, holding data the same way the standard data stream does. These alternate data streams are hidden. That means that you can have a file with 1 byte in the official main data stream and some hundred MB in one or more alternate data streams. The dir command, file managers or windows explorer will show 1 byte as the size of this file, but it actually allocates much more space on your hard drive.

TreeSize can detect alternate data streams and add their sizes to the allocated file size.
Please note: ADS may store information in the same cluster as the main data stream, so if a file has one or more ADS, this file does not necessarily allocate more disk space.

You can choose to detect alternate data streams, to get a more accurate allocated space of directory branches, in the TreeSize Options dialog. This option is deactivated by default, because querying the ADS takes some time and increases the overall time needed for a scan. You can search for files containing alternate data streams using the Custom File Search of TreeSize.

Hardlinks

In a Windows environment a hardlink is a reference, or pointer, to physical data on a NTFS storage volume. All named files are hardlinks. The name associated with the file is simply a label that refers the operating system to the actual data. On NTFS volumes, more than one name can be associated with the same data. Though called by different names, any changes made will affect the actual data, regardless of how the file is called at a later time. Hardlinks can only refer to data that exists on the same file system. The data is accessible as long as at least one link that points to it exists. When the last link is removed, the space is considered free. Please note that all hardlink pointing to the same file share also the same Security Descriptior (access permissions).

To create a hardlink, the user must have write permissions for file attributes on the respective folder branch and on the share, if the drive is not a local drive.

If more than one hardlink points to a file's data, the space is allocated only once by these files, no matter how many hardlinks exists. In the Options dialog you can tell TreeSize to detect hardlinks, to get a more accurate allocated space of directory branches. This option is deactivated by default, because querying the hardlinks takes some time and increases the overall time needed for a scan.

The TreeSize File Search uses the hardlinks to remove redundant file content of duplicate files. Use the "Deduplicate" function to remove duplicate files by using hardlinks. This will reduce the allocated space of your hard disk.

Automatic Data Deduplication

Windows Server 2012 and later offer a data deduplication feature: The data deduplication segments files with fractionally equal content into so-called "chunks" which are moved into the subfolder "System Volume Informaton\Dedup\ChunkStore\" located on the corresponding NTFS partition. After the deduplication has been applied by Windows, the original data is replaced by a pointer to the corresponding chunk in the ChunkStore directory. After they have been deduplicated by the NTFS deduplication two identical files will only require half of the disk space they occupied before. Since the original files now only contain a small pointer instead of the data, the allocated disk space will be indicated by Windows with a much smaller value than before (for two identical files the occupied disk space would be indicated as "0 Byte"). To make TreeSize show the original file and folder sizes, simply switch the view mode from "Allocated Space" to "Size". The "Allocated Space" shown in TreeSize is the disk space you would obtain by deleting the corresponding file.

Offline Files

Windows Server and some 3rd party tools and appliances offer a feature called "offline files": Files that have not been used for a long time will be automatically moved to cheaper and slower storage, and a small stub file remains at its original location. Usually TreeSize reports the allocated space of such a stub file correctly, which is often only the size of one file system cluster.

There is however one situation in which the allocated space for stub files may not be reported correctly. In case TreeSize runs into Access Denied errors, it uses Windows API functions intended for backup software in order to be able to scan also those parts of the file system and provide values for their size and allocated space. We have seen some appliances which reported the full file size as allocated space in this case for the stub files, most likely because this would be the size occupied in a backup. To avoid this, ensure that the user which runs the scans has full read access to the scanned file system and check this FAQ entry:


Wasted Space

Navigation: Tips & Annotations >

Wasted Space

The wasted space is the amount of space in clusters on your hard disk that are not entirely filled. This is the last (or only) block of a file.The FAT32 file system may have very large cluster sizes, depending on the partition size.

FAT32
Partition Size | Default Cluster Size
01 - 08 GB | 4 KB
08 - 16 GB | 8 KB
16 - 32 GB | 16 KB
>32 GB | 32 KB

If you have a FAT32 with a size of 32GB or more, a cluster size of 32KB will be used on it. If you store 10 files of 1 KB on this partition, this would use 10 * 32KB = 320KB of disk space, and 320KB - 10KB = 310KB would be wasted. Especially a huge number of small files significantly increases the amount of wasted space on FAT32 partitions.

To reduce the wasted space, you can format your hard disk with the NTFS file system. It usually operates with a cluster size of 4KB and so stores small files more effective.


TreeSize Column for Explorer

Navigation: Tips & Annotations >

TreeSize Column for Explorer

TreeSize ships with a shell extension that adds an additional column to the Windows Explorer (Windows XP/2003 only). It shows the size not only for files but also for folders. This feature is intended for a quick overview. The column can be activated using "Choose Columns/Details" in the "View" menu of the Windows Explorer or through the context menu of the column headers of the Windows Explorer. If you would like to enable this column in the Windows Explorer for all folders, then you have to configure this in the "Folder Options" of the Windows Explorer using the button "Apply to All Folders". This column requires Windows XP/2003 and can be configured or fully turned off in the Options dialog. On 64 bit systems, the .NET Framework 2.0 or higher is required.

Unfortunately it is not possible to provide such an extension for the Explorer of Windows Vista or higher, because Microsoft has removed the used interface from this version of Windows. Microsoft has officially confirmed that a similar extension of the Explorer is not possible under Windows Vista or higher.

Please note:

·Available on Windows XP and 2003 only.

·You have to choose Install TreeSize column for Windows Explorer within the TreeSize Installation. Otherwise the TreeSize column will not be available.


Regular Expressions

Navigation: Tips & Annotations >

Regular Expressions

Regular expressions describe patterns in strings and can be used i.a. to determine whether a given pattern occurs in a text or not. In TreeSize regular expressions can be used to find specific files and / or folders that match the criteria specified by regular expressions

The following table shows some examples:

Expression | Syntax | Description | Example
Any character | . | Matches any single character except a line break. | a.o matches "aro" in "around" and "abo" in "about" but not "acro" in "across".
Zero or more | * | Matches zero or more occurrences of the preceding expression, and makes all possible matches. | a*b matches "b" in "bat" and "ab" in "about". e.*e matches the word "enterprise".
One or more | + | Matches at least one occurrence of the preceding expression. | ac+ matches words that contain the letter "a" and at least one instance of "c", such as "race", and "ace". a.+s matches the word "access".
Beginning of word | < | Matches only when a word starts at this point in the text. | <in matches words such as "inside" and "into" that begin with the letters "in".
End of word | > | Matches only when a word ends at this point in the text. | ss> matches words such as "across" and "loss" that end with the letters "ss".
Any one character in the set | [] | Matches any one of the characters in the []. To specify a range of characters, list the starting and ending characters separated by a dash (-), as in [a-z]. | be[n-t] matches "bet" in "between", "ben" in "beneath", and "bes" in "beside" but not "bel" in "below".
Any one character not in the set | [^...] | Matches any character that is not in the set of characters that follows the ^. | be[^n-t] matches "bef" in "before", "beh" in "behind", and "bel" in "below", but not "ben" in "beneath".
Or | | | Matches either the expression before or the one after the OR symbol (|). Mostly used in a group. | (sponge|mud) matches "sponge bath" and "mud bath.
Tagged expression (or backreference) | \ | Matches the character that follows the backslash (\) as a literal. This lets you find the characters that are used in regular expression notation, such as { and ^. | \^ searches for the ^ character.
Markierter Ausdruck | {} | Matches text that is tagged with the enclosed expression. | {does}n't identifies the text that precedes the replacement in the replace string \1 not to change every occurrence of doesn't to does not.
Repeat n times | ^n | Matches n occurrences of the preceding expression. | [0-9]^4 matches any 4-digit sequence.
Grouping | () | Lets you group a set of expressions together. If you want to search for two different expressions in a single search, you can use the Grouping expression to combine them. | If you want to search for [a-z][1-3] or [0-9][a-z], you would combine them: ([a-z][1-3])|([0-9][a-z]).

Further examples:

[0-9]/ or /\d | Find all files/folders with at least one digit in its name.
a|b | Find all files/folders containing "a" or "b" in their name.
[^(A-Za-z)] | Find all files/folders containing at least one other symbol than a character in their name.
^E[0-9]{7}$ | Find all files/folders which start with an "E" followed by exactly 7 digits.
C:\\Windows\\[^\\]*\.[^\\]*$ | Find all files/folders whose parent folder is "C:\Windows".
[A-Za-z]:\\([^\\]+\\){2,4}[^\\]+$ | Find all files/folders with a folder depth of at least 2 and at most 4.
[^\x00-\x7F] | Find all files/folders with invalid ASCII characters.
[^\P{C}] | Find all files/folders with Unicode characters which cannot be printed.
[\xA0] | Find all file/Folder names that contain the non-breakable space character (Unicode NOBR, U+00A0) instead of a normal space character.
[~,\",#,%,&,\*,\:,<,>,\?,\/,\\,{,|,}] | Find all files and folders, that contain characters in their name which are invalid on SharePoint servers.

Further information and additional examples can be found here.

A description of all special characters that can be used with regular expression can be found here.

For further help in forming regular expressions following tools can be used:

http://gskinner.com/RegExr/ (online)

http://regexpal.com/ (online)

http://sourceforge.net/projects/regexpeditor/ (download)

http://sourceforge.net/projects/regextester/ (download)

http://sourceforge.net/projects/regaxe/ (download)


Copyright & Contact

Navigation: »No topics above this level«

Copyright & Contact

Copyright ©1995-2017 by Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

FAX: | +49 651-145653-29
WWW: | http://www.jam-software.com
Support: | https://www.jam-software.com/customers/contact.php
Email: | TreeSize@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder


Available columns

Navigation: »No topics above this level«

Available columns

These are the available columns that can be configured individually for the Details view and any export type (Excel, HTML, etc.) using the options dialog of TreeSize.

Column name

Description

Name

The name of the file or folder.

Full Path

The full path, including the object's name.

Size

The size of the object.

Allocated

The space that the object currently occupies on disk (see also: Wasted Space and NTFS Compression).

Files

The number of files in a directory branch.

Folders

The number of sub-folders in a directory branch.

Growth

The absolute size difference (e.g. in MB) of this element. Only available if the scan was compared with a saved scan or snapshot. Please refer to the topic "Directory Tree > Compare scans" for more information. The value in this column depends on the selected view mode and unit (see tabs Home and View).

% Growth

The relative size difference of this element

Wasted

The amount of space that is wasted by the file system (see also: Wasted Space).

% of Parent

The amount of space in percent that a folder or file occupies relative to its parent folder.

Last Change

The last change date of the object. TreeSize calculates the last change and last access date more precisely than the Windows Explorer, because it takes all files in all sub-folders into account. So the values shown in the Windows Explorer may differ.

Last Access

The last access date of the object.

Compr.

The size in percent by which an object has been compressed using the built in compression of the file system (see also: Notes on NTFS).

Owner

The user name that owns a folder or file.

Optical media size

The amount of space that an object would occupy on an optical medium such as a CD or DVD with ISO file system.

Current Date

The current date. This column can be useful if you want to process the collected data, e.g. in a database.

Attributes

The file attributes Readonly (R), Hidden (H), System (S), Directory (D), Archive (A), Compressed (C), Sparse (P), Temporary (T), Offline (O), Reparse Point (L) Encrypted (E) and Alternate Data Streams (Z).

File Type

The file type, e.g. "Text file".

Dir Level

The level of an object in the file system. This value can be useful when processing the collected data.

Creation Date

The date at which the object has been created.

Containing Path

The full path to object, not containing the object's name.

Avg. File Size

The average size of a file in a folder.

Permissions

The access permissions of the object in the UNIX-like format: Username1: +/-R +/-W +/-X Username2: ... where "+" means the right is granted and "-" means that the right is denied. "R" stands for read access and "W" for right access. For files "X" means the right to execute, for directories the right to list the directory content.
TreeSize maps the actual permissions to a very compact presentation: Multiple access control elements for one user are merged to one, and most special permission are not displayed.

Please note:

You want to get notified if the permissions of certain important folders change? This can be done using our monitoring tool "Server Sentinel". The file system sensor allows you to monitor specific file system events, send automatic notifications, and react to them accordingly.

Inherited Permissions

These are the permissions inherited from the parent directories.

Own Permissions

These are the own permissions defined especially for this file system object.

File Version

The version number that is included in EXE, DLL OCX and similar binary files.

Author

This column shows the author information that is extracted from the meta data of the file, taken from MS Office and compatible files.

Last Save Date

This column shows the date on which the file was saved the last time, taken from MS Office and compatible files. This information is extracted from the meta data of the file.

Hardlinks

The number of hardlinks to a file. Empty in case of folders.

Error

In case a folders could not be scanned, this column will contain the message of the error that occurred.

Full User Name

Shows the full user name of the owner of that file or folder.

Link Targets

Shows the target path of a link.

MD5 Checksum

Shows a string representation of the MD5 checksum for this files content.

SHA256 Checksum

Shows a string representation of the SHA256 checksum for this files content.

Extension

The extension of the file, e.g. ".txt" for a text file.

Path Length

Shows the number of characters included in the full path of this file or folder.

Alternate Data Streams

Shows the size hold by "Alternate Data Streams" for this file (not available for directories).

Description

For folders and shares this column shows the comment associated with them. For office files and pictures their embedded title is shown. In case non of this data is available, but the folder's of file's name is an SID (like in the "\$Recycle.Bin" folder), this SID is resolved to a username in this column.


Scan Tab

Options Dialog - Scan

Navigation: »No topics above this level«

Options Dialog - Scan

The settings on this page affect the behaviour of TreeSize during scanning. Changes on these settings usually require a rescan of the currently scanned drives and folders to take effect.

Follow External Mount Points and Symbolic Links

You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice.

Track NTFS Alternate Data Streams and Hardlinks

With this option you can control, if TreeSize should check each file if it is just a hardlink to another file or if contains alternate data streams (ADS). The will result in more accurate results for the allocated space, but will also slow down the speed of a scan.

Show Error Messages

Use this option to decide if TreeSize should show error messages during scanning. If you for example scan a network drive on a Windows server and don't have reading access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, deselect this check box.

Create Statistics on File Extensions

If this check box is activated TreeSize will additionally generate a statistics for the file extensions in each subtree. The results can be viewed on the Extensions tab of the main window, where you are also able to filter the values in the directory tree by one file type.

Create Statistics on File Owners

If this check box is activated TreeSize will additionally generate a statistics for the file owners in each subtree. The results can be viewed on the Users tab of the main window where you are also able to limit the values in the directory tree to one of the users. Since it is necessary to query the owner of each file, this option will slow down the scanning process if activated.

Thread Priority

Allows to define the priority with which the threads are running that are scanning the hard disk. Idle means that the CPU will be used only if no other threads are using it. Idle is a good setting if you want to make sure that a scan with TreeSize has no impact on the performance of the PC or server. The default and recommended value is "lower priority". Choosing higher priority will result in the scan threads having a higher priority than the thread of the user interface, which can make the user interface unresponsive during a scan. This setting is also used for the threads of the TreeSize File Search.

Maximum Number of Threads

TreeSize automatically adjusts the number of threads to the CPU usage. This option lets you define the maximum number of threads that will be started for a scan. If the system load is high, fewer than the maximum number of threads may be started.

User Defined Cluster Size

Use this option to see what the values for allocated and wasted space would be with a different cluster size or file system. Changing this option will require a rescan. This options will not be saved when you exit TreeSize in order to avoid wrong results when using it the next time.